Mon Oct 12 14:03:48 CDT 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

	* CIAO version 0.7.4 released.

Mon Oct 12 18:44:56 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * NEWS:

          Further describe -Glem changes. 
        
Fri Oct  9 09:24:08 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/ami4ccm/examples/Hello/Receiver/Hello_Receiver_exec.cpp:
        * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender_exec.cpp:
          Don't print expected exceptions; otherwise the scoreboard will be
          confused.

        * connectors/ami4ccm/examples/Hello/descriptors/run_test.pl:
          Wait 90 sec instead of 60 sec to compleet this example.

Fri Oct  9 06:47:29 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/examples/Quoter/descriptors/USER_QOS_PROFILES.xml:
          QoS profile file for this example

Thu Oct  8 13:02:29 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/ami4ccm/docs/AMI4CCM-spec.odt:
          Described the use of IDL3+.

Thu Oct  8 12:32:38 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/ami4ccm/docs/AMI4CCM-spec.odt:
          Update example to meet the spec.

Thu Oct  8 11:06:29 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/ami4ccm/docs/AMI4CCM-spec.odt:
          Extended the component section.

Thu Oct  8 08:31:25 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/ami4ccm/docs/AMI4CCM-spec.odt:
          Some minor updates.

Wed Oct  7 15:15:20 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * NEWS:

          Update.

Wed Oct  7 14:41:09 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/IDL_Test/Inherited_Component/IhC_Bar.idl
          Added missing include

Wed Oct  7 14:09:09 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/ami4ccm/examples/Hello/AMI/AMI_MyFoo_i.cpp:
        * connectors/ami4ccm/examples/Hello/AMI/AMI_exec.h:
        * connectors/ami4ccm/examples/Hello/AMI/AMI_exec.cpp:
          Got rid of ior file between CORBA server and client.

Wed Oct  7 13:33:44 UTC 2009  Johnny Willemsen <jwillemsen@remedy.nl>

        * connectors/dds4ccm/examples/Quoter/Connector/Quoter_Connector_exec.cpp
        * connectors/dds4ccm/examples/Quoter/Connector/Quoter_Connector_exec.h
          Refactored the connector into a template

Wed Oct  7 13:33:47 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/ami4ccm/examples/Hello/AMI/AMI.idl:
        * connectors/ami4ccm/examples/Hello/AMI/AMI_MyFoo_i.h:
        * connectors/ami4ccm/examples/Hello/AMI/AMI_MyFoo_i.cpp:
        * connectors/ami4ccm/examples/Hello/AMI/AMI_exec.h:
        * connectors/ami4ccm/examples/Hello/AMI/AMI_exec.cpp:
        * connectors/ami4ccm/examples/Hello/Hello_Base/Hello_Base.idl:
        * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender.idl:
        * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender_exec.h:
        * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender_exec.cpp:
        * connectors/ami4ccm/examples/Hello/descriptors/Plan.cdp:
          Renamed module interface of Hello_Base and AMI.

Wed Oct  7 13:15:22 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/ami4ccm/examples/Hello/AMI/AMI.idl:
        * connectors/ami4ccm/examples/Hello/AMI/AMI_MyFoo_i.h:
        * connectors/ami4ccm/examples/Hello/AMI/AMI_MyFoo_i.cpp:
        * connectors/ami4ccm/examples/Hello/AMI/AMI_exec.h:
        * connectors/ami4ccm/examples/Hello/AMI/AMI_exec.cpp:
        * connectors/ami4ccm/examples/Hello/Hello_Base/Hello.idl:
        * connectors/ami4ccm/examples/Hello/Receiver/Hello_Receiver.idl:
        * connectors/ami4ccm/examples/Hello/Receiver/Hello_Receiver_exec.h:
        * connectors/ami4ccm/examples/Hello/Receiver/Hello_Receiver_exec.cpp:
        * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender.idl:
        * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender_exec.h:
        * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender_exec.cpp:
          Changed name of module CCM_AMI into Hello.

Wed Oct  7 12:42:58 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/ami4ccm/examples/Hello/AMI/AMI.idl:
        * connectors/ami4ccm/examples/Hello/AMI/AMI.mpc:
        * connectors/ami4ccm/examples/Hello/AMI/AMI_exec.h:
        * connectors/ami4ccm/examples/Hello/AMI/AMI_exec.cpp:
        * connectors/ami4ccm/examples/Hello/Hello_Base/Hello.idl:
        * connectors/ami4ccm/examples/Hello/Hello_Base/Hello_Base.idl:
        * connectors/ami4ccm/examples/Hello/Receiver/Hello_Receiver.idl:
        * connectors/ami4ccm/examples/Hello/Receiver/Hello_Receiver_exec.h:
        * connectors/ami4ccm/examples/Hello/Receiver/Hello_Receiver_exec.cpp:
        * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender.idl:
        * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender_exec.h:
        * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender_exec.cpp:
        * connectors/ami4ccm/examples/Hello/descriptors/Plan.cdp:
          Removed interface MyInterface in order to focus on the MyFoo.

        * connectors/ami4ccm/examples/Hello/AMI/AMI_MyInterface_i.h:
        * connectors/ami4ccm/examples/Hello/AMI/AMI_MyInterface_i.cpp:
          Removed these files.

Tue Oct  6 21:52:02 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * examples/Null_Component/Null_Component.mpc:

          Fixed build order bug.

Tue Oct  6 12:30:44 UTC 2009  Johnny Willemsen <jwillemsen@remedy.nl>

        * tests/IDL_Test/PIDL_Include/PIDLInclude.mpc:
          Enabled these projects

Tue Oct  6 12:29:30 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/idl/dds4ccm_Base.idl3:
        * connectors/dds4ccm/idl/dds4ccm_ConnectorStatusListener.idl3:
        * connectors/dds4ccm/idl/dds4ccm_ListenerControl.idl3:
        * connectors/dds4ccm/idl/dds4ccm_PortStatusListener.idl3:
        * connectors/dds4ccm/idl/dds4ccm_Writer.idl3p:
        * connectors/dds4ccm/impl/ndds/DataReaderListener_T.cpp:
          Resolved fuzz errors.

Tue Oct  6 11:26:51 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/examples/Quoter/Broker/Broker_exec.cpp:
        * connectors/dds4ccm/examples/Quoter/Connector/Quoter_Connector_exec.cpp:
        * connectors/dds4ccm/idl/dds4ccm_Connector_Base.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Connector_Event.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Connector_State.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Getter.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_MultiListener.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_MultiUpdater.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_MultiWriter.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Port_Get.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Port_MultiListen.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Port_MultiUpdate.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Port_MultiWrite.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Port_RawListen.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Port_Read.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Port_StateListen.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Port_Update.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Port_Write.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_RawListener.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Reader.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_StateListener.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Updater.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Writer.idl3p:
          Resolved some more fuzz errors.

Tue Oct  6 10:53:44 UTC 2009  Johnny Willemsen <jwillemsen@remedy.nl>

        * connectors/dds4ccm/examples/Quoter/Connector/Quoter_Connector_exec.cpp
        * connectors/dds4ccm/impl/ndds/DataReaderListener_T.cpp
        * connectors/dds4ccm/impl/ndds/DataReaderListener_T.h
          Moved listener into a template

Tue Oct  6 10:16:16 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/ami4ccm/examples/Hello/Hello_Base/Hello_Base.mpc:
          AMI_Hello_lem_gen shouldn't be derived from ami. This would
          result in unnecessary sendc methods in the Receiver.

        * connectors/ami4ccm/examples/Hello/Receiver/Hello_Receiver.mpc:
          None of the projects shouldn't be derived from AMI.

        * connectors/ami4ccm/examples/Hello/Receiver/Hello_Receiver_exec.h:
          Cleanup unnecessary sendc methods.

Tue Oct  6 09:34:44 UTC 2009  Johnny Willemsen <jwillemsen@remedy.nl>

        * connectors/dds4ccm/examples/Quoter/Base/Quoter_Base.idl
        * connectors/dds4ccm/examples/Quoter/Base/Quoter_Base.mpc
        * connectors/dds4ccm/examples/Quoter/Connector/Quoter_Connector.idl3
        * connectors/dds4ccm/examples/Quoter/Connector/Quoter_Connector_exec.cpp
        * connectors/dds4ccm/examples/Quoter/Connector/Quoter_Connector_exec.h
        * connectors/dds4ccm/impl/ndds/Writer.tpp
          Added a Stock_Info_Seq as corba sequence for the reader

Tue Oct  6 09:30:27 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver.idl3p:
        * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender.idl3p:
        * connectors/dds4ccm/examples/Quoter/Broker/Broker.idl3p:
        * connectors/dds4ccm/examples/Quoter/Connector/Quoter_Connector.idl3p:
        * connectors/dds4ccm/examples/Quoter/Distributor/Distributor.idl3p:
        * connectors/dds4ccm/id3p_test/Multiple_Reader_Ports/test.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Connector_Base.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Connector_Event.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Connector_State.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Getter.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_MultiListener.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_MultiUpdater.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_MultiWriter.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Port_Get.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Port_MultiListen.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Port_MultiUpdate.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Port_MultiWrite.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Port_RawListen.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Port_Read.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Port_StateListen.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Port_Update.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Port_Write.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_RawListener.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Reader.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_StateListener.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Updater.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Writer.idl3p:
          Resolve fuzz errors.

Tue Oct  6 09:03:55 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/ami4ccm/examples/Hello/descriptors/run_test.pl:
          Converted to the new test framework

Tue Oct  6 08:37:44 UTC 2009  Johnny Willemsen <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/ndds/Reader_T.{h,cpp}:
          First version of the reader as template

Tue Oct  6 07:48:47 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * bin/ciao_tests.lst:
          Enabled some tests for ce/labview/fuzz

        * connectors/dds4ccm/examples/Quoter/Broker/Broker.idl3:
        * connectors/dds4ccm/examples/Quoter/Connector/Quoter_Connector.idl3:
        * connectors/dds4ccm/examples/Quoter/Distributor/Distributor.idl3:
        * connectors/dds4ccm/idl/dds4ccm_Base.idl3:
        * connectors/dds4ccm/idl/dds4ccm_ConnectorStatusListener.idl3:
        * connectors/dds4ccm/idl/dds4ccm_ListenerControl.idl3:
        * connectors/dds4ccm/idl/dds4ccm_PortStatusListener.idl3:
          Resolved some fuzz errors.

        * tests/CIAO_ComponentServer/SimpleComponent/run_test.pl:
          Converted to the new test framework

Tue Oct  6 07:40:44 UTC 2009  Johnny Willemsen <jwillemsen@remedy.nl>

        * connectors/dds4ccm/examples/Hello/descriptors/1_to_5.cdp
        * connectors/dds4ccm/examples/Hello/descriptors/5_Receivers.cdp
        * connectors/dds4ccm/examples/Hello/descriptors/5_Senders.cdp
        * connectors/dds4ccm/examples/Hello/descriptors/5_to_1.cdp
        * connectors/dds4ccm/examples/Hello/descriptors/DeploymentPlan.cdp
        * connectors/dds4ccm/examples/Hello/descriptors/ReceiverOnly.cdp
        * connectors/dds4ccm/examples/Hello/descriptors/SenderOnly.cdp
        * connectors/dds4ccm/examples/Quoter/Broker/Broker_exec.cpp
        * connectors/dds4ccm/examples/Quoter/Connector/Quoter_Connector_exec.cpp
        * connectors/dds4ccm/examples/Quoter/Connector/Quoter_Connector_exec.h
        * connectors/dds4ccm/examples/Quoter/descriptors/Plan.cdp
        * connectors/dds4ccm/impl/ndds/ListenerControl.cpp
        * connectors/dds4ccm/impl/ndds/ListenerControl.h
        * connectors/dds4ccm/impl/ndds/ndds_impl.mpc
          Implemented more functionality

Tue Oct  6 07:06:28 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * bin/ciao_tests.lst:
          Enabled some tests for ce/labview/fuzz

        * tests/CIAO_ComponentServer/Activator/run_test.pl:
        * tests/CIAO_ComponentServer/Basic/run_test.pl:
          Converted to the new test framework

        * examples/DevGuideExamples/Messenger/Messenger.mpc:
          Resolved compiler errors.

Mon Oct  5 19:35:41 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/examples/Quoter/Distributor/controller.cpp:
          Removed this file because it was empty and was generating
          fuzz errors.

Mon Oct  5 19:28:44 UTC 2009  Johnny Willemsen <jwillemsen@remedy.nl>

        * connectors/dds4ccm/examples/Quoter/Connector/Quoter_Connector_exec.cpp:
          Corrected type registration

Mon Oct  5 19:14:44 UTC 2009  Johnny Willemsen <jwillemsen@remedy.nl>

        * connectors/dds4ccm/examples/Quoter/Connector/Quoter_Connector_exec.cpp:
          Register the type with rti dds

        * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp:
          Layout change

Mon Oct  5 18:47:44 UTC 2009  Johnny Willemsen <jwillemsen@remedy.nl>

        * connectors/dds4ccm/examples/Quoter/Connector/Quoter_Connector.mpc:
          Updated build order and use -Glem

        * connectors/dds4ccm/examples/Quoter/Connector/Quoter_ConnectorE.idl:
          Removed from the repository

Mon Oct  5 18:36:44 UTC 2009  Johnny Willemsen <jwillemsen@remedy.nl>

        * connectors/dds4ccm/examples/Hello/descriptors/1_to_5.cdp
        * connectors/dds4ccm/examples/Hello/descriptors/5_Receivers.cdp
        * connectors/dds4ccm/examples/Hello/descriptors/5_Senders.cdp
        * connectors/dds4ccm/examples/Hello/descriptors/5_to_1.cdp
        * connectors/dds4ccm/examples/Hello/descriptors/DeploymentPlan.cdp
        * connectors/dds4ccm/examples/Hello/descriptors/ReceiverOnly.cdp
        * connectors/dds4ccm/examples/Hello/descriptors/SenderOnly.cdp
        * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector_exec.h
        * connectors/dds4ccm/examples/Quoter/Base/Quoter_Base.mpc
        * connectors/dds4ccm/examples/Quoter/Broker/Broker.idl3
        * connectors/dds4ccm/examples/Quoter/Broker/Broker.mpc
        * connectors/dds4ccm/examples/Quoter/Connector/Quoter_Connector.idl3
        * connectors/dds4ccm/examples/Quoter/Connector/Quoter_Connector.mpc
        * connectors/dds4ccm/examples/Quoter/Connector/Quoter_ConnectorE.idl
        * connectors/dds4ccm/examples/Quoter/descriptors/Plan.cdp
        * connectors/dds4ccm/examples/Quoter/Distributor/Distributor.idl3
        * connectors/dds4ccm/examples/Quoter/Distributor/Distributor.mpc
        * connectors/dds4ccm/examples/Quoter/Distributor/Distributor_exec.cpp
        * connectors/dds4ccm/examples/Quoter/Distributor/Distributor_exec.h
        * connectors/dds4ccm/idl/dds4ccm.mpc
        * connectors/dds4ccm/impl/ndds/Writer.h
          Enabled the quoter example.

        * connectors/dds4ccm/impl/ndds/Builtin_Writer.h
        * connectors/dds4ccm/impl/ndds/Builtin_Writer.tpp
          New template for builtin types, will rework in the future, but by using
          this one we don't have to rewrite the hello world example at this
          moment

        * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_ConnectorE.idl
        * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_ConnectorE.idl
          Removed, are generate now as part of the regular build

Mon Oct  5 16:36:33 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/IDL3/ImpliedIDL/All/all.mpc:

          Fixed dependency problems, and added include.idl to
          IDL_Files block, since its include is now passed
          through unchanged automatically, even though include_IDL2.idl
          is still generated.

Mon Oct  5 13:24:28 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/examples/Quoter/Base/Quoter_Base.idl:
        * connectors/dds4ccm/examples/Quoter/Distributor/Distributor_exec.h:
        * connectors/dds4ccm/examples/Quoter/Distributor/Distributor_exec.cpp:
        * connectors/dds4ccm/examples/Quoter/Distributor/controller.cpp:
          Resolved fuzz errors.

Mon Oct  5 11:40:44 UTC 2009  Johnny Willemsen <jwillemsen@remedy.nl>

        * connectors/dds4ccm
        * connectors/dds4ccm/docs
        * connectors/dds4ccm/examples/Hello/Base
        * connectors/dds4ccm/examples/Hello/Base/Hello_Base.idl
        * connectors/dds4ccm/examples/Hello/Base/Hello_Base.mpc
        * connectors/dds4ccm/examples/Hello/descriptors/1_to_5.cdp
        * connectors/dds4ccm/examples/Hello/descriptors/5_Receivers.cdp
        * connectors/dds4ccm/examples/Hello/descriptors/5_Senders.cdp
        * connectors/dds4ccm/examples/Hello/descriptors/5_to_1.cdp
        * connectors/dds4ccm/examples/Hello/descriptors/DeploymentPlan.cdp
        * connectors/dds4ccm/examples/Hello/descriptors/ReceiverOnly.cdp
        * connectors/dds4ccm/examples/Hello/descriptors/SenderOnly.cdp
        * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector_exec.cpp
        * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector_exec.h
        * connectors/dds4ccm/examples/Quoter
        * connectors/dds4ccm/examples/Quoter/Base
        * connectors/dds4ccm/examples/Quoter/Base/Quoter_Base.idl
        * connectors/dds4ccm/examples/Quoter/Base/Quoter_Base.mpc
        * connectors/dds4ccm/examples/Quoter/Broker
        * connectors/dds4ccm/examples/Quoter/Broker/Broker.idl3
        * connectors/dds4ccm/examples/Quoter/Broker/Broker.idl3p
        * connectors/dds4ccm/examples/Quoter/Broker/Broker.mpc
        * connectors/dds4ccm/examples/Quoter/Broker/Broker_exec.cpp
        * connectors/dds4ccm/examples/Quoter/Broker/Broker_exec.h
        * connectors/dds4ccm/examples/Quoter/Connector
        * connectors/dds4ccm/examples/Quoter/Connector/Quoter_Connector.idl3
        * connectors/dds4ccm/examples/Quoter/Connector/Quoter_Connector.idl3p
        * connectors/dds4ccm/examples/Quoter/Connector/Quoter_Connector.mpc
        * connectors/dds4ccm/examples/Quoter/Connector/Quoter_Connector_exec.cpp
        * connectors/dds4ccm/examples/Quoter/Connector/Quoter_Connector_exec.h
        * connectors/dds4ccm/examples/Quoter/Connector/Quoter_ConnectorE.idl
        * connectors/dds4ccm/examples/Quoter/descriptors
        * connectors/dds4ccm/examples/Quoter/descriptors/run_test.pl
        * connectors/dds4ccm/examples/Quoter/Distributor
        * connectors/dds4ccm/examples/Quoter/Distributor/controller.cpp
        * connectors/dds4ccm/examples/Quoter/Distributor/Distributor.idl3
        * connectors/dds4ccm/examples/Quoter/Distributor/Distributor.idl3p
        * connectors/dds4ccm/examples/Quoter/Distributor/Distributor.mpc
        * connectors/dds4ccm/examples/Quoter/Distributor/Distributor_exec.cpp
        * connectors/dds4ccm/examples/Quoter/Distributor/Distributor_exec.h
        * connectors/dds4ccm/idl/dds4ccm.mpc
        * connectors/dds4ccm/idl/dds4ccm_Port_RawListen.idl3p
        * connectors/dds4ccm/impl/ndds/NDDS_Traits.h
        * connectors/dds4ccm/impl/ndds/Writer.h
        * connectors/dds4ccm/impl/ndds/Writer.tpp
          Integrated the second proto from the ddsports branch. This is disabled
          in the mpc files right now, but the branch wasn't usable because of all
          lem changes in tao_idl. By merging this to head now we have a stable
          base to tweak this proto

Mon Oct  5 09:50:44 UTC 2009  Marijke Hengstmengel <mhengstmengel@remedy.nl>

        * docs/tutorials/Quoter/Simple/descriptors/NodeMap.dat:
          Changed svn properties. Added svn eol-property.

Sun Oct  4 17:36:44 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tools/IDL3_to_IDL2/checking_visitor.h:
        * tools/IDL3_to_IDL2/checking_visitor.cpp:

          Fixed FC_8 build errors/warnings.

Fri Oct  2 18:32:21 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tools/IDL3_to_IDL2/checking_visitor.h:
        * tools/IDL3_to_IDL2/be_global.cpp:
        * tools/IDL3_to_IDL2/be_produce.cpp:
        * tools/IDL3_to_IDL2/be_global.h:
        * tools/IDL3_to_IDL2/checking_visitor.cpp:

          Replaced the -x <filename> option, which manually
          excluded an IDL file include from getting its processed
          name decorated with '_IDL2', with a mechanims that
          detects automatically which included IDL files have
          no IDL3 constructs, and skips mangling their processed
          included name accordingly.

        * tests/IDL3/ImpliedIDL/All/all.mpc:
        * tests/IDL3/ImpliedIDL/All/pass_through.idl:

          Minor changes to this test of idl3_to_idl2.

        * tools/IDL3_to_IDL2/README:
        * docs/releasenotes/index.html:

          Updated documentation.

Fri Oct  2 18:30:12 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * examples/DevGuideExamples/Messenger/Administrator_Client_IDL2.mpc:
        * examples/DevGuideExamples/Messenger/Messenger.mpc:

          Fixed some dependency problems.

Fri Oct  2 14:01:59 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/ami4ccm/docs/AMI4CCM-spec.odt:
          Update working document.

Fri Oct  2 09:08:34 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/examples/Hello/AMI/AMI.mpc
        * connectors/ami4ccm/examples/Hello/Receiver/Hello_Receiver.mpc
        * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender.mpc
          Fix build orders and missing libraries

Fri Oct  2 08:36:22 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Base.idl:
        * performance-tests/Protocols/common/Protocols.idl:
        * tests/IDL_Test/Included_Component/IC_Foo.idl:
          Resolved some fuzz errors/warnings.

Fri Oct  2 08:22:34 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/examples/Hello/Hello_Base/Hello_Base.mpc
        * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver.mpc
        * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector.mpc
        * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Base.mpc
        * examples/Hello/Sender/Sender.mpc
          Fix build orders and missing libraries

Fri Oct  2 07:06:34 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/tests/CIAO/Components/SimpleNilFacetProvider.mpc:
          Fixed build order

Fri Oct  2 02:05:34 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * performance-tests/Benchmark/Benchmark.mpc:
        * performance-tests/Benchmark/BenchmarkE.idl:
        * performance-tests/Benchmark/Benchmark_skel_export.h:
        * performance-tests/Benchmark/Benchmark_stub_export.h:
        * performance-tests/Benchmark/RoundTrip/RoundTrip.idl:
        * performance-tests/Benchmark/RoundTrip/RoundTrip.mpc:
        * performance-tests/Benchmark/RoundTripClient/RoundTripClient.idl:
        * performance-tests/Benchmark/RoundTripClient/RoundTripClient.mpc:
        * performance-tests/Protocols/Receiver/Receiver.idl:
        * performance-tests/Protocols/Receiver/Receiver.mpc:
        * performance-tests/Protocols/common/Protocols.idl:
        * performance-tests/Protocols/common/Protocols.mpc:
        * tests/CIDL/CodeGen/Basic.mpc:
        * tests/CIDL/CodeGen/CodeGen.idl:
        * tests/CIDL/CodeGen/CodeGen.mpc:
        * tests/IDL_Test/Included_Component/IC_Bar.idl:
        * tests/IDL_Test/Included_Component/IC_Foo.idl:
        * tests/IDL_Test/Reused_Facet_Interface/Basic.mpc:
        * tests/IDL_Test/Reused_Facet_Interface/CodeGen.idl:
        * tests/IDL_Test/Reused_Facet_Interface/Reused_Facet_Interface.mpc:

          Additional -Glem changes.

Thu Oct  1 20:15:35 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver.idl:
        * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver.mpc:
        * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Base.idl:
        * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Base.mpc:
        * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector.idl:
        * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector.mpc:
        * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_ConnectorE.idl:
        * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Base.mpc:
        * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector.idl:
        * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector.mpc:
        * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_ConnectorE.idl:
        * connectors/dds4ccm/idl/dds4ccm.mpc:
        * docs/tutorials/Quoter/Simple/Distributor/StockDistributor.idl:
        * docs/tutorials/Quoter/Simple/Distributor/StockDistributor.mpc:
        * docs/tutorials/Quoter/Simple/Stock_Base/Stock_Base.mpc:
        * examples/BasicSP/BMClosedED/BMClosedED.idl:
        * examples/BasicSP/BMClosedED/BMClosedED.mpc:
        * examples/BasicSP/BMDevice/BMDevice.idl:
        * examples/BasicSP/BMDevice/BMDevice.mpc:
        * examples/DevGuideExamples/Messenger/Administrator_Client_IDL2.mpc:
        * examples/DevGuideExamples/Messenger/Messenger.idl:
        * examples/DevGuideExamples/Messenger/Messenger.mpc:
        * examples/Display/Display_Base/Display_Base.mpc:
        * examples/Display/GPS/GPS.idl:
        * examples/Display/GPS/GPS.mpc:
        * examples/Hello/Hello_Base/Hello_Base.mpc:
        * examples/Hello/Sender/Sender.idl:
        * examples/Hello/Sender/Sender.mpc:
        * examples/Null_Component/Null_Component.idl:
        * examples/Null_Component/Null_Component.mpc:
        * examples/Null_Component/Null_Interface.mpc:

          -Glem changes.

Thu Oct  1 20:14:03 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * examples/Swapping:

          Removed, this functionality isn't in CIAO anymore.

Thu Oct  1 19:17:02 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * DAnCE/tests/CIAO/Components/SimpleCommon.mpc:

          Fixed export macro/include in *_lem_gen project.

Thu Oct  1 18:48:45 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/ami4ccm/examples/Hello/AMI/AMI.idl:
        * connectors/ami4ccm/examples/Hello/AMI/AMI_MyFoo_i.h:
        * connectors/ami4ccm/examples/Hello/AMI/AMI_MyFoo_i.cpp:
        * connectors/ami4ccm/examples/Hello/AMI/AMI_MyInterface_i.h:
        * connectors/ami4ccm/examples/Hello/AMI/AMI_MyInterface_i.cpp:
        * connectors/ami4ccm/examples/Hello/AMI/AMI_exec.h:
        * connectors/ami4ccm/examples/Hello/AMI/AMI_exec.cpp:
        * connectors/ami4ccm/examples/Hello/Hello_Base/Hello.idl:
        * connectors/ami4ccm/examples/Hello/Hello_Base/Hello_Base.idl:
        * connectors/ami4ccm/examples/Hello/Receiver/Hello_Receiver_exec.h:
        * connectors/ami4ccm/examples/Hello/Receiver/Hello_Receiver_exec.cpp:
        * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender.idl:
        * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender_exec.h:
        * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender_exec.cpp:
          Fixed some compiler and fuzz errors. Also added attribute handling.

        * connectors/ami4ccm/examples/Hello/descriptors/run_test.pl:
          Changed time out to 40 sec.

Thu Oct  1 14:52:07 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * connectors/ami4ccm/examples/Hello/AMI/AMI.idl:
        * connectors/ami4ccm/examples/Hello/AMI/AMI.mpc:
        * connectors/ami4ccm/examples/Hello/Hello_Base/Hello.idl:
        * connectors/ami4ccm/examples/Hello/Hello_Base/Hello_Base.idl:
        * connectors/ami4ccm/examples/Hello/Hello_Base/Hello_Base.mpc:
        * connectors/ami4ccm/examples/Hello/Receiver/Hello_Receiver.idl:
        * connectors/ami4ccm/examples/Hello/Receiver/Hello_Receiver.mpc:
        * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender.idl:
        * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender.mpc:

         New -Glem behavior.

Thu Oct  1 14:32:08 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/tests/CIAO/Components/SimpleCommon.mpc:
        * DAnCE/tests/CIAO/Components/SimpleNilFacetProvider.idl:
        * DAnCE/tests/CIAO/Components/SimpleNilFacetProvider.mpc:
        * DAnCE/tests/CIAO/Components/SimpleProvider.idl:
        * DAnCE/tests/CIAO/Components/SimpleProvider.mpc:

          New -Glem behavior.

Thu Oct  1 11:38:42 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/CIDL/CodeGen/CodeGen.mpc
        * tests/IDL_Test/Reused_Facet_Interface/Reused_Facet_Interface.mpc
          Fixed lem generation using -Glfa

Thu Oct  1 11:28:42 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/examples/Hello/AMI/AMI.mpc:
        * connectors/ami4ccm/examples/Hello/Receiver/Hello_Receiver.mpc:
        * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender.mpc:
          Fixed lem generation using -Glfa

Thu Oct  1 10:14:42 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/tests/CIAO/Components/SimpleCommon.mpc
        * DAnCE/tests/CIAO/Components/SimpleNilFacetProvider.mpc
        * DAnCE/tests/CIAO/Components/SimpleProvider.mpc
          Fixed to use the new -Glfa and -Glem behaviour

Tue Sep 29 14:37:17 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * tools/IDL3_to_XMI/IDL3_to_XMI_visitor.h:
        * tools/IDL3_to_XMI/IDL3_to_XMI_visitor.cpp:
        * tests/IDL3_to_XMI/XMI_For_Module_Reopen/run_test.pl:

          Provided a correct fix for XMI generation for module reopening.
          Fixed similar code for interface/valuetype/eventtype/struct/
          exception/union forward declarations. Extended a test for module
          reopening.

Tue Sep 29 11:57:42 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/tests/CIAO/Components/SimpleCommon.mpc:
        * DAnCE/tests/CIAO/Components/SimpleNilFacetProvider.mpc:
        * DAnCE/tests/CIAO/Components/SimpleProvider.mpc:
          Build order fixes

Tue Sep 29 11:49:42 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/tests/CIAO/Components/SimpleCommon.mpc:
        * examples/BasicSP/BMDevice/BMDevice.mpc:
        * examples/Display/Display_Base/Display_Base.mpc:
        * examples/Hello/Hello_Base/Hello_Base.mpc:
        * examples/Null_Component/Null_Interface.mpc:
        * examples/Swapping/Hello_Base/Hello_Base.mpc:
        * performance-tests/Protocols/common/Protocols.mpc:
        * tests/CIDL/CodeGen/Basic.mpc:
          Removed duplicated base projects

Tue Sep 29 11:36:42 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/Connectors.graffle:
        * docs/OMG-CCM-Tutorial.ppt:
          Added new sheets for IDL3+, Connector, DDS4CCM, and AMI4CCM

Mon Sep 28 18:21:42 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tools/IDL3_to_IDL2/basic_visitor.cpp:

          Cosmetic changes.

        * DAnCE/tests/CIAO/Components/SimpleProvider.mpc:
        * DAnCE/tests/CIAO/Components/SimpleNilFacetProvider.mpc:
        * DAnCE/tests/CIAO/Components/SimpleCommon.mpc:
        * connectors/ami4ccm/examples/Hello/AMI/AMI.mpc:
        * examples/Hello/Sender/Sender.mpc:
        * examples/Hello/Receiver/Receiver.mpc:
        * examples/Hello/Hello_Base/Hello_Base.mpc:
        * examples/BasicSP/BMClosedED/BMClosedED.mpc:
        * examples/BasicSP/BasicSP.mpc:
        * examples/BasicSP/BMDisplay/BMDisplay.mpc:
        * examples/BasicSP/EC/EC.mpc:
        * examples/BasicSP/BMDevice/BMDevice.mpc:
        * examples/DevGuideExamples/Messenger/Messenger.mpc:

          Config changes.

Mon Sep 28 11:25:43 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * tools/IDL3_to_XMI/Literals.cpp:

          Added missing comma between CORBAany and CORBAnative literals.

        * tests/IDL3_to_XMI/XMI_For_Native/test.idl:
        * tests/IDL3_to_XMI/XMI_For_Native/run_test.pl:
        * bin/ciao_tests.lst:

          Added a test that checks for CORBAnative in XMI file.

Mon Sep 28 06:19:36 UTC 2009  Johnny Willemsen <jwillemsen@remedy.nl>

        Integrated idl3_plus branch

        Thu Sep 24 17:35:36 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * DAnCE/tests/RedirectionServiceTest/RedirectionServiceTest.mpc:

          Added separate IDL processing project.

        * DAnCE/RepositoryManager/RepositoryManager.mpc:

          Updated base project on IDL processing project, and
          cosmetic changes.

        * DAnCE/RepositoryManager/repository_manager_admin.cpp:

          Commented out or removed unused args.

        Wed Sep 23 21:50:44 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tools/IDL3_to_XMI/IR_Simulator_visitor.cpp:

          Removed unused arg.

        * performance-tests/Protocols/Sender/Sender.mpc:
        * performance-tests/Benchmark/RoundTripClient/RoundTripClient.mpc:
        * performance-tests/Benchmark/RoundTrip/RoundTrip.mpc:
        * examples/Hello/Hello_Base/Hello_Base.mpc:
        * examples/Display/Display_Base/Display_Base.mpc:
        * examples/Display/GPS/GPS.mpc:
        * examples/Swapping/Sender/Sender.mpc:
        * examples/Swapping/Hello_Base/Hello_Base.mpc:
        * examples/Null_Component/Null_Interface.mpc:

          Fixed missing export header file generation and missing
          dependency of *E.idl processing on *.idl processing.

        Wed Sep 23 21:23:19 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/CIDL/CodeGen/Basic.mpc:

          Added generation of export header files.

        * tests/CIDL/CodeGen/CodeGen_exec_export.h:
        * tests/CIDL/CodeGen/Basic_stub_export.h:
        * tests/CIDL/CodeGen/CodeGen_svnt_export.h:
        * tests/CIDL/CodeGen/Basic_skel_export.h:
        * tests/CIDL/CodeGen/CodeGen_stub_export.h:

          Removed these files, now generated.

        Wed Sep 23 19:37:29 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tools/IDL3_to_XMI/IDL3_TO_XMI.mpc:

          Removed unnecessary base project.

        * tools/IDL3_to_XMI/IDL3_to_XMI_visitor.h:
        * tools/IDL3_to_XMI/IR_Simulator_visitor.cpp:
        * tools/IDL3_to_XMI/IDL3_to_XMI_visitor.cpp:
        * tools/IDL3_to_XMI/IR_Simulator_visitor.h:

          Updated visitors to reflect IDL3+ changes.

        Tue Sep 22 22:17:57 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * DAnCE/tests/CIAO/Components/SimpleNull_exec_export.h:
        * DAnCE/tests/CIAO/Components/SimpleEmitter_svnt_export.h:
        * DAnCE/tests/CIAO/Components/SimpleProvider_stub_export.h:
        * DAnCE/tests/CIAO/Components/SimpleMultipleUser_stub_export.h:
        * DAnCE/tests/CIAO/Components/SimpleUser_svnt_export.h:
        * DAnCE/tests/CIAO/Components/ProcessColocation_svnt_export.h:
        * DAnCE/tests/CIAO/Components/SimpleProvider_exec_export.h:
        * DAnCE/tests/CIAO/Components/SimpleMultipleUser_exec_export.h:
        * DAnCE/tests/CIAO/Components/SimpleConsumer_svnt_export.h:
        * DAnCE/tests/CIAO/Components/SimpleAttribute_svnt_export.h:
        * DAnCE/tests/CIAO/Components/SimpleCommon_stub_export.h:
        * DAnCE/tests/CIAO/Components/SimplePublisher_stub_export.h:
        * DAnCE/tests/CIAO/Components/SimplePublisher_exec_export.h:
        * DAnCE/tests/CIAO/Components/SimpleEmitter_stub_export.h:
        * DAnCE/tests/CIAO/Components/SimpleUser_stub_export.h:
        * DAnCE/tests/CIAO/Components/ProcessColocation_stub_export.h:
        * DAnCE/tests/CIAO/Components/SimpleEmitter_exec_export.h:
        * DAnCE/tests/CIAO/Components/SimpleUser_exec_export.h:
        * DAnCE/tests/CIAO/Components/ProcessColocation_exec_export.h:
        * DAnCE/tests/CIAO/Components/SimpleNull_svnt_export.h:
        * DAnCE/tests/CIAO/Components/SimpleConsumer_stub_export.h:
        * DAnCE/tests/CIAO/Components/SimpleConsumer_exec_export.h:
        * DAnCE/tests/CIAO/Components/SimpleAttribute_stub_export.h:
        * DAnCE/tests/CIAO/Components/SimpleProvider_svnt_export.h:
        * DAnCE/tests/CIAO/Components/SimpleMultipleUser_svnt_export.h:
        * DAnCE/tests/CIAO/Components/SimpleAttribute_exec_export.h:
        * DAnCE/tests/CIAO/Components/SimpleCommon_svnt_export.h:
        * DAnCE/tests/CIAO/Components/SimplePublisher_svnt_export.h:
        * DAnCE/tests/CIAO/Components/SimpleNull_stub_export.h:

          Removed these files, now generated.

        * DAnCE/tests/CIAO/Components/SimpleCommon.mpc:
        * DAnCE/tests/CIAO/Components/SimpleProvider.mpc:

          MPC project changes.

        Tue Sep 22 21:45:42 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * docs/tutorials/Quoter/Simple/Broker/StockBroker_exec_export.h:
        * docs/tutorials/Quoter/Simple/Broker/StockBroker_svnt_export.h:
        * docs/tutorials/Quoter/Simple/Broker/StockBroker_stub_export.h:
        * docs/tutorials/Quoter/Simple/Distributor/StockDistributor_svnt_export.h:
        * docs/tutorials/Quoter/Simple/Distributor/StockDistributor_stub_export.h:
        * docs/tutorials/Quoter/Simple/Distributor/StockDistributor_exec_export.h:
        * docs/tutorials/Quoter/Simple/Stock_Base/Stock_Base_stub_export.h:
        * docs/tutorials/Quoter/Simple/Stock_Base/Stock_Base_skel_export.h:

          Removed these files, now generated.

        * docs/tutorials/Quoter/Simple/Stock_Base/Stock_Base.mpc:
        * docs/tutorials/Quoter/Simple/Distributor/StockDistributor.mpc:

          Config updates.

        Tue Sep 22 21:22:48 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * performance-tests/Protocols/Sender/Sender_svnt_export.h:
        * performance-tests/Protocols/Sender/Sender_stub_export.h:
        * performance-tests/Protocols/Sender/Sender_exec_export.h:
        * performance-tests/Protocols/Receiver/Receiver_exec_export.h:
        * performance-tests/Protocols/Receiver/Receiver_svnt_export.h:
        * performance-tests/Protocols/Receiver/Receiver_stub_export.h:
        * performance-tests/Protocols/common/Protocols_stub_export.h:
        * performance-tests/Protocols/common/Protocols_skel_export.h:

          Removed these files, now generated.

        * performance-tests/Benchmark/RoundTripClient/RoundTripClient.mpc:
        * performance-tests/Benchmark/RoundTrip/RoundTrip.mpc:
        * performance-tests/Protocols/Receiver/Receiver.mpc:
        * performance-tests/Protocols/common/Protocols.mpc:

          Addition of -Glfa IDL compiler option where necessary.

        Tue Sep 22 21:00:03 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * examples/Hello/Hello_Base/Hello_Base_stub_export.h:
        * examples/Hello/Hello_Base/Hello_Base_skel_export.h:
        * examples/BasicSP/BasicSP_exec_export.h:
        * examples/BasicSP/BMDisplay/BMDisplay_exec_export.h:
        * examples/BasicSP/BMDisplay/BMDisplay_svnt_export.h:
        * examples/BasicSP/BMDisplay/BMDisplay_stub_export.h:
        * examples/BasicSP/EC/EC_exec_export.h:
        * examples/BasicSP/EC/EC_svnt_export.h:
        * examples/BasicSP/EC/EC_stub_export.h:
        * examples/BasicSP/BMClosedED/BMClosedED_svnt_export.h:
        * examples/BasicSP/BMClosedED/BMClosedED_stub_export.h:
        * examples/BasicSP/BMClosedED/BMClosedED_exec_export.h:
        * examples/BasicSP/BasicSP_exec.cpp:
        * examples/BasicSP/BMDevice/BMDevice_svnt_export.h:
        * examples/BasicSP/BMDevice/BMDevice_stub_export.h:
        * examples/BasicSP/BMDevice/BMDevice_exec_export.h:
        * examples/BasicSP/BasicSP_exec.h:
        * examples/Display/Display_Base/Display_Base_stub_export.h:
        * examples/Display/Display_Base/Display_Base_skel_export.h:
        * examples/Display/NavDisplayGUI_exec/NavDisplayGUI_exec_export.h:
        * examples/Display/RateGen/RateGen_exec_export.h:
        * examples/Display/RateGen/RateGen_svnt_export.h:
        * examples/Display/RateGen/RateGen_stub_export.h:
        * examples/Display/GPS/GPS_exec_export.h:
        * examples/Display/GPS/GPS_svnt_export.h:
        * examples/Display/GPS/GPS_stub_export.h:
        * examples/Display/NavDisplay/NavDisplay_exec_export.h:
        * examples/Display/NavDisplay/NavDisplay_svnt_export.h:
        * examples/Display/NavDisplay/NavDisplay_stub_export.h:
        * examples/Swapping/Sender/Sender_svnt_export.h:
        * examples/Swapping/Sender/Sender_stub_export.h:
        * examples/Swapping/Sender/Sender_exec_1_export.h:
        * examples/Swapping/Sender/Sender_exec_export.h:
        * examples/Swapping/Sender/Sender_exec_2_export.h:
        * examples/Swapping/Receiver/Receiver_exec_export.h:
        * examples/Swapping/Receiver/Receiver_svnt_export.h:
        * examples/Swapping/Receiver/Receiver_stub_export.h:
        * examples/Swapping/Hello_Base/Hello_Base_stub_export.h:
        * examples/Swapping/Hello_Base/Hello_Base_skel_export.h:
        * examples/Null_Component/Null_Component_stub_export.h:
        * examples/Null_Component/Null_Component_exec_export.h:
        * examples/Null_Component/Null_Component_svnt_export.h:
        * examples/Null_Component/Null_Interface_skel_export.h:
        * examples/Null_Component/Null_Interface_stub_export.h:

          Removed these export header files since they're now
          generated. Also removed BasicSP_exec.*, and moved the
          code to BMClosedED_exec.* and BMDevice_exec.*.

        * examples/BasicSP/BMClosedED/BMClosedED.mpc:
        * examples/BasicSP/BMClosedED/BMClosedED_exec.cpp:
        * examples/BasicSP/BMClosedED/BMClosedED_exec.h:
        * examples/BasicSP/BMDevice/BMDevice_exec.cpp:
        * examples/BasicSP/BMDevice/BMDevice_exec.h:
        * examples/BasicSP/BMDevice/BMDevice.mpc:
        * examples/DevGuideExamples/Messenger/Administrator_Client_IDL3.mpc:

          MPC changes, and code moved from BasicSP_exec.*.

        Mon Sep 21 22:01:50 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * examples/DevGuideExamples/Messenger/Administrator_Client.cpp:
        * examples/DevGuideExamples/Messenger/Receiver.mpc:
        * examples/DevGuideExamples/Messenger/Receiver_exec_export.h:
        * examples/DevGuideExamples/Messenger/Receiver_svnt_export.h:

          Fixed config bugs.

        * examples/DevGuideExamples/Messenger/Messenger_exec_export.h:
        * examples/DevGuideExamples/Messenger/Receiver_stub_export.h:
        * examples/DevGuideExamples/Messenger/Messenger_svnt_export.h:
        * examples/DevGuideExamples/Messenger/Receiver_exec_export.h:
        * examples/DevGuideExamples/Messenger/Administrator_stub_export.h:
        * examples/DevGuideExamples/Messenger/Receiver_svnt_export.h:
        * examples/DevGuideExamples/Messenger/Administrator_exec_export.h:
        * examples/DevGuideExamples/Messenger/Administrator_svnt_export.h:
        * examples/DevGuideExamples/Messenger/Messenger_stub_export.h:

          Removed these files from the repository, since they are now generated.

        Mon Sep 21 21:58:49 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tools/IDL3_to_IDL2/basic_visitor.cpp:
        * tools/IDL3_to_IDL2/idl3_to_idl2_visitor.cpp:

          Fixed bug in implied IDL generation for ports.

        Mon Sep 21 19:42:01 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * DAnCE/Deployment/Deployment_DeploymentPlan.idl:

          Fixed name clash with 'port' identifier.

        * tests/IDL3/Components/ComplexComponent/EventSink/EventSink.idl:
        * tests/IDL3/Components/ComplexComponent/EventSource/EventSource.idl:
        * tests/IDL3/Components/ComplexComponent/Facets/Facets.idl:
        * tests/IDL3/Components/ComplexComponent/Receptacles/Receptacles.idl:

          Fixed name clashes.

        * tools/IDL3_to_IDL2/basic_visitor.cpp:

          Fixed bug in processing of valuetypes.

        * DAnCE/TargetManager/TargetManager.mpc:
        * DAnCE/TargetManager/TargetManager_exec_export.h:
        * DAnCE/TargetManager/TargetManager_stub_export.h:
        * DAnCE/TargetManager/TargetManager_svnt_export.h:
        * examples/BasicSP/BMClosedED/BMClosedED.mpc:
        * examples/BasicSP/BMClosedED/BMClosedED_exec.h:
        * examples/BasicSP/BMClosedED/BMClosedED_exec_export.h:
        * examples/BasicSP/BMClosedED/BMClosedED_stub_export.h:
        * examples/BasicSP/BMClosedED/BMClosedED_svnt_export.h:
        * examples/BasicSP/BMDevice/BMDevice.mpc:
        * examples/BasicSP/BMDevice/BMDevice_exec.h:
        * examples/BasicSP/BMDevice/BMDevice_exec_export.h:
        * examples/BasicSP/BMDevice/BMDevice_stub_export.h:
        * examples/BasicSP/BMDevice/BMDevice_svnt_export.h:
        * examples/BasicSP/BMDisplay/BMDisplay.mpc:
        * examples/BasicSP/BMDisplay/BMDisplay_exec_export.h:
        * examples/BasicSP/BMDisplay/BMDisplay_stub_export.h:
        * examples/BasicSP/BMDisplay/BMDisplay_svnt_export.h:
        * examples/BasicSP/BasicSP.mpc:
        * examples/BasicSP/BasicSP_exec_export.h:
        * examples/BasicSP/BasicSP_stub_export.h:
        * examples/BasicSP/BasicSP_svnt_export.h:
        * examples/BasicSP/EC/EC.mpc:
        * examples/BasicSP/EC/EC_exec_export.h:
        * examples/BasicSP/EC/EC_stub_export.h:
        * examples/BasicSP/EC/EC_svnt_export.h:
        * examples/DevGuideExamples/Messenger/Administrator_Client.cpp:
        * examples/DevGuideExamples/Messenger/Administrator_exec_export.h:
        * examples/DevGuideExamples/Messenger/Administrator_stub_export.h:
        * examples/DevGuideExamples/Messenger/Administrator_svnt_export.h:
        * examples/DevGuideExamples/Messenger/Messenger.mpc:
        * examples/DevGuideExamples/Messenger/Messenger_exec_export.h:
        * examples/DevGuideExamples/Messenger/Messenger_stub_export.h:
        * examples/DevGuideExamples/Messenger/Messenger_svnt_export.h:
        * examples/DevGuideExamples/Messenger/Receiver_stub_export.h:
        * examples/DevGuideExamples/Messenger/Receiver_svnt_export.h:
        * examples/Display/Display_Base/Display_Base.mpc:
        * examples/Display/GPS/GPS.mpc:
        * examples/Display/GPS/GPS_exec_export.h:
        * examples/Display/GPS/GPS_stub_export.h:
        * examples/Display/GPS/GPS_svnt_export.h:
        * examples/Display/NavDisplay/NavDisplay.mpc:
        * examples/Display/NavDisplay/NavDisplay_exec_export.h:
        * examples/Display/NavDisplay/NavDisplay_stub_export.h:
        * examples/Display/NavDisplay/NavDisplay_svnt_export.h:
        * examples/Display/RateGen/RateGen.mpc:
        * examples/Display/RateGen/RateGen_exec_export.h:
        * examples/Display/RateGen/RateGen_stub_export.h:
        * examples/Display/RateGen/RateGen_svnt_export.h:
        * examples/Hello/Receiver/Receiver.mpc:
        * examples/Hello/Sender/Sender.mpc:
        * examples/Null_Component/Null_Component.mpc:
        * examples/Null_Component/Null_Component_exec_export.h:
        * examples/Null_Component/Null_Component_stub_export.h:
        * examples/Null_Component/Null_Component_svnt_export.h:
        * examples/Swapping/Receiver/Receiver_exec_export.h:
        * examples/Swapping/Receiver/Receiver_stub_export.h:
        * examples/Swapping/Receiver/Receiver_svnt_export.h:
        * examples/Swapping/Sender/Sender.mpc:
        * examples/Swapping/Sender/Sender_exec_export.h:
        * examples/Swapping/Sender/Sender_stub_export.h:
        * examples/Swapping/Sender/Sender_svnt_export.h:
        * tests/Bug_2130_Regression/SEC_CheckPoint/TSEC_CheckPoint.mpc:
        * tests/Bug_2130_Regression/SEC_CheckPoint/TSEC_CheckPoint_exec_export.h:
        * tests/Bug_2130_Regression/SEC_CheckPoint/TSEC_CheckPoint_stub_export.h:
        * tests/Bug_2130_Regression/SEC_CheckPoint/TSEC_CheckPoint_svnt_export.h:
        * tests/CIAO_ComponentServer/SimpleComponent/SimpleComponent_exec_export.h:
        * tests/CIAO_ComponentServer/SimpleComponent/SimpleComponent_stub_export.h:
        * tests/CIAO_ComponentServer/SimpleComponent/SimpleComponent_svnt_export.h:
        * tests/CIDL/CodeGen/CodeGen.mpc:
        * tests/CIDL/CodeGen/CodeGen_exec_export.h:
        * tests/CIDL/CodeGen/CodeGen_stub_export.h:
        * tests/CIDL/CodeGen/CodeGen_svnt_export.h:
        * tests/IDL3/Components/ComplexComponent/Receptacles/Receptacles.mpc:
        * tests/IDL3/Components/SimpleComponent/SimpleComponent.mpc:
        * tests/IDL3/ImpliedIDL/Components/EventSink/ICEventSink.idl:
        * tests/IDL3/ImpliedIDL/Components/EventSource/ICEventSource.idl:
        * tests/IDL_Test/Reused_Facet_Interface/CodeGen.mpc:
        * tests/Minimum/Receiver/Receiver.mpc:
        * tests/Minimum/Receiver/Receiver_exec_export.h:
        * tests/Minimum/Receiver/Receiver_stub_export.h:
        * tests/Minimum/Receiver/Receiver_svnt_export.h:
        * tests/Minimum/Sender/Sender.mpc:
        * tests/Minimum/Sender/Sender_exec_export.h:
        * tests/Minimum/Sender/Sender_stub_export.h:
        * tests/Minimum/Sender/Sender_svnt_export.h:

          Added configuration changes corresponding to IDL3+ changes
          to IDL compiler.

        Wed Sep  2 16:06:59 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tools/IDL3_to_IDL2/idl3_to_idl2_visitor.cpp:
        * tools/IDL3_to_IDL2/idl3_to_idl2_visitor.h:

          Replaced commented-out gen_* methods with
          corresponding visit_* methods for component ports.

        Wed Aug 26 18:29:14 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tools/IDL3_to_IDL2/checking_visitor.h:
        * tools/IDL3_to_IDL2/basic_visitor.h:
        * tools/IDL3_to_IDL2/idl3_to_idl2_visitor.cpp:
        * tools/IDL3_to_IDL2/checking_visitor.cpp:
        * tools/IDL3_to_IDL2/idl3_to_idl2_visitor.h:

          Updated visitors to include the new visit methods,
          and commented out the existing methods that use
          port descriptions, which have been eliminated.

        Fri Jul 17 19:07:47 UTC 2009  Jeff Parsons  <j.parsons@vanderbilt.edu>

        * tools/IDL3_to_IDL2/basic_visitor.h:
        * tools/IDL3_to_IDL2/basic_visitor.cpp:
        * tools/IDL3_to_IDL2/checking_visitor.h:
        * tools/IDL3_to_IDL2/checking_visitor.cpp:

          Added new visit_* methods corresponding to new nodes
          added in the IDL compiler front end.

        Wed Jul  8 22:44:15 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tools/IDL3_to_IDL2/checking_visitor.h:
        * tools/IDL3_to_IDL2/basic_visitor.cpp:
        * tools/IDL3_to_IDL2/basic_visitor.h:
        * tools/IDL3_to_IDL2/checking_visitor.cpp:

          Added new visit_template_interface() and
          visit_porttype() methods to keep these classes up to
          date with the IDL compiler frontend. The methods are
          empty for now, but the IDL3_to_IDL2 visitor classes are
          kept concrete and instantiable.

Wed Sep 23 11:57:59 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * tests/IDL3_to_XMI/XMI_For_Module_Reopen/test.idl:
        * tests/IDL3_to_XMI/XMI_For_Module_Reopen/run_test.pl:
        * bin/ciao_tests.lst:

          Added a test for XMI generation in case of module reopening.
          Scheduled the test for run.

Wed Sep 23 10:50:59 UTC 2009  Vladimir Zykov  <vz@prismtech.com>

        * tools/IDL3_to_XMI/IDL3_to_XMI_visitor.cpp:

          Fixed XMI generation in case of module reopening.

Tue Sep 22 07:16:55 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * DAnCE/tests/CIAO/ExecutionManager-Deployments/simple_em_launcher.cpp:
        * DAnCE/tests/CIAO/NodeManager-Deployments/simple_nm_launcher.cpp:
          Replaced ACE_xxx macros with DANCE_xxx macros.

        * connectors/ami4ccm/docs/AMI4CCM-spec.odt:
          Every sendc method should have it's own reply handler.

        * connectors/ami4ccm/examples/Hello/AMI/AMI_MyFoo_i.cpp:
        * connectors/ami4ccm/examples/Hello/AMI/AMI_MyInterface_i.cpp:
        * connectors/ami4ccm/examples/Hello/AMI/AMI_exec.h:
        * connectors/ami4ccm/examples/Hello/AMI/AMI_exec.cpp:
        * connectors/ami4ccm/examples/Hello/Hello_Base/Hello.idl:
        * connectors/ami4ccm/examples/Hello/Hello_Base/Hello_Base.idl:
        * connectors/ami4ccm/examples/Hello/Receiver/Hello_Receiver_exec.cpp:
        * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender_exec.h:
        * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender_exec.cpp:
          Every sendc method has it's own reply handler.
          Also the implementation of the exception handling has changed.
          Now an exception holder is used.

Mon Sep 14 09:19:39 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender_exec.cpp:
          Updated some messages to not get false positives on the scoreboard

Fri Sep 11 02:39:39 CDT 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * CIAO version 0.7.3 released.

Thu Sep 10 07:05:10 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender_exec.cpp:
          Updated some messages to not get false positives on the scoreboard

Tue Sep  8 10:38:10 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/ciao_tests.lst:
          Added ami4ccm example

Tue Sep  8 10:17:10 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/Hello
          Moved example to the new Hello subdirectory

Tue Sep  8 10:08:10 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/tests/CIAO/ExecutionManager-Deployments/simple_em_launcher.cpp:
          Fixed compile error

Tue Sep  8 08:38:10 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        Integrated AMI4CCM branch which shows a prototype how AMI would
        look like at the CCM level

        Mon Sep  7 09:41:10 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * DAnCE/NodeManager/Node_Manager_Module.cpp:
        * DAnCE/tests/CIAO/ExecutionManager-Deployments/simple_em_launcher.cpp:
        * DAnCE/tests/CIAO/NodeManager-Deployments/simple_nm_launcher.cpp:
          Resolved merge conflicts to head.

        Mon Sep  7 08:28:12 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/AMI_CCM/docs:
        * connectors/AMI_CCM/docs/AMI4CCM-explanation.odt:
        * connectors/AMI_CCM/docs/AMI4CCM-spec.odt:
          Created a subdirectory called 'docs'. Moved the
          existing documents to this directory.

        * connectors/AMI_CCM/examples:
        * connectors/AMI_CCM/examples/AMI:
        * connectors/AMI_CCM/examples/Hello_Base:
        * connectors/AMI_CCM/examples/Receiver:
        * connectors/AMI_CCM/examples/Sender:
        * connectors/AMI_CCM/examples/Sender/Hello_Sender.idl:
        * connectors/AMI_CCM/examples/descriptors:
        * connectors/AMI_CCM/AMI:
        * connectors/AMI_CCM/AMI/AMI.idl:
        * connectors/AMI_CCM/AMI/AMI.mpc:
        * connectors/AMI_CCM/AMI/AMI_MyFoo_i.h:
        * connectors/AMI_CCM/AMI/AMI_MyFoo_i.cpp:
        * connectors/AMI_CCM/AMI/AMI_MyInterface_i.h:
        * connectors/AMI_CCM/AMI/AMI_MyInterface_i.cpp:
        * connectors/AMI_CCM/AMI/AMI_exec.h:
        * connectors/AMI_CCM/AMI/AMI_exec.cpp:
        * connectors/AMI_CCM/AMI4CCM-explanation.odt:
        * connectors/AMI_CCM/AMI4CCM-spec.odt:
        * connectors/AMI_CCM/Hello_Base:
        * connectors/AMI_CCM/Hello_Base/Hello.idl:
        * connectors/AMI_CCM/Hello_Base/Hello_Base.idl:
        * connectors/AMI_CCM/Hello_Base/Hello_Base.mpc:
        * connectors/AMI_CCM/Receiver:
        * connectors/AMI_CCM/Receiver/Hello_Receiver.idl:
        * connectors/AMI_CCM/Receiver/Hello_Receiver.mpc:
        * connectors/AMI_CCM/Receiver/Hello_Receiver_exec.h:
        * connectors/AMI_CCM/Receiver/Hello_Receiver_exec.cpp:
        * connectors/AMI_CCM/Sender:
        * connectors/AMI_CCM/Sender/Hello_Sender.idl:
        * connectors/AMI_CCM/Sender/Hello_Sender.mpc:
        * connectors/AMI_CCM/Sender/Hello_Sender_exec.h:
        * connectors/AMI_CCM/Sender/Hello_Sender_exec.cpp:
        * connectors/AMI_CCM/descriptors:
        * connectors/AMI_CCM/descriptors/Plan.cdp:
        * connectors/AMI_CCM/descriptors/run_test.pl:
          Created a subdirectory called 'examples'. Moved
          all files to this directory.

        Fri Sep  4 11:00:39 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * ciao/ComponentServer/CIAO_Container_Impl.cpp:
          Improved logging.

        Thu Sep  3 14:10:17 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * DAnCE/NodeManager/Node_Manager_Module.cpp:
          Improved logging.

        Thu Sep  3 13:17:52 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/AMI_CCM/AMI/AMI_exec.cpp:
        * connectors/AMI_CCM/Hello_Base/Hello_Base.mpc:
        * connectors/AMI_CCM/Receiver/Hello_Receiver_exec.cpp:
          Resolved compiler errors on Windows.

        Thu Sep  3 12:05:43 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * ciao/ComponentServer/CIAO_ComponentInstallation_Impl.cpp:
          rebind (in stead of bind) is always called.
          This results in an unnecessary warning.

        * ciao/Containers/Servant_Activator.cpp:
          tmp was initialized but never used.

        Thu Sep  3 10:20:48 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/AMI_CCM/Receiver/Hello_Receiver_exec.cpp:
          Resolved compiler error on windows.

        Thu Sep  3 08:19:18 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * DAnCE/DomainApplicationManager/Node_Locator.cpp:
          Log message inserted.

        * DAnCE/RepositoryManager/URL_Parser.cpp:
          Resolved compiler error on Windows.

        Thu Sep  3 07:48:59 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * DAnCE/DomainApplication/Domain_Application_Impl.cpp:
        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp:
        * DAnCE/ExecutionManager/ExecutionManager_Impl.cpp:
        * DAnCE/NodeApplication/NodeApplication_Impl.cpp:
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp:
        * DAnCE/NodeManager/NodeManager_Impl.cpp:
        * DAnCE/Plan_Generator/PCVisitor.cpp:
        * DAnCE/Plan_Generator/Plan_Generator_Impl.cpp:
        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.cpp:
        * DAnCE/RepositoryManager/PC_Updater.cpp:
        * DAnCE/RepositoryManager/RM_Helper.cpp:
        * DAnCE/RepositoryManager/RepositoryManager.cpp:
        * DAnCE/RepositoryManager/RepositoryManager_Impl.cpp:
        * DAnCE/RepositoryManager/URL_Parser.h:
        * DAnCE/RepositoryManager/URL_Parser.cpp:
        * DAnCE/RepositoryManager/ZIP_Wrapper.h:
        * DAnCE/RepositoryManager/ZIP_Wrapper.cpp:
        * DAnCE/RepositoryManager/repository_manager_admin_exec.cpp:
        * DAnCE/StaticConfigurator/StaticDAnCEParser.cpp:
        * DAnCE/TargetManager/CmpClient.cpp:
        * DAnCE/TargetManager/DomainDataManager.cpp:
        * DAnCE/tests/CIAO/ExecutionManager-Deployments/simple_em_launcher.cpp:
        * DAnCE/tests/CIAO/NodeManager-Deployments/simple_nm_launcher.cpp:
          Replaced all ACE_ERROR-s, ACE_ERROR_RETURN-s and ACE_DEBUG-s with th
          DANCE variant.

        Wed Sep  2 12:09:58 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/AMI_CCM/AMI/AMI_MyFoo_i.cpp:
        * connectors/AMI_CCM/AMI/AMI_exec.h:
        * connectors/AMI_CCM/AMI/AMI_exec.cpp:
        * connectors/AMI_CCM/Hello_Base/Hello_Base.idl:
        * connectors/AMI_CCM/Sender/Hello_Sender_exec.cpp:
          Changed to meet the spec.

        Wed Sep  2 07:33:20 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/AMI_CCM/AMI4CCM-explanation.odt:
        * connectors/AMI_CCM/AMI4CCM-spec.odt:
          When the rh in the sendc is nil, AMI treats
          this as an oneway request.
          When a rh per request is used, the 'global' rh
          code should not be generated.

        Mon Aug 31 11:09:40 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/AMI_CCM/AMI4CCM-explanation.odt:
        * connectors/AMI_CCM/AMI4CCM-spec.odt:
          Added.

        * connectors/AMI_CCM/Sender/Hello_Sender_exec.cpp:
          Resolved bug regarding the MyInterface interface.

        Mon Aug 31 10:39:25 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/AMI_CCM/Sender/Hello_Sender_exec.h:
        * connectors/AMI_CCM/Sender/Hello_Sender_exec.cpp:
          Resolved some compiler errors/warnings.

        Fri Aug 28 07:29:13 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/AMI_CCM/AMI/AMI_MyFoo_i.h:
        * connectors/AMI_CCM/AMI/AMI_MyFoo_i.cpp:
        * connectors/AMI_CCM/AMI/AMI_MyInterface_i.cpp:
        * connectors/AMI_CCM/AMI/AMI_exec.h:
        * connectors/AMI_CCM/AMI/AMI_exec.cpp:
        * connectors/AMI_CCM/Hello_Base/Hello.idl:
        * connectors/AMI_CCM/Hello_Base/Hello_Base.idl:
        * connectors/AMI_CCM/Receiver/Hello_Receiver_exec.h:
        * connectors/AMI_CCM/Receiver/Hello_Receiver_exec.cpp:
        * connectors/AMI_CCM/Sender/Hello_Sender_exec.h:
        * connectors/AMI_CCM/Sender/Hello_Sender_exec.cpp:
          Extende the MyFoo interface with a new method. Just
          to gain more inside info.

        Thu Aug 27 16:47:53 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/AMI_CCM/AMI/AMI.mpc:
        * connectors/AMI_CCM/AMI/AMI_MyFoo_i.h:
        * connectors/AMI_CCM/AMI/AMI_MyFoo_i.cpp:
        * connectors/AMI_CCM/AMI/AMI_MyInterface_i.h:
        * connectors/AMI_CCM/AMI/AMI_MyInterface_i.cpp:
        * connectors/AMI_CCM/AMI/AMI_exec.h:
        * connectors/AMI_CCM/AMI/AMI_exec.cpp:
        * connectors/AMI_CCM/Hello_Base/Hello_Base.idl:
        * connectors/AMI_CCM/Sender/Hello_Sender_exec.h:
        * connectors/AMI_CCM/Sender/Hello_Sender_exec.cpp:
        * connectors/AMI_CCM/descriptors/run_test.pl:
          Refactored code. Also expanded this
          example with another interface.

        * connectors/AMI_CCM/AMI/AMI_internal_i.h:
        * connectors/AMI_CCM/AMI/AMI_internal_i.cpp:
        * connectors/AMI_CCM/AMI/AMI_perform_work.h:
        * connectors/AMI_CCM/AMI/AMI_perform_work.cpp:
        * connectors/AMI_CCM/AMI/AMI_server.h:
        * connectors/AMI_CCM/AMI/AMI_server.cpp:

          Removed these files.

        Wed Aug 26 18:42:49 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/AMI_CCM/AMI/AMI.idl:
        * connectors/AMI_CCM/AMI/AMI_exec.h:
        * connectors/AMI_CCM/AMI/AMI_exec.cpp:
        * connectors/AMI_CCM/Hello_Base/Hello.idl:
        * connectors/AMI_CCM/Hello_Base/Hello_Base.idl:
        * connectors/AMI_CCM/Receiver/Hello_Receiver.idl:
        * connectors/AMI_CCM/Receiver/Hello_Receiver_exec.h:
        * connectors/AMI_CCM/Receiver/Hello_Receiver_exec.cpp:
        * connectors/AMI_CCM/Sender/Hello_Sender.idl:
        * connectors/AMI_CCM/Sender/Hello_Sender_exec.h:
        * connectors/AMI_CCM/Sender/Hello_Sender_exec.cpp:
        * connectors/AMI_CCM/descriptors/Plan.cdp:
          Set up (empty) framework in order to test one reply handler
          per request.

        Wed Aug 26 13:04:12 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/AMI_CCM/AMI/AMI_exec.h:
        * connectors/AMI_CCM/AMI/AMI_exec.cpp:
        * connectors/AMI_CCM/Hello_Base/Hello_Base.idl:
        * connectors/AMI_CCM/Sender/Hello_Sender_exec.h:
        * connectors/AMI_CCM/Sender/Hello_Sender_exec.cpp:
          Removed cookie from IDL interfaces.

        Wed Aug 26 08:59:26 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/AMI_CCM/AMI/AMI.idl:
        * connectors/AMI_CCM/AMI/AMI_exec.h:
        * connectors/AMI_CCM/AMI/AMI_exec.cpp:
        * connectors/AMI_CCM/AMI/AMI_internal_i.h:
        * connectors/AMI_CCM/AMI/AMI_internal_i.cpp:
        * connectors/AMI_CCM/AMI/AMI_perform_work.cpp:
        * connectors/AMI_CCM/AMI/AMI_server.h:
        * connectors/AMI_CCM/AMI/AMI_server.cpp:
        * connectors/AMI_CCM/Hello_Base/Hello.idl:
        * connectors/AMI_CCM/Hello_Base/Hello_Base.idl:
        * connectors/AMI_CCM/Hello_Base/Hello_Base.mpc:
        * connectors/AMI_CCM/Receiver/Hello_Receiver.idl:
        * connectors/AMI_CCM/Receiver/Hello_Receiver_exec.h:
        * connectors/AMI_CCM/Receiver/Hello_Receiver_exec.cpp:
        * connectors/AMI_CCM/Sender/Hello_Sender.idl:
        * connectors/AMI_CCM/Sender/Hello_Sender_exec.h:
        * connectors/AMI_CCM/Sender/Hello_Sender_exec.cpp:
          Added Hello.idl to seperate AMI interfaces from
          "normal" interfaces. Besides this changed naming
          convention to make a distinction between AMI interfaces
          and "normal" interfaces.

        Tue Aug 25 13:30:29 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/AMI_CCM/AMI/AMI_exec.h:
        * connectors/AMI_CCM/AMI/AMI_exec.cpp:
        * connectors/AMI_CCM/AMI/AMI_server.h:
        * connectors/AMI_CCM/AMI/AMI_server.cpp:
          Removed unnecessary class variables.

        Tue Aug 25 13:03:23 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/AMI_CCM/AMI/AMI_exec.h:
        * connectors/AMI_CCM/AMI/AMI_exec.cpp:
        * connectors/AMI_CCM/AMI/AMI_server.cpp:
          AMI collacation set to 0 since AMI CORBA client and
          AMI CORBA server are running in the same process.

        * connectors/AMI_CCM/Sender/Hello_Sender_exec.cpp:
          Improved logging.

        * connectors/AMI_CCM/descriptors/run_test.pl:
          Automatically remove AMI CORBA ior file.

        Tue Aug 25 09:35:49 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/AMI_CCM/AMI/AMI.idl:
        * connectors/AMI_CCM/AMI/AMI_exec.cpp:
        * connectors/AMI_CCM/AMI/AMI_internal_i.cpp:
        * connectors/AMI_CCM/Hello_Base/Hello_Base.idl:
        * connectors/AMI_CCM/Receiver/Hello_Receiver_exec.cpp:
        * connectors/AMI_CCM/Sender/Hello_Sender_exec.h:
        * connectors/AMI_CCM/Sender/Hello_Sender_exec.cpp:
          Refactored exception handling a bit. An exception struct
          is now passed to the exception callback.
          Also shortened the time stamps.

        * connectors/AMI_CCM/descriptors/run_test.pl:
          Shortened the sleep time.

        Tue Aug 25 07:19:55 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/AMI_CCM/AMI/AMI.mpc:
        * connectors/AMI_CCM/AMI/AMI_perform_work.cpp:
        * connectors/AMI_CCM/Hello_Base/Hello_Base.mpc:
        * connectors/AMI_CCM/Receiver/Hello_Receiver.mpc:
        * connectors/AMI_CCM/Receiver/Hello_Receiver_exec.cpp:
        * connectors/AMI_CCM/Sender/Hello_Sender.mpc:
        * connectors/AMI_CCM/Sender/Hello_Sender_exec.cpp:
          Resolved compiler errors on windows.
          Resolved linker errors related to previous login.

        Tue Aug 25 05:44:12 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/AMI_CCM/AMI/AMI.mpc:
        * connectors/AMI_CCM/AMI/AMI_exec.h:
        * connectors/AMI_CCM/AMI/AMI_exec.cpp:
        * connectors/AMI_CCM/AMI/AMI_internal_i.h:
        * connectors/AMI_CCM/AMI/AMI_internal_i.cpp:
        * connectors/AMI_CCM/AMI/AMI_perform_work.h:
        * connectors/AMI_CCM/AMI/AMI_server.h:
        * connectors/AMI_CCM/AMI/AMI_server.cpp:
          Removed internal IDL and use Hello base foo interface

        * connectors/AMI_CCM/Hello_Base/Hello_Base.mpc:
          foo interface uses AMI.

        Mon Aug 24 13:31:57 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/AMI_CCM/AMI/AMI_exec.h:
        * connectors/AMI_CCM/AMI/AMI_exec.cpp:
        * connectors/AMI_CCM/AMI/AMI_internal_i.h:
        * connectors/AMI_CCM/AMI/AMI_internal_i.cpp:
        * connectors/AMI_CCM/AMI/AMI_server.h:
        * connectors/AMI_CCM/AMI/AMI_server.cpp:
        * connectors/AMI_CCM/Hello_Base/Hello_Base.idl:
        * connectors/AMI_CCM/Receiver/Hello_Receiver_exec.h:
        * connectors/AMI_CCM/Receiver/Hello_Receiver_exec.cpp:
        * connectors/AMI_CCM/Sender/Hello_Sender.idl:
        * connectors/AMI_CCM/Sender/Hello_Sender_exec.h:
        * connectors/AMI_CCM/Sender/Hello_Sender_exec.cpp:
        * connectors/AMI_CCM/descriptors/Plan.cdp:
          Implemented synchronous calls from Sender to Receiver. Renamed some
          interfaces to match the CORBA specs regarding AMI.

        Mon Aug 24 12:21:50 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/AMI_CCM/AMI/AMI.mpc:
        * connectors/AMI_CCM/AMI/AMI_exec.cpp:
          Removed file since this wasn't needed.

        Mon Aug 24 11:34:05 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/AMI_CCM/AMI/AMI_exec.cpp:
        * connectors/AMI_CCM/AMI/AMI_internal_i.cpp:
        * connectors/AMI_CCM/Hello_Base/Hello_Base.idl:
        * connectors/AMI_CCM/Receiver/Hello_Receiver_exec.cpp:
        * connectors/AMI_CCM/Sender/Hello_Sender_exec.cpp:
          Implemented exception handling.

        Mon Aug 24 09:25:00 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/AMI_CCM/AMI/AMI_exec.h:
        * connectors/AMI_CCM/AMI/AMI_exec.cpp:
        * connectors/AMI_CCM/AMI/AMI_internal_i.cpp:
        * connectors/AMI_CCM/AMI/AMI_perform_work.cpp:
          CORBA callback in seperate thread. Refactored to
          one reply handler per request.

        * connectors/AMI_CCM/Sender/Hello_Sender_exec.cpp:
          Optimized logging. Removed sleep between calls.
          Wait 5 sec. (in stead of 10) before start.

        * connectors/AMI_CCM/descriptors/run_test.pl:
          Minor changes.

        Mon Aug 24 07:34:08 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/AMI_CCM/AMI/AMI_exec.h:
        * connectors/AMI_CCM/AMI/AMI_exec.cpp:
          Implemented a define to switch between implementations.
          Resolved some compiler warnings.

        Mon Aug 24 07:10:16 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors/AMI_CCM/AMI/AMI.mpc:
        * connectors/AMI_CCM/AMI/AMI_exec.h:
        * connectors/AMI_CCM/AMI/AMI_exec.cpp:
        * connectors/AMI_CCM/AMI/AMI_internal_i.h:
        * connectors/AMI_CCM/AMI/AMI_internal_i.cpp:
        * connectors/AMI_CCM/AMI/AMI_perform_work.h:
        * connectors/AMI_CCM/AMI/AMI_perform_work.cpp:
        * connectors/AMI_CCM/AMI/AMI_server.h:
        * connectors/AMI_CCM/AMI/AMI_server.cpp:
          First step to use CORBA AMI in the AMI component.

        * connectors/AMI_CCM/Sender/Hello_Sender_exec.h:
        * connectors/AMI_CCM/Sender/Hello_Sender_exec.cpp:
          Minor changes.

        Thu Aug 20 09:56:11 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * connectors:
        * connectors/AMI_CCM:
        * connectors/AMI_CCM/AMI:
        * connectors/AMI_CCM/AMI/AMI.idl:
        * connectors/AMI_CCM/AMI/AMI.mpc:
        * connectors/AMI_CCM/AMI/AMI_exec.h:
        * connectors/AMI_CCM/AMI/AMI_exec.cpp:
        * connectors/AMI_CCM/Hello_Base:
        * connectors/AMI_CCM/Hello_Base/Hello_Base.idl:
        * connectors/AMI_CCM/Hello_Base/Hello_Base.mpc:
        * connectors/AMI_CCM/Receiver:
        * connectors/AMI_CCM/Receiver/Hello_Receiver.idl:
        * connectors/AMI_CCM/Receiver/Hello_Receiver.mpc:
        * connectors/AMI_CCM/Receiver/Hello_Receiver_exec.h:
        * connectors/AMI_CCM/Receiver/Hello_Receiver_exec.cpp:
        * connectors/AMI_CCM/Sender:
        * connectors/AMI_CCM/Sender/Hello_Sender.idl:
        * connectors/AMI_CCM/Sender/Hello_Sender.mpc:
        * connectors/AMI_CCM/Sender/Hello_Sender_exec.h:
        * connectors/AMI_CCM/Sender/Hello_Sender_exec.cpp:
        * connectors/AMI_CCM/descriptors:
        * connectors/AMI_CCM/descriptors/Plan.cdp:
        * connectors/AMI_CCM/descriptors/run_test.pl:
          Moved this example from tests to this location. Just to
          be consistent with dds4ccm.

        * tests/AMI_CCM:
        * tests/AMI_CCM/AMI:
        * tests/AMI_CCM/AMI/AMI.idl:
        * tests/AMI_CCM/AMI/AMI.mpc:
        * tests/AMI_CCM/AMI/AMI_exec.h:
        * tests/AMI_CCM/AMI/AMI_exec.cpp:
        * tests/AMI_CCM/Hello_Base:
        * tests/AMI_CCM/Hello_Base/Hello_Base.idl:
        * tests/AMI_CCM/Hello_Base/Hello_Base.mpc:
        * tests/AMI_CCM/Receiver:
        * tests/AMI_CCM/Receiver/Hello_Receiver.idl:
        * tests/AMI_CCM/Receiver/Hello_Receiver.mpc:
        * tests/AMI_CCM/Receiver/Hello_Receiver_exec.h:
        * tests/AMI_CCM/Receiver/Hello_Receiver_exec.cpp:
        * tests/AMI_CCM/Sender:
        * tests/AMI_CCM/Sender/Hello_Sender.idl:
        * tests/AMI_CCM/Sender/Hello_Sender.mpc:
        * tests/AMI_CCM/Sender/Hello_Sender_exec.h:
        * tests/AMI_CCM/Sender/Hello_Sender_exec.cpp:
        * tests/AMI_CCM/descriptors:
        * tests/AMI_CCM/descriptors/Plan.cdp:
        * tests/AMI_CCM/descriptors/run_test.pl:
          Removed these files.

        Thu Aug 20 09:24:04 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/AMI_CCM/AMI/AMI_exec.cpp:
        * tests/AMI_CCM/Receiver/Hello_Receiver_exec.cpp:
        * tests/AMI_CCM/Sender/Hello_Sender_exec.cpp:
          Improved log messages.

        * tests/AMI_CCM/descriptors/run_test.pl:
          Changed to meet the latest version.

        Thu Aug 20 08:54:46 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/AMI_CCM/AMI/AMI_exec.h:
        * tests/AMI_CCM/AMI/AMI_exec.cpp:
        * tests/AMI_CCM/Hello_Base/Hello_Base.idl:
        * tests/AMI_CCM/Receiver/Hello_Receiver_exec.cpp:
        * tests/AMI_CCM/Sender/Hello_Sender_exec.h:
        * tests/AMI_CCM/Sender/Hello_Sender_exec.cpp:
          The basic version of AMI seems to work. The AMI component
          determines a cookie and spawns a thread per request.
          The thread handles the request and calls the callback
          function of the sender.

        Wed Aug 19 09:07:17 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/AMI_CCM/AMI/AMI_exec.h:
        * tests/AMI_CCM/AMI/AMI_exec.cpp:
        * tests/AMI_CCM/Receiver/Hello_Receiver_exec.cpp:
        * tests/AMI_CCM/Sender/Hello_Sender_exec.h:
        * tests/AMI_CCM/Sender/Hello_Sender_exec.cpp:
          The Sender component is now able to pass a string through the
          AMI component to the Receiver component.

        Wed Aug 19 07:58:49 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/AMI_CCM/AMI:
        * tests/AMI_CCM/AMI/AMI.idl:
        * tests/AMI_CCM/AMI/AMI.mpc:
        * tests/AMI_CCM/AMI/AMI_exec.h:
        * tests/AMI_CCM/AMI/AMI_exec.cpp:
        * tests/AMI_CCM/Hello_Base/Hello_Base.idl:
        * tests/AMI_CCM/Receiver/Hello_Receiver.idl:
        * tests/AMI_CCM/Receiver/Hello_Receiver.mpc:
        * tests/AMI_CCM/Receiver/Hello_Receiver_exec.h:
        * tests/AMI_CCM/Receiver/Hello_Receiver_exec.cpp:
        * tests/AMI_CCM/Sender/Hello_Sender.idl:
        * tests/AMI_CCM/Sender/Hello_Sender.mpc:
        * tests/AMI_CCM/Sender/Hello_Sender_exec.h:
        * tests/AMI_CCM/Sender/Hello_Sender_exec.cpp:
        * tests/AMI_CCM/descriptors/Plan.cdp:
          Changed to deploy the third component (AMI). None of the
          executors are implemented yet. Deploymentplan and IDL files
          are prepared to deploy the AMI component.

        Tue Aug 18 09:59:07 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/AMI_CCM/Hello_Base/Hello_Base.idl:
        * tests/AMI_CCM/Receiver/Hello_Receiver.idl:
        * tests/AMI_CCM/Receiver/Hello_Receiver_exec.h:
        * tests/AMI_CCM/Receiver/Hello_Receiver_exec.cpp:
        * tests/AMI_CCM/Sender/Hello_Sender.idl:
        * tests/AMI_CCM/Sender/Hello_Sender_exec.h:
        * tests/AMI_CCM/Sender/Hello_Sender_exec.cpp:
        * tests/AMI_CCM/descriptors/Plan.cdp:
        * tests/AMI_CCM/descriptors/run_test.pl:
          Baseline for AMI implementation. Sender and Receiver
          components are deployable and runable.

        Fri Jul 24 11:54:48 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/AMI_CCM/Hello_Base/Hello_Base.mpc:
        * tests/AMI_CCM/Receiver/Hello_Receiver.mpc:
        * tests/AMI_CCM/Receiver/Hello_Receiver_exec.h:
        * tests/AMI_CCM/Receiver/Hello_Receiver_exec.cpp:
        * tests/AMI_CCM/Sender/Hello_Sender.mpc:
        * tests/AMI_CCM/Sender/Hello_Sender_exec.h:
        * tests/AMI_CCM/Sender/Hello_Sender_exec.cpp:
          Rerun example.

        * tests/AMI_CCM/descriptors/Plan.cdp:
          Added connectors. Now both components
          can be deployed.

        Fri Jul 24 07:34:04 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/AMI_CCM/Receiver/Hello_Receiver_exec.h:
        * tests/AMI_CCM/Receiver/Hello_Receiver_exec.cpp:
        * tests/AMI_CCM/Sender/Hello_Sender_exec.h:
        * tests/AMI_CCM/Sender/Hello_Sender_exec.cpp:
        * tests/AMI_CCM/descriptors/Plan.cdp:
          Changed naming convention regarding entry points

        Thu Jul 23 18:53:34 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/AMI_CCM/descriptors/Plan.cdp:
        * tests/AMI_CCM/descriptors/run_test.pl:
          Few minor changes regarding names of IOR and
          dll's.

        Thu Jul 23 15:31:09 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/AMI_CCM/Hello_Base/Hello_Base.mpc:
        * tests/AMI_CCM/Receiver/Hello_Receiver.mpc:
        * tests/AMI_CCM/Sender/Hello_Sender.mpc:
          Added library paths.

        * tests/AMI_CCM/descriptors/Plan.cdp:
          Renaming.

        Thu Jul 23 14:20:55 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tests/AMI_CCM:
        * tests/AMI_CCM/Hello_Base:
        * tests/AMI_CCM/Hello_Base/Hello_Base.idl:
        * tests/AMI_CCM/Hello_Base/Hello_Base.mpc:
        * tests/AMI_CCM/Receiver:
        * tests/AMI_CCM/Receiver/Hello_Receiver.idl:
        * tests/AMI_CCM/Receiver/Hello_Receiver.mpc:
        * tests/AMI_CCM/Receiver/Hello_Receiver_exec.h:
        * tests/AMI_CCM/Receiver/Hello_Receiver_exec.cpp:
        * tests/AMI_CCM/Sender:
        * tests/AMI_CCM/Sender/Hello_Sender.idl:
        * tests/AMI_CCM/Sender/Hello_Sender.mpc:
        * tests/AMI_CCM/Sender/Hello_Sender_exec.h:
        * tests/AMI_CCM/Sender/Hello_Sender_exec.cpp:
        * tests/AMI_CCM/descriptors:
        * tests/AMI_CCM/descriptors/Plan.cdp:
        * tests/AMI_CCM/descriptors/run_test.pl:
          Added as a starter for ami4ccm

Fri Aug 14 13:27:29 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/ciao_vcwarnings.mpb:
          Use prop:microsoft

Fri Aug 14 10:12:29 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/Config_Handlers/XSCRT/Elements.hpp:
          Disabled some code for CB2009

Fri Aug 14 09:28:29 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Servants/Servant_Impl_Base.cpp:
          Use global scope explicitly

        * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.cpp:
          Use <<= for DDS_Time

        * DAnCE/NodeApplication/NodeApplication_Impl.h:
          Removed commented out include

Fri Aug 14 02:25:41 UTC 2009  William R. Otte  <Wotte@dre.vanderbilt.edu>

        * MPC/config/ciao_cs_client.mpb:

          Static linking fix.

Thu Aug 13 18:07:29 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.cpp:
          Some more code in read_one_history

Thu Aug 13 12:58:29 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.cpp:
          Start with read_one_history implementation

Thu Aug 13 11:51:29 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.cpp:
          Added some commented out test code to test the reader code.
          This uncovered an issue with the spec, what should the reader
          do when there is no data

Thu Aug 13 10:31:29 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/Config_Handlers/XSCRT/Elements.hpp:
          Fized fuzz/borland errors

Thu Aug 13 08:57:29 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/NodeManager/Node_Manager_Module.cpp:
          Fixed compile error

Thu Aug 13 07:56:29 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/Config_Handlers/XSCRT/Elements.hpp:
          Removed code for vc6

Thu Aug 13 01:23:29 UTC 2009  William R. Otte  <Wotte@dre.vanderbilt.edu>

        * DAnCE/NodeManager/Node_Manager_Module.cpp:

          Unicode compile errors.

Wed Aug 12 18:26:09 UTC 2009  William R. Otte  <Wotte@dre.vanderbilt.edu>

        * DAnCE/NodeApplication/NodeApplication.mpc:
        * MPC/config/ciao_cs_client.mpb:

          try to fix link problems introduced by
        Tue Aug 11 11:51:29 UTC 2009  ChangeLog  <William R. Otte>

Wed Aug 12 18:00:56 UTC 2009  William R. Otte  <Wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/XMLSchema/Traversal.hpp:
        * tools/Config_Handlers/XMLSchema/Types.hpp:

          Integrated more cleanly the changes from XSC XSCRT/XMLSchema.

Wed Aug 12 13:30:50 UTC 2009  William R. Otte  <Wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/XMLSchema/Traversal.hpp:
        * tools/Config_Handlers/XMLSchema/Traversal.ipp:
        * tools/Config_Handlers/XMLSchema/Traversal.tpp:
        * tools/Config_Handlers/XMLSchema/TypeInfo.ipp:
        * tools/Config_Handlers/XMLSchema/TypeInfo.tpp:
        * tools/Config_Handlers/XMLSchema/Types.hpp:
        * tools/Config_Handlers/XMLSchema/Types.ipp:
        * tools/Config_Handlers/XMLSchema/Types.tpp:
        * tools/Config_Handlers/XMLSchema/Writer.hpp:
        * tools/Config_Handlers/XSCRT/ExtendedTypeInfo.hpp:
        * tools/Config_Handlers/XSCRT/ExtendedTypeInfo.ipp:
        * tools/Config_Handlers/XSCRT/Parser.hpp:
        * tools/Config_Handlers/XSCRT/Traversal.hpp:
        * tools/Config_Handlers/XSCRT/Traversal.tpp:
        * tools/Config_Handlers/XSCRT/Writer.hpp:
        * tools/Config_Handlers/XSCRT/XML.hpp:

          Rolled back the XSC update, it didn't include a number of fixes
          necessary for Borland and Xerces2/3.

Wed Aug 12 10:21:10 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/OMG-CCM-Tutorial.ppt:
          Small updates regarding to CORBA usage and the official OMG
          spec document numbers

Wed Aug 12 07:27:10 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/dds4ccm_base.mpb:
          Added after of DDS4CCM_lem_gen

Wed Aug 12 07:06:10 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/Logger/File_Logger_Backend.cpp:
          Unicode compile error fix

Tue Aug 11 17:48:10 UTC 2009  William R. Otte  <Wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/Basic_Deployment_Data.cpp:
        * tools/Config_Handlers/XMI.cpp:

          Fix warnings.

        * tools/Config_Handlers/XMLSchema/Traversal.hpp:
        * tools/Config_Handlers/XMLSchema/Traversal.ipp:
        * tools/Config_Handlers/XMLSchema/Traversal.tpp:
        * tools/Config_Handlers/XMLSchema/TypeInfo.ipp:
        * tools/Config_Handlers/XMLSchema/TypeInfo.tpp:
        * tools/Config_Handlers/XMLSchema/Types.hpp:
        * tools/Config_Handlers/XMLSchema/Types.ipp:
        * tools/Config_Handlers/XMLSchema/Types.tpp:
        * tools/Config_Handlers/XMLSchema/Writer.hpp:
        * tools/Config_Handlers/XMLSchema/id_map.hpp:
        * tools/Config_Handlers/XSCRT/ExtendedTypeInfo.hpp:
        * tools/Config_Handlers/XSCRT/ExtendedTypeInfo.ipp:
        * tools/Config_Handlers/XSCRT/Parser.hpp:
        * tools/Config_Handlers/XSCRT/Traversal.hpp:
        * tools/Config_Handlers/XSCRT/Traversal.tpp:
        * tools/Config_Handlers/XSCRT/Writer.hpp:
        * tools/Config_Handlers/XSCRT/XML.hpp:

          Pull in new version of XMLSchema and XSCRT.

Tue Aug 11 11:51:29 UTC 2009  ChangeLog  <William R. Otte>

        * DAnCE/MPC/config/dance_deployment_svnt.mpb:
        * DAnCE/MPC/config/dance_plan_launcher_base.mpb:
        * DAnCE/NodeManager/NodeManager.mpc:
        * MPC/config/ccm_componentserver_svnt.mpb:
        * MPC/config/ciao_cs_client.mpb:

          Link fixes for an ARM cross compile.

Tue Aug 11 08:55:12 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/Config_Handlers/XML_File_Intf.cpp:
          Improved error debug statements

Mon Aug 10 17:46:12 UTC 2009  William R. Otte  <Wotte@dre.vanderbilt.edu>

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.h:
        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp:
        * DAnCE/DomainApplicationManager/Node_Locator.cpp:
        * DAnCE/ExecutionManager/ExecutionManager_Module.h:
        * DAnCE/ExecutionManager/ExecutionManager_Module.cpp:
        * DAnCE/NodeApplication/NodeApplication_Impl.cpp:
        * DAnCE/NodeManager/Node_Manager_Module.h:
        * DAnCE/NodeManager/Node_Manager_Module.cpp:
        * DAnCE/Plan_Launcher/Plan_Launcher_Base_Impl.cpp:
        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.h:
        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.cpp:
        * DAnCE/RepositoryManager/repository_manager_admin.cpp:
        * DAnCE/TargetManager/Target_Manager_Module.h:
        * DAnCE/TargetManager/Target_Manager_Module.cpp:
        * DAnCE/tests/CIAO/ExecutionManager-Deployments/simple_em_launcher.cpp:
        * DAnCE/tests/CIAO/NodeManager-Deployments/simple_nm_launcher.cpp:
        * DAnCE/tests/DeploymentPlanDump/test.cpp:
        * DAnCE/tests/DeploymentPlanTestReferences/test.cpp:
        * DAnCE/tests/DeploymentTest1/test.cpp:
        * ciao/Containers/Session/Session_Container.cpp:
        * ciao/Logger/File_Logger_Backend.cpp:
        * tests/CIAO_ComponentServer/Activator/client.cpp:
        * tests/IDL3_to_XMI/IDL2XMI_Test/XML_Helper.cpp:
        * tools/Config_Handlers/ADD_Handler.cpp:
        * tools/Config_Handlers/Any_Handler.cpp:
        * tools/Config_Handlers/Basic_Deployment_Data.hpp:
        * tools/Config_Handlers/Basic_Deployment_Data.cpp:
        * tools/Config_Handlers/CCD_Handler.cpp:
        * tools/Config_Handlers/CEPE_Handler.cpp:
        * tools/Config_Handlers/CPD_Handler.cpp:
        * tools/Config_Handlers/CRDD_Handler.cpp:
        * tools/Config_Handlers/Common.h:
        * tools/Config_Handlers/ComponentPropertyDescription_Handler.cpp:
        * tools/Config_Handlers/DD_Handler.cpp:
        * tools/Config_Handlers/DP_Handler.cpp:
        * tools/Config_Handlers/Deployment.cpp:
        * tools/Config_Handlers/Deployment.hpp:
        * tools/Config_Handlers/DynAny_Handler/DynAlias_Handler.cpp:
        * tools/Config_Handlers/DynAny_Handler/DynAny_Handler.h:
        * tools/Config_Handlers/DynAny_Handler/DynAny_Handler.cpp:
        * tools/Config_Handlers/DynAny_Handler/DynEnum_Handler.cpp:
        * tools/Config_Handlers/DynAny_Handler/DynSequence_Handler.cpp:
        * tools/Config_Handlers/DynAny_Handler/DynStruct_Handler.cpp:
        * tools/Config_Handlers/ERE_Handler.cpp:
        * tools/Config_Handlers/IDD_Handler.cpp:
        * tools/Config_Handlers/IDREF_Base.h:
        * tools/Config_Handlers/IDREF_Base.cpp:
        * tools/Config_Handlers/ID_Handler.cpp:
        * tools/Config_Handlers/IRDD_Handler.cpp:
        * tools/Config_Handlers/MDD_Handler.cpp:
        * tools/Config_Handlers/PCD_Handler.cpp:
        * tools/Config_Handlers/PSPE_Handler.cpp:
        * tools/Config_Handlers/Package_Handlers/CAD_Handler.cpp:
        * tools/Config_Handlers/Package_Handlers/CID_Handler.h:
        * tools/Config_Handlers/Package_Handlers/CID_Handler.cpp:
        * tools/Config_Handlers/Package_Handlers/CPD_Handler.h:
        * tools/Config_Handlers/Package_Handlers/CPD_Handler.cpp:
        * tools/Config_Handlers/Package_Handlers/Comp_Intf_Descr_Handler.h:
        * tools/Config_Handlers/Package_Handlers/Comp_Intf_Descr_Handler.cpp:
        * tools/Config_Handlers/Package_Handlers/IAD_Handler.h:
        * tools/Config_Handlers/Package_Handlers/IAD_Handler.cpp:
        * tools/Config_Handlers/Package_Handlers/NIA_Handler.h:
        * tools/Config_Handlers/Package_Handlers/PCD_Handler.h:
        * tools/Config_Handlers/Package_Handlers/PCD_Handler.cpp:
        * tools/Config_Handlers/Package_Handlers/SID_Handler.cpp:
        * tools/Config_Handlers/Property_Handler.cpp:
        * tools/Config_Handlers/RDD_Handler.cpp:
        * tools/Config_Handlers/Req_Handler.cpp:
        * tools/Config_Handlers/SatisfierProperty_Handler.cpp:
        * tools/Config_Handlers/Utils/Exceptions.h:
        * tools/Config_Handlers/Utils/Functors.h:
        * tools/Config_Handlers/XMI.cpp:
        * tools/Config_Handlers/XMI.hpp:
        * tools/Config_Handlers/XMLSchema/id_map.hpp:
        * tools/Config_Handlers/XML_File_Intf.h:
        * tools/Config_Handlers/XML_File_Intf.cpp:
        * tools/Config_Handlers/XSCRT/Elements.hpp:
        * tools/Config_Handlers/ccd.cpp:
        * tools/Config_Handlers/ccd.hpp:
        * tools/Config_Handlers/cdd.hpp:
        * tools/Config_Handlers/cdd.cpp:
        * tools/Config_Handlers/cdp.cpp:
        * tools/Config_Handlers/cdp.hpp:
        * tools/Config_Handlers/cid.hpp:
        * tools/Config_Handlers/cid.cpp:
        * tools/Config_Handlers/cpd.hpp:
        * tools/Config_Handlers/cpd.cpp:
        * tools/Config_Handlers/iad.cpp:
        * tools/Config_Handlers/iad.hpp:
        * tools/Config_Handlers/pcd.hpp:
        * tools/Config_Handlers/pcd.cpp:
        * tools/Config_Handlers/toplevel.cpp:
        * tools/Config_Handlers/toplevel.hpp:
        * tools/IDL3_to_XMI/IDL3_to_XMI_visitor.cpp:
        * tools/XML/XML_Helper.tpp:
        * tools/XML/XercesString.h:
        * tools/XML/XercesString.cpp:

          Unicode compile fixes.

Mon Aug 10 14:23:39 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * dds4ccm/examples/Hello/descriptors/run_1_to_5.pl
        * dds4ccm/examples/Hello/descriptors/run_5_to_1.pl
        * dds4ccm/examples/Hello/descriptors/run_5_to_5.pl
        * dds4ccm/examples/Hello/descriptors/run_test.pl
          Added missing \n

Mon Aug 10 14:12:39 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/ComponentServer/CIAO_Container_Impl.cpp:
          Fixed layout of debug message

Mon Aug 10 12:59:21 UTC 2009  William R. Otte  <Wotte@dre.vanderbilt.edu>

        * DAnCE/Logger/File_Logger_Backend.h:
        * DAnCE/Logger/Logger_Service.cpp:

          Unicoe fixes.

Mon Aug 10 10:53:39 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/tests/CIAO/Components/SimpleNilFacetProvider.idl
        * DAnCE/tests/CIAO/Components/SimpleNilFacetProvider.mpc
        * DAnCE/tests/CIAO/Components/SimpleNilFacetProvider_exec.cpp
        * DAnCE/tests/CIAO/Components/SimpleNilFacetProvider_exec.h
        * DAnCE/tests/CIAO/Components/SimpleNilFacetUser.idl
        * DAnCE/tests/CIAO/Components/SimpleNilFacetUser.mpc
        * DAnCE/tests/CIAO/Components/SimpleNilFacetUser_exec.cpp
        * DAnCE/tests/CIAO/Components/SimpleNilFacetUser_exec.h
        * DAnCE/tests/CIAO/ExecutionManager-Deployments/SimplexConnectionExplicitHome_NilFacet.cdp
          Added a new test for the case where the component that
          provides return a nil object reference. The caller should
          then get an INV_OBJREF exception, not a crash.

          The CCM spec says in 6.4.2:
          In general, a component instance shall be prepared to return object
          references for facets throughout the instance's life
          cycle. A component implementation may, as part of its advertised
          behavior, return a nil object reference as the result of
          a provide_<name> operation

        * DAnCE/tests/CIAO/Components/SimpleMultipleUser_exec.cpp
          Catch as const

        * DAnCE/tests/DeploymentPlanDump/test.cpp:
          Layout change

        * DAnCE/tests/DeploymentPlanTestReferences/test.cpp:
          Type, unicode changes

        * DAnCE/tests/NameServiceTest/clt_main.cpp:
          Unicode fix

        * DAnCE/tests/NodeManager-NodeApplicationManager/test.cpp:
          Layout change

Mon Aug 10 09:00:39 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/tests/CIAO/Components/ProcessColocation_exec.cpp:
          Unicode fixes

Mon Aug 10 08:53:39 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/idl/dds_rtf2_dcps.idl
        * connectors/dds4ccm/impl/ndds/RawListener.h
          Fixed fuzz errors

Mon Aug 10 07:44:39 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.cpp
        * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_exec.h
        * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender.idl
        * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Base.idl
        * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector.idl
        * connectors/dds4ccm/idl/dds4ccm.mpc
        * connectors/dds4ccm/impl/ndds/Duration_t.h
        * connectors/dds4ccm/impl/ndds/ndds_impl.mpc
        * connectors/dds4ccm/impl/ndds/RawListener.cpp
        * connectors/dds4ccm/impl/ndds/Reader.cpp
        * connectors/dds4ccm/impl/ndds/Reader.h
        * connectors/dds4ccm/impl/ndds/SampleLostStatus.h
        * connectors/dds4ccm/impl/ndds/SubscriptionMatchedStatus.h
        * connectors/dds4ccm/impl/ndds/Time_t.h
        * connectors/dds4ccm/impl/ndds/Utils.h
          Fixed fuzz errors

Sun Aug  9 20:20:39 UTC 2009  William R. Otte  <Wotte@dre.vanderbilt.edu>

        * .:
        * CIAO-INSTALL.html:
        * CIAO.mwc:
        * CIAO_DAnCE.mwc:
        * CIAO_TAO.mwc:
        * CIAO_TAO_DAnCE.mwc:
        * COPYING:
        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp:
        * DAnCE/NodeApplication/NodeApplication_Impl.cpp:
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp:
        * DAnCE/RepositoryManager:
        * DAnCE/tests/CIAO/Components/ProcessColocation.idl:
        * DAnCE/tests/CIAO/Components/ProcessColocation.mpc:
        * DAnCE/tests/CIAO/NodeManager-Deployments/SimpleProcessColocation.cdp:
        * DAnCE/tests/CIAO/NodeManager-Deployments/TwoComponentsOneHome.cdp:
        * MPC:
        * MPC/config/ciao_dds4ccm_ndds_impl.mpb:
        * MPC/config/ciao_example_output.mpb:
        * NEWS:
        * bin:
        * bin/ciao_tests.lst:
        * ccm/ComponentServer/CCM_ComponentServer.idl:
        * ccm/ComponentServer/CCM_ComponentServer.mpc:
        * ccm/ComponentServer/CCM_ComponentServer_Base.idl:
        * ccm/ComponentServer/CCM_ComponentServer_Client.idl:
        * ciao:
        * ciao/ComponentServer/CIAO_ComponentInstallation_Impl.cpp:
        * ciao/ComponentServer/CIAO_ComponentServer.cpp:
        * ciao/ComponentServer/CIAO_Container_Impl.cpp:
        * ciao/Containers/Servant_Activator.h:
        * ciao/Containers/Servant_Activator.cpp:
        * ciao/Containers/Session/Session_Container.cpp:
        * ciao/Servants/Home_Servant_Impl_T.h:
        * ciao/Servants/Home_Servant_Impl_T.cpp:
        * ciao/Servants/Servant_Impl_Base.cpp:
        * connectors:
        * connectors/dds4ccm:
        * connectors/dds4ccm/examples:
        * connectors/dds4ccm/examples/Hello:
        * connectors/dds4ccm/examples/Hello/DDS_Receiver:
        * connectors/dds4ccm/examples/Hello/DDS_Receiver/DDS_Receiver.mpc:
        * connectors/dds4ccm/examples/Hello/DDS_Receiver/Hello_Receiver.cpp:
        * connectors/dds4ccm/examples/Hello/DDS_Sender:
        * connectors/dds4ccm/examples/Hello/DDS_Sender/DDS_Sender.mpc:
        * connectors/dds4ccm/examples/Hello/DDS_Sender/Hello_Sender.cpp:
        * connectors/dds4ccm/examples/Hello/Receiver:
        * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver.idl:
        * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver.idl3p:
        * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver.mpc:
        * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Base.idl:
        * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Base.mpc:
        * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector.idl:
        * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector.mpc:
        * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_ConnectorE.idl:
        * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.h:
        * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.cpp:
        * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_exec.h:
        * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_exec.cpp:
        * connectors/dds4ccm/examples/Hello/Sender:
        * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender.idl:
        * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender.idl3p:
        * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender.mpc:
        * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Base.idl:
        * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Base.mpc:
        * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector.idl:
        * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector.mpc:
        * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_ConnectorE.idl:
        * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector_exec.h:
        * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector_exec.cpp:
        * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_exec.h:
        * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_exec.cpp:
        * connectors/dds4ccm/examples/Hello/descriptors:
        * connectors/dds4ccm/examples/Hello/descriptors/1_to_5.cdp:
        * connectors/dds4ccm/examples/Hello/descriptors/5_Receivers.cdp:
        * connectors/dds4ccm/examples/Hello/descriptors/5_Senders.cdp:
        * connectors/dds4ccm/examples/Hello/descriptors/5_to_1.cdp:
        * connectors/dds4ccm/examples/Hello/descriptors/DeploymentPlan.cdp:
        * connectors/dds4ccm/examples/Hello/descriptors/ReceiverOnly.cdp:
        * connectors/dds4ccm/examples/Hello/descriptors/SenderOnly.cdp:
        * connectors/dds4ccm/examples/Hello/descriptors/run_1_to_5.pl:
        * connectors/dds4ccm/examples/Hello/descriptors/run_5_to_1.pl:
        * connectors/dds4ccm/examples/Hello/descriptors/run_5_to_5.pl:
        * connectors/dds4ccm/examples/Hello/descriptors/run_receiver.pl:
        * connectors/dds4ccm/examples/Hello/descriptors/run_sender.pl:
        * connectors/dds4ccm/examples/Hello/descriptors/run_test.pl:
        * connectors/dds4ccm/id3p_test:
        * connectors/dds4ccm/id3p_test/Multiple_Reader_Ports:
        * connectors/dds4ccm/id3p_test/Multiple_Reader_Ports/test.idl3p:
        * connectors/dds4ccm/idl:
        * connectors/dds4ccm/idl/dds4ccm.mpc:
        * connectors/dds4ccm/idl/dds4ccm_Base.idl3:
        * connectors/dds4ccm/idl/dds4ccm_ConnectorStatusListener.idl3:
        * connectors/dds4ccm/idl/dds4ccm_Connector_Base.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Connector_Event.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Connector_State.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Getter.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_ListenerControl.idl3:
        * connectors/dds4ccm/idl/dds4ccm_MultiListener.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_MultiUpdater.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_MultiWriter.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_PortStatusListener.idl3:
        * connectors/dds4ccm/idl/dds4ccm_Port_Get.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Port_MultiListen.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Port_MultiUpdate.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Port_MultiWrite.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Port_RawListen.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Port_Read.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Port_StateListen.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Port_Update.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Port_Write.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_RawListener.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Reader.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_StateListener.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Updater.idl3p:
        * connectors/dds4ccm/idl/dds4ccm_Writer.idl3p:
        * connectors/dds4ccm/idl/dds_rtf2_dcps.idl:
        * connectors/dds4ccm/impl:
        * connectors/dds4ccm/impl/ndds:
        * connectors/dds4ccm/impl/ndds/DataReader.h:
        * connectors/dds4ccm/impl/ndds/DataReader.cpp:
        * connectors/dds4ccm/impl/ndds/DataReaderListener.h:
        * connectors/dds4ccm/impl/ndds/DataReaderListener.cpp:
        * connectors/dds4ccm/impl/ndds/DataWriter.h:
        * connectors/dds4ccm/impl/ndds/DataWriter.cpp:
        * connectors/dds4ccm/impl/ndds/DataWriterListener.h:
        * connectors/dds4ccm/impl/ndds/DataWriterListener.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipant.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.cpp:
        * connectors/dds4ccm/impl/ndds/Duration_t.h:
        * connectors/dds4ccm/impl/ndds/InconsistentTopicStatus.h:
        * connectors/dds4ccm/impl/ndds/InstanceHandleSeq.h:
        * connectors/dds4ccm/impl/ndds/InstanceHandle_t.h:
        * connectors/dds4ccm/impl/ndds/ListenerControl.h:
        * connectors/dds4ccm/impl/ndds/ListenerControl.cpp:
        * connectors/dds4ccm/impl/ndds/LivelinessChangedStatus.h:
        * connectors/dds4ccm/impl/ndds/LivelinessLostStatus.h:
        * connectors/dds4ccm/impl/ndds/NDDS_Traits.h:
        * connectors/dds4ccm/impl/ndds/OfferedDeadlineMissedStatus.h:
        * connectors/dds4ccm/impl/ndds/OfferedIncompatibleQosStatus.h:
        * connectors/dds4ccm/impl/ndds/PortStatusListener.h:
        * connectors/dds4ccm/impl/ndds/PortStatusListener.cpp:
        * connectors/dds4ccm/impl/ndds/PublicationMatchedStatus.h:
        * connectors/dds4ccm/impl/ndds/Publisher.h:
        * connectors/dds4ccm/impl/ndds/Publisher.cpp:
        * connectors/dds4ccm/impl/ndds/PublisherListener.h:
        * connectors/dds4ccm/impl/ndds/PublisherListener.cpp:
        * connectors/dds4ccm/impl/ndds/QosPolicyCountSeq.h:
        * connectors/dds4ccm/impl/ndds/QueryCondition.h:
        * connectors/dds4ccm/impl/ndds/QueryCondition.cpp:
        * connectors/dds4ccm/impl/ndds/RawListener.h:
        * connectors/dds4ccm/impl/ndds/RawListener.cpp:
        * connectors/dds4ccm/impl/ndds/ReadCondition.h:
        * connectors/dds4ccm/impl/ndds/ReadCondition.cpp:
        * connectors/dds4ccm/impl/ndds/Reader.h:
        * connectors/dds4ccm/impl/ndds/Reader.cpp:
        * connectors/dds4ccm/impl/ndds/RequestedDeadlineMissedStatus.h:
        * connectors/dds4ccm/impl/ndds/RequestedIncompatibleQosStatus.h:
        * connectors/dds4ccm/impl/ndds/SampleLostStatus.h:
        * connectors/dds4ccm/impl/ndds/SampleRejectedStatus.h:
        * connectors/dds4ccm/impl/ndds/StatusCondition.h:
        * connectors/dds4ccm/impl/ndds/StatusCondition.cpp:
        * connectors/dds4ccm/impl/ndds/Subscriber.h:
        * connectors/dds4ccm/impl/ndds/Subscriber.cpp:
        * connectors/dds4ccm/impl/ndds/SubscriberListener.h:
        * connectors/dds4ccm/impl/ndds/SubscriberListener.cpp:
        * connectors/dds4ccm/impl/ndds/SubscriptionMatchedStatus.h:
        * connectors/dds4ccm/impl/ndds/Time_t.h:
        * connectors/dds4ccm/impl/ndds/Topic.h:
        * connectors/dds4ccm/impl/ndds/Topic.cpp:
        * connectors/dds4ccm/impl/ndds/TopicDescription.h:
        * connectors/dds4ccm/impl/ndds/TopicDescription.cpp:
        * connectors/dds4ccm/impl/ndds/Utils.h:
        * connectors/dds4ccm/impl/ndds/Utils.cpp:
        * connectors/dds4ccm/impl/ndds/Writer.h:
        * connectors/dds4ccm/impl/ndds/Writer.tpp:
        * connectors/dds4ccm/impl/ndds/dds4ccm_ndds_impl_export.h:
        * connectors/dds4ccm/impl/ndds/ndds_impl.mpc:
        * docs:
        * docs/tutorials/Quoter/Simple/Distributor/StockDistributor_exec.cpp:
        * etc/ciao.doxygen:
        * etc/ciao_DAnCE.doxygen:
        * etc/ciao_config_handlers.doxygen:
        * examples:
        * examples/DevGuideExamples:
        * examples/Hello/descriptors/Aliased_Map.dat:
        * examples/Hello/descriptors/run_test_alias.pl:
        * examples/Null_Component/descriptors/run_test.pl:
        * performance-tests:
        * rules.ciao.GNU:
        * tests:
        * tests/IDL_Test/Reused_Facet_Interface/Reused_Facet_Interface.mpc:
        * tools:
        * tools/Config_Handlers/XMLSchema/id_map.hpp:
        * DAnCE/MPC/config/dance_plan_launcher_base.mpb:
        * MPC/config/example_output.mpb:

          Merged in branch dds_ports.  Changelog entries:

    Fri Aug  7 19:46:43 UTC 2009  William R. Otte  <Wotte@dre.vanderbilt.edu>

            * bin/ciao_tests.lst:

              Added dds4ccm tests.

            * connectors/dds4ccm/examples/Hello/DDS_Sender/Hello_Sender.cpp:

              Added 2 second delay after initialization and before sending.

            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector_exec.cpp:

              Configure dds during configuration_complete, to ensure delayed initialization
              doesn't mees up our receiver counts.

            * connectors/dds4ccm/examples/Hello/descriptors/5_Receivers.cdp:
            * connectors/dds4ccm/examples/Hello/descriptors/5_to_1.cdp:

              initialize expected_samples attribute to correctly account for the
              expected number of senders.

    Fri Aug  7 19:15:30 UTC 2009  William R. Otte  <Wotte@dre.vanderbilt.edu>

            * tools/Config_Handlers/XMLSchema/id_map.hpp:

              Compile fixes for sun studio 12.

    Fri Aug  7 14:21:34 UTC 2009  William R. Otte  <Wotte@dre.vanderbilt.edu>

            * connectors/dds4ccm/examples/Hello/descriptors/5_Receivers.cdp:
            * connectors/dds4ccm/examples/Hello/descriptors/5_Senders.cdp:
            * connectors/dds4ccm/examples/Hello/descriptors/run_5_to_5.pl:

              5_to_5 behavior.  This deploys the senders/receivers as part of
              separate plans.  It seems that the delayed servant activation may be
              causing problems with discovery, leaving the receivers recieving less
              than 50 messages each.

    Fri Aug  7 14:00:45 UTC 2009  William R. Otte  <Wotte@dre.vanderbilt.edu>

            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver.idl:
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_exec.h:
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_exec.cpp:

              Added name attribute to identify receivers.

            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_exec.cpp:

              Increased wait time before starting sending task to allow
              more time for discovery.

            * connectors/dds4ccm/examples/Hello/descriptors/1_to_5.cdp:
            * connectors/dds4ccm/examples/Hello/descriptors/run_1_to_5.pl:

              Test for 1 to 5 communication.

            * connectors/dds4ccm/examples/Hello/descriptors/run_5_to_1.pl:
            * connectors/dds4ccm/examples/Hello/descriptors/run_receiver.pl:
            * connectors/dds4ccm/examples/Hello/descriptors/run_sender.pl:
            * connectors/dds4ccm/examples/Hello/descriptors/run_test.pl:

              Increased timeouts.

    Fri Aug  7 13:50:19 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_exec.cpp:
              Use ACE_NEW_NORETURN in the get entry point method so that we only
              have one exit point

            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector_exec.cpp:
              Comment out the multiwriter code, just for testing

    Fri Aug  7 13:21:19 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.cpp:
              Use the safer set_session_context as now generated by TAO_IDL

    Fri Aug  7 12:57:19 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * ciao/ComponentServer/CIAO_Container_Impl.cpp:
              Fixed typo in debug statements

            * ciao/Containers/Session/Session_Container.cpp:
              Improved debug statements

            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.cpp:
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.h:
              Use CCM_DDS::DataReader directly, saves an indirection step

            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector_exec.cpp:
              Added some comments

            * connectors/dds4ccm/impl/ndds/DataWriter.h:
              Get the DDSDataWriter from the global scope

    Fri Aug  7 11:44:30 UTC 2009  William R. Otte  <Wotte@dre.vanderbilt.edu>

            * ciao/Containers/Servant_Activator.h:
            * ciao/Containers/Servant_Activator.cpp:
            * ciao/Servants/Servant_Impl_Base.cpp:

              Re-implemented the servant activator to address a crash at
              teardown.

    Fri Aug  7 11:11:19 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * ciao/Servants/Servant_Impl_Base.cpp:
              Some more defensive programming and pluged a memory leak

    Thu Aug  6 15:32:19 UTC 2009  William R. Otte  <Wotte@dre.vanderbilt.edu>

            * ciao/Servants/Home_Servant_Impl_T.h:
            * ciao/Servants/Home_Servant_Impl_T.cpp:

              Second part of fix for
              Thu Aug  6 01:46:32 UTC 2009  William R. Otte  <Wotte@dre.vanderbilt.edu>,
              now bug 3725.  Homes how keep an increasing serial counter of the home
              instances they create, and append this number to the instance ID passed
              to the component servant when it is instantiated.

    Thu Aug  6 13:46:11 UTC 2009  William R. Otte  <Wotte@dre.vanderbilt.edu>

            * ciao/Containers/Servant_Activator.cpp:
            * ciao/Servants/Home_Servant_Impl_T.h:
            * ciao/Servants/Home_Servant_Impl_T.cpp:

              Various logging improvements, as well as a *partial* fix for
              Thu Aug  6 01:46:32 UTC 2009  William R. Otte  <Wotte@dre.vanderbilt.edu>,
              allowing multiple homes of the *same type* to deploy/manage a single component
              each.  Part of the problem was memory corruption in the home/component instance
              name, which has been resolved by using ACE_CString instead of naked char *s to
              store these.

              Homes which host multiple components are still broken, as the facet ObjectID,
              while no longer garbage, is the same for all instances managed by that home.

            * ciao/Containers/Session/Session_Container.cpp:

              Newline on log message.

    Thu Aug  6 13:39:16 UTC 2009  William R. Otte  <Wotte@dre.vanderbilt.edu>

            * connectors/dds4ccm/examples/Hello/descriptors/5_to_1.cdp:

              Updated to use separate homes for each sender/connector to workaround
              the bug checked in with:

            Thu Aug  6 01:46:32 UTC 2009  William R. Otte  <Wotte@dre.vanderbilt.edu>

    Thu Aug  6 11:29:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * ciao/ComponentServer/CIAO_Container_Impl.cpp
            * ciao/Containers/Session/Session_Container.cpp
            * ciao/Servants/Servant_Impl_Base.cpp
              More defensive programming against nil object references

    Thu Aug  6 08:43:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * ciao/Containers/Servant_Activator.cpp
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.cpp
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.h
              Fixed compile warnings

    Thu Aug  6 01:46:32 UTC 2009  William R. Otte  <Wotte@dre.vanderbilt.edu>

            * DAnCE/tests/CIAO/NodeManager-Deployments/TwoComponentsOneHome.cdp:

              Added test plan that exhibits a problem when the same home is used
              to deploy two components that provide facets.  The problem is that
              the servant activator/port activator only really tracks a SINGLE
              facet instance PER HOME.  This would produce runtime side effects
              for components with stateful facet executors, but especially causes
              a problem during teardown, when the container attempts to
              repeatedly deactivate the single facet servant.

    Wed Aug  5 18:58:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp
            * DAnCE/NodeApplication/NodeApplication_Impl.cpp
              Improved debug messages

    Wed Aug  5 18:05:29 UTC 2009  William R. Otte  <Wotte@dre.vanderbilt.edu>

            * connectors/dds4ccm/examples/Hello/descriptors/5_to_1.cdp:
            * connectors/dds4ccm/examples/Hello/descriptors/run_5_to_1.pl:

              Plan modifications/test script for many to one communication.
              This appears to expose another bug in CIAO, investigating.

    Wed Aug  5 17:44:03 UTC 2009  William R. Otte  <Wotte@dre.vanderbilt.edu>

            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_exec.cpp:

              Log message tweak.

            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_exec.h:
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_exec.cpp:

              Spawn a thread to do sending, necessary to multiple sender tests,
              as ccm_activate would block until completion.

            * connectors/dds4ccm/examples/Hello/descriptors/run_sender.pl:
            * connectors/dds4ccm/examples/Hello/descriptors/run_test.pl:

              Added a sleep between deployment/teardown to accomodate
              new sender behavior.

            * connectors/dds4ccm/examples/Hello/descriptors/5_to_1.cdp:

              Plan that deploys 5 to 1 communication.

    Wed Aug  5 14:39:36 UTC 2009  William R. Otte  <Wotte@dre.vanderbilt.edu>

            * ciao/ComponentServer/CIAO_ComponentInstallation_Impl.cpp:

              Changed severity of logging for replacement of already present
              artifact info.

    Wed Aug  5 14:38:22 UTC 2009  William R. Otte  <Wotte@dre.vanderbilt.edu>

            * ciao/Containers/Servant_Activator.cpp:

              Fixed bug whereby the port activator for a servant would never be found.

    Wed Aug  5 14:25:09 UTC 2009  William R. Otte  <Wotte@dre.vanderbilt.edu>

            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver.idl:
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_exec.h:
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_exec.cpp:

              Added some configuration attributes to provide a hint to the receiver as to
              how many samples it should be receiving.

    Wed Aug  5 14:00:06 UTC 2009  William R. Otte  <Wotte@dre.vanderbilt.edu>

            * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp:
            * ciao/ComponentServer/CIAO_Container_Impl.cpp:
            * ciao/Containers/Session/Session_Container.cpp:

              Fixed a couple bugs whereby homed and unhomed components didn't
              have their end of lifecycle events (passivate/remove) invoked
              during teardown.

    Wed Aug  5 08:18:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/examples/Hello/descriptors/run_receiver.pl:
              Use "" instead of ''

    Wed Aug  5 08:13:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.cpp:
              Implemented more methods

            * connectors/dds4ccm/idl/dds4ccm_Base.idl3:
              Use DDS sequences

            * connectors/dds4ccm/impl/ndds/InstanceHandleSeq.h:
              Use a template for the conversion, we need to factor out conversion of all
              sequences

    Tue Aug  4 16:00:02 UTC 2009  William R. Otte  <Wotte@dre.vanderbilt.edu>

            * connectors/dds4ccm/examples/Hello/descriptors/ReceiverOnly.cdp:
            * connectors/dds4ccm/examples/Hello/descriptors/run_receiver.pl:

              Added plan/test script to deploy only a receiver component and
              send messages using the RTI DDS sender.

    Tue Aug  4 15:04:21 UTC 2009  William R. Otte  <Wotte@dre.vanderbilt.edu>

            * connectors/dds4ccm/examples/Hello/DDS_Receiver/Hello_Receiver.cpp:

              Add command line parameter to automatically shut down after a given
              number of samples.

            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender.idl:
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_exec.h:
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_exec.cpp:

              Added configuration attributes for number of samples and message.

            * connectors/dds4ccm/examples/Hello/descriptors/SenderOnly.cdp:
            * connectors/dds4ccm/examples/Hello/descriptors/run_sender.pl:

              Added plan/test script to deploy only a Sender component and receive
              messages using the raw DDS_Receiver.

            * connectors/dds4ccm/impl/ndds/SampleRejectedStatus.h:
            * connectors/dds4ccm/impl/ndds/Writer.h:

              Compile fixes.

    Tue Aug  4 12:27:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.cpp
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.h
              Started with the QueryFilter support

    Tue Aug  4 12:05:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.cpp:
              Implement a few more methods

    Mon Aug  3 14:00:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector_exec.cpp
            * connectors/dds4ccm/impl/ndds/Writer.h
            * connectors/dds4ccm/impl/ndds/Writer.tpp
              Added write with a set for the MultiWriter

            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.cpp
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.h
              Start with the reader implementation

    Mon Aug  3 12:46:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.cpp:
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.h:
              Moved HelloListener to the cpp file. Added an enabled flag to
              be able to stop publishing data, default is now true,
              should be modified to false later

    Fri Jul 31 14:27:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/impl/ndds/DataReader.cpp
            * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp
            * connectors/dds4ccm/impl/ndds/QueryCondition.cpp
              More glue code

    Fri Jul 31 13:46:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/impl/ndds/DataReader.cpp
            * connectors/dds4ccm/impl/ndds/DataWriter.cpp
            * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp
            * connectors/dds4ccm/impl/ndds/InstanceHandle_t.h
            * connectors/dds4ccm/impl/ndds/InstanceHandleSeq.h
              Added InstanceHandleSeq support. Note that we have added a new
              trait to the CORBA sequences, knowing _size_type.

    Fri Jul 31 12:43:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/impl/ndds/DataReader.cpp
            * connectors/dds4ccm/impl/ndds/DataWriter.cpp
            * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp
            * connectors/dds4ccm/impl/ndds/Publisher.cpp
            * connectors/dds4ccm/impl/ndds/PublisherListener.cpp
            * connectors/dds4ccm/impl/ndds/PublisherListener.h
            * connectors/dds4ccm/impl/ndds/Subscriber.cpp
            * connectors/dds4ccm/impl/ndds/Topic.cpp
              More methods and more states

    Fri Jul 31 12:12:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.cpp
            * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.h
            * connectors/dds4ccm/impl/ndds/Subscriber.cpp
            * connectors/dds4ccm/impl/ndds/SubscriberListener.cpp
            * connectors/dds4ccm/impl/ndds/SubscriberListener.h
            * connectors/dds4ccm/impl/ndds/Writer.tpp
              Fixed some small bugs, the example compiles again

    Fri Jul 31 11:41:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/impl/ndds/DataWriterListener.cpp
            * connectors/dds4ccm/impl/ndds/LivelinessLostStatus.h
            * connectors/dds4ccm/impl/ndds/OfferedDeadlineMissedStatus.h
            * connectors/dds4ccm/impl/ndds/OfferedIncompatibleQosStatus.h
            * connectors/dds4ccm/impl/ndds/PublicationMatchedStatus.h
              DataWriterListener is now implemented

    Fri Jul 31 11:26:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/impl/ndds/DataReaderListener.cpp
            * connectors/dds4ccm/impl/ndds/QosPolicyCountSeq.h
            * connectors/dds4ccm/impl/ndds/RequestedIncompatibleQosStatus.h
              DataReaderListener is now fully implemented

    Fri Jul 31 11:13:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/impl/ndds/DataReaderListener.cpp
            * connectors/dds4ccm/impl/ndds/LivelinessChangedStatus.h
            * connectors/dds4ccm/impl/ndds/RequestedDeadlineMissedStatus.h
              Added some more status conversions

    Fri Jul 31 11:05:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/impl/ndds/DataReader.cpp
            * connectors/dds4ccm/impl/ndds/DataReader.h
            * connectors/dds4ccm/impl/ndds/DataReaderListener.cpp
            * connectors/dds4ccm/impl/ndds/DataReaderListener.h
            * connectors/dds4ccm/impl/ndds/DataWriter.cpp
            * connectors/dds4ccm/impl/ndds/DataWriter.h
            * connectors/dds4ccm/impl/ndds/DataWriterListener.cpp
            * connectors/dds4ccm/impl/ndds/DataWriterListener.h
            * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp
            * connectors/dds4ccm/impl/ndds/DomainParticipant.h
            * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.cpp
            * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.h
            * connectors/dds4ccm/impl/ndds/Publisher.cpp
            * connectors/dds4ccm/impl/ndds/Publisher.h
            * connectors/dds4ccm/impl/ndds/PublisherListener.cpp
            * connectors/dds4ccm/impl/ndds/PublisherListener.h
            * connectors/dds4ccm/impl/ndds/QueryCondition.cpp
            * connectors/dds4ccm/impl/ndds/QueryCondition.h
            * connectors/dds4ccm/impl/ndds/ReadCondition.cpp
            * connectors/dds4ccm/impl/ndds/ReadCondition.h
            * connectors/dds4ccm/impl/ndds/StatusCondition.cpp
            * connectors/dds4ccm/impl/ndds/StatusCondition.h
            * connectors/dds4ccm/impl/ndds/Subscriber.cpp
            * connectors/dds4ccm/impl/ndds/Subscriber.h
            * connectors/dds4ccm/impl/ndds/SubscriberListener.cpp
            * connectors/dds4ccm/impl/ndds/SubscriberListener.h
            * connectors/dds4ccm/impl/ndds/Topic.cpp
            * connectors/dds4ccm/impl/ndds/Topic.h
            * connectors/dds4ccm/impl/ndds/TopicDescription.cpp
            * connectors/dds4ccm/impl/ndds/TopicDescription.h
            * connectors/dds4ccm/impl/ndds/Writer.h
              Renamed the member to impl_, that way we can more easily copy
              code from one wrapper to another

    Fri Jul 31 10:49:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/impl/ndds/DataReaderListener.h
            * connectors/dds4ccm/impl/ndds/DomainParticipant.h
            * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.h
            * connectors/dds4ccm/impl/ndds/PortStatusListener.h
            * connectors/dds4ccm/impl/ndds/Publisher.h
            * connectors/dds4ccm/impl/ndds/PublisherListener.h
            * connectors/dds4ccm/impl/ndds/QueryCondition.h
            * connectors/dds4ccm/impl/ndds/ReadCondition.h
            * connectors/dds4ccm/impl/ndds/StatusCondition.h
            * connectors/dds4ccm/impl/ndds/Subscriber.h
            * connectors/dds4ccm/impl/ndds/SubscriberListener.h
            * connectors/dds4ccm/impl/ndds/Topic.h
            * connectors/dds4ccm/impl/ndds/TopicDescription.h
              Use localobject

    Fri Jul 31 08:57:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/impl/ndds/DataReader.h
            * connectors/dds4ccm/impl/ndds/DataReaderListener.h
            * connectors/dds4ccm/impl/ndds/DataWriter.h
            * connectors/dds4ccm/impl/ndds/DataWriterListener.h
            * connectors/dds4ccm/impl/ndds/DomainParticipant.h
            * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.h
            * connectors/dds4ccm/impl/ndds/Duration_t.h
            * connectors/dds4ccm/impl/ndds/InstanceHandle_t.h
            * connectors/dds4ccm/impl/ndds/ndds_impl.mpc
            * connectors/dds4ccm/impl/ndds/PortStatusListener.h
            * connectors/dds4ccm/impl/ndds/Publisher.h
            * connectors/dds4ccm/impl/ndds/PublisherListener.h
            * connectors/dds4ccm/impl/ndds/QueryCondition.h
            * connectors/dds4ccm/impl/ndds/ReadCondition.h
            * connectors/dds4ccm/impl/ndds/SampleLostStatus.h
            * connectors/dds4ccm/impl/ndds/SampleRejectedStatus.h
            * connectors/dds4ccm/impl/ndds/StatusCondition.h
            * connectors/dds4ccm/impl/ndds/Subscriber.h
            * connectors/dds4ccm/impl/ndds/SubscriberListener.h
            * connectors/dds4ccm/impl/ndds/SubscriptionMatchedStatus.h
            * connectors/dds4ccm/impl/ndds/Time_t.h
            * connectors/dds4ccm/impl/ndds/Topic.h
            * connectors/dds4ccm/impl/ndds/TopicDescription.h
            * connectors/dds4ccm/impl/ndds/Writer.h
              Added defines to prevent redefinitions, added same file
              header

    Fri Jul 31 08:28:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp
            * connectors/dds4ccm/impl/ndds/Publisher.cpp
            * connectors/dds4ccm/impl/ndds/Subscriber.cpp
            * connectors/dds4ccm/impl/ndds/Time_t.h
            * connectors/dds4ccm/impl/ndds/Topic.cpp
            * connectors/dds4ccm/impl/ndds/TopicDescription.cpp
              More methods implemented

    Thu Jul 30 13:54:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/impl/ndds/DataReaderListener.cpp
            * connectors/dds4ccm/impl/ndds/DataWriter.cpp
            * connectors/dds4ccm/impl/ndds/DataWriterListener.cpp
            * connectors/dds4ccm/impl/ndds/DataWriterListener.h
              Implement more listen methods

    Thu Jul 30 11:47:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/impl/ndds/DataReader.cpp
            * connectors/dds4ccm/impl/ndds/DataWriter.cpp
              Implemented some more methods

    Thu Jul 30 11:34:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/impl/ndds/DataReader.cpp
            * connectors/dds4ccm/impl/ndds/ndds_impl.mpc
            * connectors/dds4ccm/impl/ndds/QueryCondition.cpp
            * connectors/dds4ccm/impl/ndds/QueryCondition.h
              Added QueryCondition

    Thu Jul 30 11:18:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/impl/ndds/DataReader.cpp
            * connectors/dds4ccm/impl/ndds/DataWriter.cpp
            * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp
            * connectors/dds4ccm/impl/ndds/InstanceHandle_t.h
            * connectors/dds4ccm/impl/ndds/Publisher.cpp
            * connectors/dds4ccm/impl/ndds/Subscriber.cpp
            * connectors/dds4ccm/impl/ndds/Topic.cpp
              Implemented all get_instance_handle methods

    Thu Jul 30 11:05:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.cpp
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.h
            * connectors/dds4ccm/idl/dds_rtf2_dcps.idl
            * connectors/dds4ccm/impl/ndds/DataReader.cpp
            * connectors/dds4ccm/impl/ndds/DataReader.h
            * connectors/dds4ccm/impl/ndds/DataWriter.cpp
            * connectors/dds4ccm/impl/ndds/DataWriter.h
            * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp
            * connectors/dds4ccm/impl/ndds/DomainParticipant.h
              Changed InstanceHandle_t to a struct that contains in the case of
              RTI DDS an octet[16] and an unsigned long. The DDS spec gives
              long as example but it can be vendor dependent. The problem with long
              is that it is passed by value, a struct is const&. In case a different
              vendor has to be used, change the NativeInstanceHandle_t struct
              to contain a long, than all interfaces stay const&

    Thu Jul 30 09:15:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/impl/ndds/DataReader.cpp
            * connectors/dds4ccm/impl/ndds/DataReaderListener.cpp
            * connectors/dds4ccm/impl/ndds/SampleRejectedStatus.h
            * connectors/dds4ccm/impl/ndds/SubscriberListener.cpp
              Added SampleRejectedStatus

    Thu Jul 30 09:03:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/impl/ndds/DataReader.cpp
            * connectors/dds4ccm/impl/ndds/DataReaderListener.cpp
            * connectors/dds4ccm/impl/ndds/SubscriberListener.cpp
            * connectors/dds4ccm/impl/ndds/SubscriptionMatchedStatus.h
              Added SubscriptionMatchedStatus conversion

    Thu Jul 30 08:16:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/impl/ndds/DataReader.cpp
            * connectors/dds4ccm/impl/ndds/DataWriter.cpp
            * connectors/dds4ccm/impl/ndds/Duration_t.h
            * connectors/dds4ccm/impl/ndds/Publisher.cpp
              Added DDS_Duration_t conversion

    Wed Jul 29 18:49:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/impl/ndds/DataReader.cpp
            * connectors/dds4ccm/impl/ndds/DataReaderListener.cpp
            * connectors/dds4ccm/impl/ndds/Publisher.cpp
            * connectors/dds4ccm/impl/ndds/SampleLostStatus.h
            * connectors/dds4ccm/impl/ndds/Topic.cpp
              Added SampleLostStatus

    Wed Jul 29 18:16:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/impl/ndds/DataReader.cpp
            * connectors/dds4ccm/impl/ndds/ndds_impl.mpc
            * connectors/dds4ccm/impl/ndds/Subscriber.cpp
            * connectors/dds4ccm/impl/ndds/SubscriberListener.cpp
            * connectors/dds4ccm/impl/ndds/Topic.cpp
            * connectors/dds4ccm/impl/ndds/TopicDescription.cpp
            * connectors/dds4ccm/impl/ndds/TopicDescription.h
              Added TopicDescription

    Wed Jul 29 13:36:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.cpp:
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.h:
              Port status listener implemented here, not to add that to the ndds
              wrapper

    Wed Jul 29 12:58:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.h
            * connectors/dds4ccm/impl/ndds/DataReaderListener.cpp
            * connectors/dds4ccm/impl/ndds/DataReaderListener.h
            * connectors/dds4ccm/impl/ndds/DomainParticipant.h
            * connectors/dds4ccm/impl/ndds/Subscriber.cpp
            * connectors/dds4ccm/impl/ndds/Topic.cpp
              The RTI_DDSDataReaderListener is now derived from the RTI base
              class and is then passed to DDS. DDS then invokes back on this
              RTI listener, this then delegates to the CORBA defined IDL
              interface

    Tue Jul 28 19:16:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/idl/dds_rtf2_dcps.idl:
              corrected a few types, need to regenerate the E file

            * connectors/dds4ccm/impl/ndds/DataWriter.cpp
            * connectors/dds4ccm/impl/ndds/DataWriterListener.cpp
            * connectors/dds4ccm/impl/ndds/DataWriterListener.h
            * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp
            * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.cpp
            * connectors/dds4ccm/impl/ndds/Topic.cpp
              Implemented another set of methods

    Tue Jul 28 17:06:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/impl/ndds/ndds_impl.mpc
            * connectors/dds4ccm/impl/ndds/Publisher.cpp
            * connectors/dds4ccm/impl/ndds/PublisherListener.cpp
            * connectors/dds4ccm/impl/ndds/PublisherListener.h
              added publisherlistener

    Tue Jul 28 15:30:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/impl/ndds/DataReaderListener.cpp
            * connectors/dds4ccm/impl/ndds/Publisher.cpp
              Again some more methods

    Tue Jul 28 15:21:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp
            * connectors/dds4ccm/impl/ndds/Publisher.cpp
              Implement some more methods, just the basic ones that don't need
              any conversion/wrapping

    Tue Jul 28 15:09:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/examples/Hello/DDS_Receiver/Hello_Receiver.cpp
            * connectors/dds4ccm/examples/Hello/DDS_Sender/Hello_Sender.cpp
              Use ndds_namespace_cpp.h so that we get everything in the DDS namespace

    Tue Jul 28 15:00:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.cpp
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector_exec.cpp
            * connectors/dds4ccm/impl/ndds/DataReader.cpp
            * connectors/dds4ccm/impl/ndds/DataWriter.cpp
            * connectors/dds4ccm/impl/ndds/DataWriterListener.cpp
            * connectors/dds4ccm/impl/ndds/DataWriterListener.h
            * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp
            * connectors/dds4ccm/impl/ndds/DomainParticipant.h
            * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.cpp
            * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.h
            * connectors/dds4ccm/impl/ndds/ndds_impl.mpc
            * connectors/dds4ccm/impl/ndds/Participant.cpp
            * connectors/dds4ccm/impl/ndds/Participant.h
            * connectors/dds4ccm/impl/ndds/ParticipantFactory.cpp
            * connectors/dds4ccm/impl/ndds/ParticipantFactory.h
            * connectors/dds4ccm/impl/ndds/Subscriber.cpp
            * connectors/dds4ccm/impl/ndds/Topic.h
              Added DataWriterListener and added Domain prefix to the participant
              files

    Tue Jul 28 14:46:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/impl/ndds/DataReader.cpp:
            * connectors/dds4ccm/impl/ndds/ndds_impl.mpc:
            * connectors/dds4ccm/impl/ndds/ReadCondition.cpp:
            * connectors/dds4ccm/impl/ndds/ReadCondition.h:
            * connectors/dds4ccm/impl/ndds/StatusCondition.h:
              Added ReadCondition

    Tue Jul 28 14:19:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.cpp
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.h
            * connectors/dds4ccm/impl/ndds/DataReaderListener.cpp
            * connectors/dds4ccm/impl/ndds/DataReaderListener.h
            * connectors/dds4ccm/impl/ndds/Subscriber.cpp
              Use the NDDS wrapper for the listener, that part is now working
              again.

    Tue Jul 28 13:25:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/impl/ndds/DataReaderListener.cpp
            * connectors/dds4ccm/impl/ndds/DataReaderListener.h
            * connectors/dds4ccm/impl/ndds/ndds_impl.mpc
            * connectors/dds4ccm/impl/ndds/Publisher.cpp
            * connectors/dds4ccm/impl/ndds/Subscriber.cpp
              Added DDS::DataReaderListener

    Tue Jul 28 13:10:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/impl/ndds/ndds_impl.mpc
            * connectors/dds4ccm/impl/ndds/Participant.cpp
            * connectors/dds4ccm/impl/ndds/StatusCondition.cpp
            * connectors/dds4ccm/impl/ndds/StatusCondition.h
              Added DDS:StatusCondition

    Tue Jul 28 12:26:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/impl/ndds/ndds_impl.mpc
            * connectors/dds4ccm/impl/ndds/Participant.cpp
            * connectors/dds4ccm/impl/ndds/Subscriber.cpp
            * connectors/dds4ccm/impl/ndds/SubscriberListener.cpp
            * connectors/dds4ccm/impl/ndds/SubscriberListener.h
              Added part of subscriber listener

    Tue Jul 28 12:01:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.cpp:
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.h:
              Implement a few more methods. We need to convert each time between the RTI DDS
              types and the CORBA types. This gets very ugly in the executor itself. This
              all should be done in the impl/ndds directory which I now need to extend

            * connectors/dds4ccm/impl/ndds/DataReader.cpp
            * connectors/dds4ccm/impl/ndds/DataReader.h
            * connectors/dds4ccm/impl/ndds/DataWriter.h
            * connectors/dds4ccm/impl/ndds/ndds_impl.mpc
            * connectors/dds4ccm/impl/ndds/NDDS_Traits.h
            * connectors/dds4ccm/impl/ndds/Participant.cpp
            * connectors/dds4ccm/impl/ndds/Subscriber.cpp
            * connectors/dds4ccm/impl/ndds/Subscriber.h
              Added some more wrapper interfaces with just a few methods implemented

            * docs/tutorials/Quoter/Simple/Distributor/StockDistributor_exec.cpp:
              Prefix increment

    Tue Jul 28 08:08:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.cpp:
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.h:
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_exec.cpp:
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector_exec.cpp:
              The CCM receiver listener component now gets called.

    Mon Jul 27 10:42:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/examples/Hello/DDS_Receiver/Hello_Receiver.cpp:
            * connectors/dds4ccm/examples/Hello/DDS_Sender/Hello_Sender.cpp:
              Fixed incorrect comparison

            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector.idl:
              Fixed issue related to lem generation

            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector.mpc:
              Added missing library

            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.cpp:
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.h:
              Create an subscribe a listener to see if we get some data from DDS

            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_exec.cpp:
              Implemented on_data_available

            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector_exec.cpp:
              Catch exceptions as const

            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector_exec.h:
              configure_dds is a private method

            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_exec.cpp:
              Added an ACE_DEBUG to show we send a message

            * connectors/dds4ccm/id3p_test
            * connectors/dds4ccm/id3p_test/Multiple_Reader_Ports
            * connectors/dds4ccm/id3p_test/Multiple_Reader_Ports/test.idl3p
            * connectors/dds4ccm/impl/ndds/Participant.cpp
              First start with IDL3+ tests for dds4ccm

    Mon Jul 27 06:58:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/examples/Hello/DDS_Receiver
            * connectors/dds4ccm/examples/Hello/DDS_Receiver/DDS_Receiver.mpc
            * connectors/dds4ccm/examples/Hello/DDS_Receiver/Hello_Receiver.cpp
            * connectors/dds4ccm/examples/Hello/DDS_Sender
            * connectors/dds4ccm/examples/Hello/DDS_Sender/DDS_Sender.mpc
            * connectors/dds4ccm/examples/Hello/DDS_Sender/Hello_Sender.cpp
              Receiver and sender to send plain strings as addition to the CCM based
              sender/receiver. These programs use RTI DDS

    Fri Jul 24 19:20:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver.mpc
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector.mpc
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector.mpc
              More base project fixes

            * connectors/dds4ccm/impl/ndds/Utils.cpp:
              Simplified the conversion of return codes to string

    Fri Jul 24 18:34:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver.mpc
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector.mpc
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.cpp
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender.mpc
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector.mpc
            * connectors/dds4ccm/idl/dds4ccm.mpc
            * connectors/dds4ccm/idl/dds_rtf2_dcpsE.idl
            * connectors/dds4ccm/impl/ndds/ndds_impl.mpc
            * connectors/dds4ccm/impl/ndds/Utils.h
            * MPC/config/ciao_dds4ccm_ndds_impl.mpb
              Various compile fixes for windows. Added base projects, afters, etc

    Fri Jul 24 12:55:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver.mpc:
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender.mpc:
              Fixed link problems

            * connectors/dds4ccm/idl/dds_rtf2_dcpsE.idl:
              Include StringSeq.pidl directly

    Fri Jul 24 12:37:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/idl/dds_rtf2_dcpsE.idl:
              Add this file for the moment to the repository

    Fri Jul 24 12:32:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver.mpc
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Base.mpc
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector.mpc
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_exec.cpp
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender.mpc
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Base.mpc
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector.mpc
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector_exec.cpp
              Various changes to get the code to compile on windows

    Fri Jul 24 10:49:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver.mpc
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Base.mpc
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector.mpc
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender.mpc
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Base.mpc
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector.mpc
            * MPC/config/ciao_example_output.mpb
            * MPC/config/example_output.mpb
              Renamed example_output to ciao_example_output

            * connectors/dds4ccm/idl/dds_rtf2_dcps.idl:
              Added include of StringSeq.pidl

    Fri Jul 24 09:18:35 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * CIAO_TAO.mwc:
              Added connectors directory

    Fri Jul 10 17:13:35 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector.mpc:
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Base.idl:
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Base.mpc:
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector.idl:
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector.mpc:
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_ConnectorE.idl:
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector_exec.h:
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector_exec.cpp:
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_exec.cpp:
            * connectors/dds4ccm/examples/Hello/descriptors/DeploymentPlan.cdp:
            * connectors/dds4ccm/idl/dds4ccm.mpc:
            * connectors/dds4ccm/idl/dds_rtf2_dcps.idl:

              Various compile fixes, link fixes, along with initial implementation of the
              sender connector and the sender component.  When deployed, the sender connector
              will register with DDS, and the sender component will use dds4ccm defined interfaces
              to send a series of messages.  Currently, this can be tested by using the ndds
              Hello_simple example.

              It should be noted that Hello_Sender_ConnectorE.idl IS checked in because it
              is hand-modified to remove the CCM_DataWriter interface until such a time
              as the support for lem force all can be worked out.

            * connectors/dds4ccm/impl/ndds/DataWriter.h:
            * connectors/dds4ccm/impl/ndds/DataWriter.cpp:
            * connectors/dds4ccm/impl/ndds/ListenerControl.h:
            * connectors/dds4ccm/impl/ndds/ListenerControl.cpp:
            * connectors/dds4ccm/impl/ndds/NDDS_Traits.h:
            * connectors/dds4ccm/impl/ndds/Participant.h:
            * connectors/dds4ccm/impl/ndds/Participant.cpp:
            * connectors/dds4ccm/impl/ndds/ParticipantFactory.h:
            * connectors/dds4ccm/impl/ndds/ParticipantFactory.cpp:
            * connectors/dds4ccm/impl/ndds/Publisher.h:
            * connectors/dds4ccm/impl/ndds/Publisher.cpp:
            * connectors/dds4ccm/impl/ndds/Topic.h:
            * connectors/dds4ccm/impl/ndds/Topic.cpp:
            * connectors/dds4ccm/impl/ndds/Utils.h:
            * connectors/dds4ccm/impl/ndds/Utils.cpp:
            * connectors/dds4ccm/impl/ndds/Writer.h:
            * connectors/dds4ccm/impl/ndds/Writer.tpp:
            * connectors/dds4ccm/impl/ndds/dds4ccm_ndds_impl_export.h:
            * connectors/dds4ccm/impl/ndds/ndds_impl.mpc:

              Initial implementation of the DataWriter, and a minimum of the IDL-defined
              DDS DCPS interfaces as a wrapper facade for RTI DDS as needed to implement
              basic writing functionality.

            * connectors/dds4ccm/impl/ndds/ListnerControl.h:
            * connectors/dds4ccm/impl/ndds/ListnerControl.cpp:
            * connectors/dds4ccm/impl/ndds/Writer.cpp:

              Removed these files.

    Wed Jul  8 17:30:09 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/idl/dds4ccm.mpc:
              Added anytypecode to resolve link problems with msvc

            * connectors/dds4ccm/idl/dds_rtf2_dcps.idl:
              Added include of tao sequence file to resolve link problems with mwvc

    Wed Jul  8 15:12:09 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver.idl
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver.mpc
              Layout

    Wed Jul  8 12:12:59 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver.mpc:
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector.mpc:
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Base.mpc:
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender.mpc:
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Base.mpc:
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector.mpc:

              Change project names to not clash.

    Tue Jul  7 19:14:09 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

            * connectors/dds4ccm/examples/Hello/descriptors/DeploymentPlan.cdp:
            * connectors/dds4ccm/examples/Hello/descriptors/run_test.pl:

              Components now deploy.

    Tue Jul  7 18:17:19 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver.idl:
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector.idl:
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.h:
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.cpp:
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_exec.h:
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_exec.cpp:

              Added homes.

    Tue Jul  7 18:05:15 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver.idl:
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver.mpc:
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Base.idl:
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Base.mpc:
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector.idl:
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector.mpc:
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender.mpc:
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Base.mpc:
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector.mpc:
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector_exec.h:
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector_exec.cpp:
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_exec.h:
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_exec.cpp:

              Compile/linking problems now taken care of.

            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver.idl3:
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Base.idl3:
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector.idl3:

              Removed these files.

    Tue Jul  7 00:49:09 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>


            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Base.idl3:
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Base.mpc:
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector.mpc:
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender.mpc:
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Base.idl:
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Base.mpc:
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector.mpc:

              Added missing files.

            * connectors/dds4ccm/idl/dds4ccm.mpc:

              corrected spelling error.

            * connectors/dds4ccm/examples/Hello/Sender/Sender_exec_export.h:
            * connectors/dds4ccm/examples/Hello/Sender/Sender_stub_export.h:
            * connectors/dds4ccm/examples/Hello/Sender/Sender_svnt_export.h:

              Removed these files.

    Tue Jul  7 00:14:45 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

            * connectors/dds4ccm/idl/dds4ccm_Connector_Base.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_Connector_Event.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_Connector_State.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_Getter.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_MultiListener.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_MultiUpdater.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_MultiWriter.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_Port_Get.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_Port_MultiListen.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_Port_MultiUpdate.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_Port_MultiWrite.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_Port_RawListen.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_Port_Read.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_Port_StateListen.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_Port_Update.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_Port_Write.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_RawListener.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_Reader.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_StateListener.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_Updater.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_Writer.idl3p:

              fixed malformed include guards.

    Tue Jul  7 00:07:13 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver.idl3:
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver.idl3p:
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver.mpc:
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector.idl3:
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector.mpc:
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.h:
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_Connector_exec.cpp:
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_exec.h:
            * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_exec.cpp:
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender.idl:
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender.mpc:
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector.idl:
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector.mpc:
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector_exec.h:
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector_exec.cpp:
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_exec.h:
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_exec.cpp:
            * connectors/dds4ccm/examples/Hello/Sender/Sender_exec_export.h:
            * connectors/dds4ccm/examples/Hello/Sender/Sender_stub_export.h:
            * connectors/dds4ccm/examples/Hello/Sender/Sender_svnt_export.h:

              Example now compiles, but there is no business logic yet.
              There are still missing symbols that I need to ferret out.

            * connectors/dds4ccm/idl/dds4ccm.mpc:
            * connectors/dds4ccm/idl/dds4ccm_Base.idl3:
            * connectors/dds4ccm/idl/dds4ccm_ConnectorStatusListener.idl3:
            * connectors/dds4ccm/idl/dds4ccm_ListenerControl.idl3:
            * connectors/dds4ccm/idl/dds4ccm_PortStatusListener.idl3:
            * connectors/dds4ccm/idl/dds_rtf2_dcps.idl:

              Malformed include guards, and small updates to go with standard.

            * connectors/dds4ccm/examples/Hello/Hello_Base:
            * connectors/dds4ccm/examples/Hello/Hello_Base.idl3:
            * connectors/dds4ccm/examples/Hello/Hello_Base.idl3p:
            * connectors/dds4ccm/examples/Hello/Hello_Base/Hello_Base.idl:
            * connectors/dds4ccm/examples/Hello/Hello_Base/Hello_Base.mpc:
            * connectors/dds4ccm/examples/Hello/Hello_Base/Hello_Base_skel_export.h:
            * connectors/dds4ccm/examples/Hello/Hello_Base/Hello_Base_stub_export.h:
            * connectors/dds4ccm/examples/Hello/Hello_Receiver.idl3:
            * connectors/dds4ccm/examples/Hello/Hello_Receiver.idl3p:
            * connectors/dds4ccm/examples/Hello/Receiver/Receiver.idl:
            * connectors/dds4ccm/examples/Hello/Receiver/Receiver.mpc:
            * connectors/dds4ccm/examples/Hello/Receiver/Receiver_exec.h:
            * connectors/dds4ccm/examples/Hello/Receiver/Receiver_exec.cpp:
            * connectors/dds4ccm/idl/dds4ccm_ListnerControl.idl3:

              Removed these files.

    Thu Jul  2 01:47:53 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/examples/Hello/Receiver/Receiver.mpc
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender.mpc
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector.mpc

    Tue Jun 30 19:11:28 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

            * connectors/dds4ccm/idl/dds4ccm.mpc:
            * connectors/dds4ccm/idl/dds4ccm_ConnectorStatusListener.idl3:

              Added last remanining non-idl3p dds4ccm item into the mpc file.

            * connectors/dds4ccm/idl/dds4ccm_ConnectorStatusListener.idl3p:

              Removed this file.

    Tue Jun 30 17:49:49 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

            * connectors/dds4ccm/impl:
            * connectors/dds4ccm/impl/ndds:
            * connectors/dds4ccm/impl/ndds/ListnerControl.h:
            * connectors/dds4ccm/impl/ndds/ListnerControl.cpp:
            * connectors/dds4ccm/impl/ndds/PortStatusListener.h:
            * connectors/dds4ccm/impl/ndds/PortStatusListener.cpp:
            * connectors/dds4ccm/impl/ndds/RawListener.h:
            * connectors/dds4ccm/impl/ndds/RawListener.cpp:
            * connectors/dds4ccm/impl/ndds/Reader.h:
            * connectors/dds4ccm/impl/ndds/Reader.cpp:
            * connectors/dds4ccm/impl/ndds/Writer.h:
            * connectors/dds4ccm/impl/ndds/Writer.cpp:

              implementation stubs.

    Tue Jun 30 17:39:21 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

            * connectors/dds4ccm/idl/dds4ccm.mpc:
            * connectors/dds4ccm/idl/dds4ccm_ListnerControl.idl3:
            * connectors/dds4ccm/idl/dds4ccm_PortStatusListener.idl3:

              Generate/compile idl necessary for hello example.

            * connectors/dds4ccm/idl/dds4ccm_ListnerControl.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_PortStatusListener.idl3p:

              Removed these files.

    Mon Jun 22 09:22:17 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/examples/Hello/Hello_Base/Hello_Base.mpc
            * connectors/dds4ccm/examples/Hello/Receiver/Receiver.mpc
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender.mpc
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector.mpc

              Updated base projects

    Fri Jun 19 18:15:10 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/idl/dds4ccm_Connector_Event.idl3p:
              Corrected this connector based on OMG issue 13953

    Thu Jun 18 13:37:02 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender.mpc

              Compile fixes

    Thu Jun 18 13:34:02 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/examples/Hello/Receiver/Receiver_exec.h

              Compile fixes

    Thu Jun 18 13:17:02 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/examples/Hello/Receiver/Receiver_exec.h

              Compile fixes

    Thu Jun 18 13:00:05 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender.mpc
              Compile fixes

    Thu Jun 18 09:32:05 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/examples/Hello/Hello_Base/Hello_Base.idl
            * connectors/dds4ccm/examples/Hello/Hello_Base/Hello_Base.mpc
            * connectors/dds4ccm/examples/Hello/Hello_Base/Hello_Base_skel_export.h
            * connectors/dds4ccm/examples/Hello/Hello_Base/Hello_Base_stub_export.h
            * connectors/dds4ccm/examples/Hello/Receiver/Receiver.idl
            * connectors/dds4ccm/examples/Hello/Receiver/Receiver.mpc
            * connectors/dds4ccm/examples/Hello/Receiver/Receiver_exec.cpp
            * connectors/dds4ccm/examples/Hello/Receiver/Receiver_exec.h
            * connectors/dds4ccm/examples/Hello/Receiver/Receiver_exec_export.h
            * connectors/dds4ccm/examples/Hello/Receiver/Receiver_stub_export.h
            * connectors/dds4ccm/examples/Hello/Receiver/Receiver_svnt_export.h
              Put these under version control. Copy of regular hello world

    Wed Jun 17 18:07:10 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender.cidl:
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector.cidl:

              Removed these files.

    Wed Jun 17 10:07:19 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender.mpc
            * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_Connector.mpc

              Zap ciaocidldefaults from the MPC files. Everything has to be rebuild to
              sort out the compile/link issues, but at least now cidlc is not used anymore

    Wed Jun 10 18:31:15 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

            * connectors/dds4ccm/examples/Hello/descriptors:
            * connectors/dds4ccm/examples/Hello/descriptors/DeploymentPlan.cdp:

              First pass at deployment plan.

    Fri Jun  5 20:10:11 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

            * connectors/dds4ccm/examples/Hello/Hello_Base.idl3:
            * connectors/dds4ccm/examples/Hello/Hello_Receiver.idl3:
            * connectors/dds4ccm/examples/Hello/Hello_Sender.idl3:

              Finished the by-hand translation to idl3.

    Tue Jun  2 03:43:30 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

            * connectors:
            * connectors/dds4ccm:
            * connectors/dds4ccm/example:
            * connectors/dds4ccm/example/Hello:
            * connectors/dds4ccm/example/Hello/Hello_Base.idl3:
            * connectors/dds4ccm/example/Hello/Hello_Base.idl3p:
            * connectors/dds4ccm/example/Hello/Hello_Receiver.idl3:
            * connectors/dds4ccm/example/Hello/Hello_Receiver.idl3p:
            * connectors/dds4ccm/example/Hello/Hello_Sender.idl3:
            * connectors/dds4ccm/example/Hello/Hello_Sender.idl3p:

              Outline of a driving use case for phase 1.  Note that the
              idl3p files are the IDL3+ for the components/connector, and the
              idl3 files are my best guess at the implied IDL3 mapping.

            * connectors/dds4ccm/idl:
            * connectors/dds4ccm/idl/dds4ccm_Base.idl3:
            * connectors/dds4ccm/idl/dds4ccm_ConnectorStatusListener.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_Connector_Base.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_Connector_Event.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_Connector_State.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_Getter.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_ListnerControl.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_MultiListener.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_MultiUpdater.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_MultiWriter.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_PortStatusListener.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_Port_Get.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_Port_MultiListen.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_Port_MultiUpdate.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_Port_MultiWrite.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_Port_RawListen.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_Port_Read.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_Port_StateListen.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_Port_Update.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_Port_Write.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_RawListener.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_Reader.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_StateListener.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_Updater.idl3p:
            * connectors/dds4ccm/idl/dds4ccm_Writer.idl3p:

              DDS4CCM IDL.


Mon Aug  3 22:54:37 UTC 2009  Abdullah Sowayan  <sowayan@gmail.com>

        * docs/tutorials/Quoter/Simple/descriptors/runNodeDaemons.pl:

          Set DANCE_ROOT environment variable.

Wed Jul 29 11:40:12 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/NodeApplication/NodeApplication_Impl.cpp:
          Another hpux fix

Mon Jul 27 12:09:12 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/Config_Handlers/XSCRT/Elements.hpp:
          Fixed compile error by invalid character at the top of the file

Sun Jul 26 07:51:12 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/Config_Handlers/XSCRT/Elements.hpp:
          Updated for Sun Studio 12

Sat Jul 25 13:05:03 UTC 2009  William R. Otte  <Wotte@dre.vanderbilt.edu>

        * tests/IDL_Test/Inherited_Component/IhC_Foo.mpc:

          Add -Gex.

Fri Jul 24 11:26:23 UTC 2009  William R. Otte  <Wotte@dre.vanderbilt.edu>

        * tests/IDL_Test/Inherited_Component/IhC_Bar.mpc:

         Disabled this test until its fixed.

Fri Jul 24 10:59:12 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/IDL_Test/PIDL_Include/PIDLInclude.idl:
        * tests/IDL_Test/PIDL_Include/PIDLInclude.mpc:
          New test to reproduce a problem when including pidl files

Thu Jul 23 16:26:17 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tests/IDL_Test/Inherited_Component:
        * tests/IDL_Test/Inherited_Component/IhC_Bar.idl:
        * tests/IDL_Test/Inherited_Component/IhC_Bar.mpc:
        * tests/IDL_Test/Inherited_Component/IhC_Foo.idl:
        * tests/IDL_Test/Inherited_Component/IhC_Foo.mpc:

          Test which demonstrates an inability to generate code properly
          for inherited components.

Thu Jul 23 17:48:12 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * NEWS:
          Updated for next release

        * DAnCE/NodeApplication/NodeApplication_Impl.cpp:
        * DAnCE/NodeApplication/NodeApplication_Impl.h:
          Compile fixes for HPUX

Thu Jul 23 02:11:02 CDT 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * CIAO version 0.7.2 released.

Wed Jul 22 08:06:47 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/ciao_tests.lst:
          NodeManager-Deployments is known to fail

Tue Jul 21 17:38:47 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/Config_Handlers/Dump_Obj.cpp:
        * tools/Config_Handlers/Dump_Obj.h:
          Moved include to header file to fix compile errors with CB2009

Tue Jul 21 13:48:47 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/Config_Handlers/XSCRT/Elements.hpp:
          Backported some CB2009 fixes

Tue Jul 21 10:51:47 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/NodeApplication/NodeApplication_Impl.cpp:
          Fixed compile error on HPUX

Tue Jul 21 02:23:41 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/tests/RedirectionServiceTest/RedirectionServiceTest.mpc:

          Avoids minimum corba.

Tue Jul 21 01:43:50 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tests/IDL3/ImpliedIDL/All/all.mpc:

           Disabled this on MFC systems due to the fact that it produces
           errors in newer VS compilers due to the mixing in of c# language
           elements.

Mon Jul 20 11:16:47 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/NodeApplication/NodeApplication_Impl.cpp:
          Fixed compile error on HPUX

Mon Jul 20 11:13:53 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * DAnCE/NodeManager/Node_Manager_Module.cpp:
          Reverted an unicode change.

Mon Jul 20 10:55:13 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp:
        * DAnCE/DomainApplicationManager/Node_Locator.h:
        * DAnCE/DomainApplicationManager/Node_Locator.cpp:
        * DAnCE/ExecutionManager/ExecutionManager_Module.h:
        * DAnCE/ExecutionManager/ExecutionManager_Module.cpp:
        * DAnCE/NodeApplication/Name_Utilities.h:
        * DAnCE/NodeApplication/Name_Utilities.cpp:
        * DAnCE/NodeApplication/NodeApplication_Impl.cpp:
        * DAnCE/NodeManager/Node_Manager_Module.cpp:
        * DAnCE/Starter/Starter.h:
        * DAnCE/Starter/Starter.cpp:
        * ciao/Containers/Session/Session_Container.cpp:
        * ciao/Logger/File_Logger_Backend.cpp:
          Reverted some unicode changes.

Mon Jul 20 10:50:47 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Benchmark/RoundTripClient/RoundTripClient.mpc
        * performance-tests/Protocols/Receiver/Receiver.mpc
        * performance-tests/Protocols/Sender/Sender.mpc
          Also disabled svnt projects with ace_for_tao

Mon Jul 20 10:32:47 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/Config_Handlers/XSCRT/Elements.hpp:
          Removed old msvc checks

Mon Jul 20 07:02:47 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/ComponentServer/Configurators/Server_Configurator.cpp:
        * ciao/ComponentServer/Configurators/Server_Configurator.h:
          Use bool for rt_support_ and added a default value to the constructor
          to resolve problems with older gcc versions

Sun Jul 19 18:25:47 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/Logger/Logger_Service.cpp:
        * DAnCE/Logger/Logger_Service.h:
          Unicode fixes

Sun Jul 19 17:22:08 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tests/IDL_Test/Keywords/Keywords.mpc:

          avoids mfc, as building with mfc enabled causes 'interface'
          to become a language keyword, where it otherwise would not be.

Sun Jul 19 09:50:47 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Servants/Port_Activator_T.cpp:
          Layout change

        * ciao/Servants/Servants.mpc:
          Port_Activator_T is a template file, not a source file

Sun Jul 19 09:46:47 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/DomainApplication/Domain_Application_Impl.cpp:
          Layout changes

        * DAnCE/DomainApplication/Domain_Application_Impl.h:
          Made startLaunch public

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp:
          Layout, const, datatype changes

        * DAnCE/MPC/config/dance_repositorymanagerbase.mpb:
          Added after JAWS

        * DAnCE/NodeApplication/NodeApplication_Impl.cpp:
          Layout changes

        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp:
          Layout, datatype, const changes

        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.h:
          Layout changes

        * DAnCE/Plan_Generator/Plan_Generator_Impl.cpp:
          Corrected messages

        * DAnCE/Plan_Launcher/Plan_Launcher_Base_Module.cpp:
          Unicode fix

        * DAnCE/RepositoryManager/RepositoryManager.mpc:
          JAWS is added by the base project

        * examples/Display/NavDisplayGUI_exec/NavDisplayGUI_exec.h:
          Corrected base class

Sat Jul 18 22:33:47 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/Starter/Starter.mpc:

          Temporarily disable this project, there's no way it works properly
          at run-time, even if it compiles.  We will take another look at this
          after 0.7.2.

Sat Jul 18 17:41:10 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/XML/XML_Schema_Resolver.cpp:

          Rolling back changes from
         Fri Jul 17 11:50:08 UTC 2009  Marcel Smit  <msmit@remedy.nl>
         Fri Jul 17 10:26:28 UTC 2009  Marcel Smit  <msmit@remedy.nl>

         as they broke all tests involving XMl.

Sat Jul 18 17:19:49 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * performance-tests/Benchmark/RoundTrip/RoundTrip.mpc:

          avoids_ace_for_tao.

Sat Jul 18 15:56:16 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/NodeApplication/NodeApplication.mpc:
        * DAnCE/NodeApplicationManager/NodeApplicationManager.mpc:
        * DAnCE/NodeManager/NodeManager.mpc:
        * ciao/ComponentServer/CIAO_ComponentServer.mpc:
        * performance-tests/Benchmark/RoundTripClient/RoundTripClient.mpc:
        * performance-tests/Protocols/Receiver/Receiver.mpc:
        * performance-tests/Protocols/Sender/Sender.mpc:

          avoids_ace_for_tao.

Sat Jul 18 09:34:30 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * DAnCE/Plan_Launcher/Plan_Launcher_Base_Impl.cpp:
          Corrected a coding error during last commit.

Sat Jul 18 09:20:47 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * DAnCE/Plan_Launcher/Plan_Launcher_Base_Impl.cpp:
        * DAnCE/Starter/Starter.h:
        * DAnCE/Starter/Starter.cpp:
        * tests/CIAO_ComponentServer/Activator/client.cpp:
          Fixed UNICODE compiler errors.

Sat Jul 18 05:12:00 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/Logger/Logger_Service.cpp:

          stab at some unicode problems on Windows.

Sat Jul 18 05:01:32 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/ExecutionManager/ExecutionManager.mpc:
        * DAnCE/MPC/config/dance_tm_daemon.mpb:
        * DAnCE/Plan_Launcher/Plan_Launcher.mpc:
        * DAnCE/TargetManager/TargetManager.mpc:

          Static linking fixes.

Sat Jul 18 00:50:20 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/Deployment/CIAO_Interfaces.mpc:

          linker fixes.

        * examples/Hello/Receiver/Receiver.mpc:

          this mpc specified more than was generated, causing it to be
          re-run.

Fri Jul 17 21:18:11 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tests/Bug_2130_Regression/SEC_CheckPoint/TSEC_CheckPoint.mpc:

          Disabled this.  there's lots wrong with it.

Fri Jul 17 18:06:48 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/DomainApplication/DomainApplication.mpc:
        * DAnCE/ExecutionManager/ExecutionManager.mpc:
        * DAnCE/NodeApplicationManager/NodeApplicationManager.mpc:
        * DAnCE/Plan_Launcher/Plan_Launcher.mpc:
        * DAnCE/TargetManager/TargetManager.mpc:
        * tests/IDL_Test/Lem_Specific_Export/Lem_Export.mpc:
        * tests/Minimum/Receiver/Receiver.mpc:

          Linking fixes for Windows.

        * tools/Config_Handlers/Basic_Deployment_Data.hpp:
        * tools/Config_Handlers/Basic_Deployment_Data.cpp:
        * tools/Config_Handlers/Deployment.hpp:
        * tools/Config_Handlers/Deployment.cpp:
        * tools/Config_Handlers/XMI.hpp:
        * tools/Config_Handlers/XMI.cpp:
        * tools/Config_Handlers/XMLSchema/id_map.hpp:
        * tools/Config_Handlers/XSCRT/Elements.hpp:
        * tools/Config_Handlers/ccd.cpp:
        * tools/Config_Handlers/ccd.hpp:
        * tools/Config_Handlers/cdd.hpp:
        * tools/Config_Handlers/cdd.cpp:
        * tools/Config_Handlers/cdp.cpp:
        * tools/Config_Handlers/cdp.hpp:
        * tools/Config_Handlers/cid.cpp:
        * tools/Config_Handlers/cid.hpp:
        * tools/Config_Handlers/cpd.hpp:
        * tools/Config_Handlers/cpd.cpp:
        * tools/Config_Handlers/iad.cpp:
        * tools/Config_Handlers/iad.hpp:
        * tools/Config_Handlers/pcd.hpp:
        * tools/Config_Handlers/pcd.cpp:
        * tools/Config_Handlers/toplevel.cpp:
        * tools/Config_Handlers/toplevel.hpp:

          Updated generated code to 1) update to latest version of XSC,
          2) resolve unicode errors in the generator.

Fri Jul 17 14:41:29 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * DAnCE/ExecutionManager/ExecutionManager_Module.cpp:
        * DAnCE/NodeApplication/Name_Utilities.h:
        * DAnCE/NodeApplication/Name_Utilities.cpp:
        * DAnCE/NodeManager/Node_Manager_Module.cpp:
        * DAnCE/Plan_Launcher/Plan_Launcher_Base_Impl.h:
        * DAnCE/Plan_Launcher/Plan_Launcher_Base_Impl.cpp:
          Resolved some unicode compiler errors.

Fri Jul 17 13:35:03 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * ciao/Logger/File_Logger_Backend.h:
          Resolved UNICODE compiler errors.

Fri Jul 17 12:48:09 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tools/Config_Handlers/ccd.cpp:
        * tools/Config_Handlers/cdd.cpp:
        * tools/Config_Handlers/cpd.cpp:
          Resolved UNICODE compiler errors.

Fri Jul 17 12:09:55 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tools/Config_Handlers/XMI.cpp:
          Resolved UNICODE compiler errors.

Fri Jul 17 11:50:08 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * ciao/Containers/Session/Session_Container.cpp:
        * tools/XML/XML_Schema_Resolver.cpp:
          Resolved UNICODE compiler errors.

Fri Jul 17 10:26:28 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * tools/XML/XML_Schema_Resolver.cpp:
          Resolved UNICODE compiler errors.

Fri Jul 17 07:06:08 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp:
        * DAnCE/DomainApplicationManager/Node_Locator.h:
        * DAnCE/DomainApplicationManager/Node_Locator.cpp:
        * DAnCE/ExecutionManager/ExecutionManager_Module.h:
        * DAnCE/NodeApplication/NodeApplication_Impl.cpp:
        * DAnCE/NodeManager/Node_Manager_Module.cpp:
        * DAnCE/Plan_Launcher/Plan_Launcher_Base_Impl.h:
        * DAnCE/Plan_Launcher/Plan_Launcher_Base_Impl.cpp:
        * ciao/Logger/File_Logger_Backend.cpp:
        * tests/CIAO_ComponentServer/Activator/client.cpp:
          Resolved UNICODE compiler errors.

        * docs/tutorials/Quoter/Simple/02.html:
          Removed reference toe CIDL.

Wed Jul 15 15:51:36 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/Basic_Deployment_Data.cpp:
        * tools/Config_Handlers/XMI.cpp:
        * tools/Config_Handlers/XSCRT/XML.hpp:

         Compile warning fixes.

Wed Jul 15 14:20:19 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Hello/Sender/starter.cpp:
          Fixed wchar problem

Wed Jul 15 13:17:19 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/Deployment/DAnCE_Core.mpc:
          Fixed build orders

Tue Jul 14 20:34:19 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/viao_vcwarnings.mpb:
          Added vc10

Tue Jul 14 20:31:19 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/dance_plan_launcher_base.mpc:
        * DAnCE/MPC/config/dance_plan_launcher_base.mpb:
          Moved to DAnCE and corrected extension

Tue Jul 14 20:14:19 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/Deployment/DAnCE_Core.mpc
        * DAnCE/MPC/config/dance_domainapplicationmanager_skel.mpb
        * DAnCE/MPC/config/dance_domainapplicationmanager_stub.mpb
        * DAnCE/MPC/config/dance_nodeapplicationmanager_skel.mpb
        * DAnCE/MPC/config/dance_nodeapplicationmanager_stub.mpb
          Shortened some project names to fix fuzz errors

Tue Jul 14 17:56:19 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * ciao/Logger/File_Logger_Backend.cpp:

        * examples/DevGuideExamples/Messenger/Messenger_exec_i.cpp:

Tue Jul 14 14:24:08 UTC 2009  Marcel Smit  <msmit@remedy.nl>

        * DAnCE/Deployment/CIAO_ExecutionManagerDaemon.idl:
        * DAnCE/Deployment/CIAO_NodeManagerDaemon.idl:
        * DAnCE/MPC/config/dance_targetmanager.mpb:
        * DAnCE/RepositoryManager/repository_manager_admin.h:
        * DAnCE/RepositoryManager/repository_manager_admin_exec.cpp:
        * DAnCE/TargetManager/TargetManager.idl:
        * MPC/config/ciao_connector_base.mpb:
        * MPC/config/connectoridldefaults.mpb:
        * MPC/config/dds4ccm_base.mpb:
        * MPC/config/dds4ccm_skel.mpb:
        * MPC/config/example_output.mpb:
        * tests/IDL_Test/Keywords/Keyword_Clash.idl:
        * tools/Config_Handlers/PL_Handler.h:
        * tools/Config_Handlers/PL_Handler.cpp:
          Resolved Fuzz errors.

Tue Jul 14 11:11:57 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

        * .:
        * CIAO-INSTALL.html:
        * CIAO.mwc:
        * CIAO_DAnCE.mwc:
        * CIAO_TAO.mwc:
        * CIAO_TAO_DAnCE.mwc:
        * COPYING:
        * DAnCE/Deployment/CIAO_ExecutionManagerDaemon.idl:
        * DAnCE/Deployment/CIAO_Interfaces.mpc:
        * DAnCE/Deployment/CIAO_NodeManagerDaemon.idl:
        * DAnCE/Deployment/DAnCE_Core.mpc:
        * DAnCE/Deployment/Deployment.idl:
        * DAnCE/Deployment/Deployment_Application.idl:
        * DAnCE/Deployment/Deployment_ApplicationManager.idl:
        * DAnCE/Deployment/Deployment_Connection.idl:
        * DAnCE/Deployment/Deployment_Data.idl:
        * DAnCE/Deployment/Deployment_DeploymentPlan.idl:
        * DAnCE/Deployment/Deployment_DomainApplication.idl:
        * DAnCE/Deployment/Deployment_DomainApplicationManager.idl:
        * DAnCE/Deployment/Deployment_ExecutionManager.idl:
        * DAnCE/Deployment/Deployment_NodeApplication.idl:
        * DAnCE/Deployment/Deployment_NodeApplicationManager.idl:
        * DAnCE/Deployment/Deployment_NodeManager.idl:
        * DAnCE/Deployment/Deployment_Packaging_Data.idl:
        * DAnCE/Deployment/Deployment_PlanError.idl:
        * DAnCE/Deployment/Deployment_StartError.idl:
        * DAnCE/Deployment/Deployment_StopError.idl:
        * DAnCE/Deployment/Deployment_TargetManager.idl:
        * DAnCE/Deployment/Module_Main.h:
        * DAnCE/DomainApplication/DomainApplication.mpc:
        * DAnCE/DomainApplicationManager/DomainApplicationManager.mpc:
        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.h:
        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp:
        * DAnCE/DomainApplicationManager/Node_Locator.cpp:
        * DAnCE/ExecutionManager/ExecutionManager.mpc:
        * DAnCE/ExecutionManager/ExecutionManager_Impl.h:
        * DAnCE/ExecutionManager/ExecutionManager_Impl.cpp:
        * DAnCE/ExecutionManager/ExecutionManager_Module.cpp:
        * DAnCE/Logger/File_Logger_Backend.cpp:
        * DAnCE/Logger/Logger.mpc:
        * DAnCE/Logger/Logger_Service.cpp:
        * DAnCE/MPC:
        * DAnCE/MPC/config:
        * DAnCE/MPC/config/ciao_executionmanager_skel.mpb:
        * DAnCE/MPC/config/ciao_executionmanager_stub.mpb:
        * DAnCE/MPC/config/ciao_nodeapplication.mpb:
        * DAnCE/MPC/config/ciao_nodeapplicationmanager.mpb:
        * DAnCE/MPC/config/ciao_nodemanager_skel.mpb:
        * DAnCE/MPC/config/ciao_nodemanager_stub.mpb:
        * DAnCE/MPC/config/ciao_plan_generator.mpb:
        * DAnCE/MPC/config/ciao_targetmanager_stub.mpb:
        * DAnCE/MPC/config/ciao_targetmanager_svnt.mpb:
        * DAnCE/MPC/config/dance.mpb:
        * DAnCE/MPC/config/dance_cdmw_idl.mpb:
        * DAnCE/MPC/config/dance_component_server.mpb:
        * DAnCE/MPC/config/dance_component_server_svnt.mpb:
        * DAnCE/MPC/config/dance_deployment_stub.mpb:
        * DAnCE/MPC/config/dance_deployment_svnt.mpb:
        * DAnCE/MPC/config/dance_domainapplication.mpb:
        * DAnCE/MPC/config/dance_domainapplication_skel.mpb:
        * DAnCE/MPC/config/dance_domainapplication_stub.mpb:
        * DAnCE/MPC/config/dance_domainapplicationmanager.mpb:
        * DAnCE/MPC/config/dance_domainapplicationmanager_skel.mpb:
        * DAnCE/MPC/config/dance_domainapplicationmanager_stub.mpb:
        * DAnCE/MPC/config/dance_exe.mpb:
        * DAnCE/MPC/config/dance_executionmanager_skel.mpb:
        * DAnCE/MPC/config/dance_executionmanager_stub.mpb:
        * DAnCE/MPC/config/dance_extension_stub.mpb:
        * DAnCE/MPC/config/dance_lib.mpb:
        * DAnCE/MPC/config/dance_logger.mpb:
        * DAnCE/MPC/config/dance_mocks.mpb:
        * DAnCE/MPC/config/dance_nodeapplication.mpb:
        * DAnCE/MPC/config/dance_nodeapplication_skel.mpb:
        * DAnCE/MPC/config/dance_nodeapplication_stub.mpb:
        * DAnCE/MPC/config/dance_nodeapplicationmanager.mpb:
        * DAnCE/MPC/config/dance_nodeapplicationmanager_skel.mpb:
        * DAnCE/MPC/config/dance_nodeapplicationmanager_stub.mpb:
        * DAnCE/MPC/config/dance_nodemanager.mpb:
        * DAnCE/MPC/config/dance_nodemanager_skel.mpb:
        * DAnCE/MPC/config/dance_nodemanager_stub.mpb:
        * DAnCE/MPC/config/dance_nodemanager_svnt.mpb:
        * DAnCE/MPC/config/dance_plan_generator.mpb:
        * DAnCE/MPC/config/dance_redirectionservice.mpb:
        * DAnCE/MPC/config/dance_repositorymanager.mpb:
        * DAnCE/MPC/config/dance_repositorymanager_skel.mpb:
        * DAnCE/MPC/config/dance_repositorymanager_stub.mpb:
        * DAnCE/MPC/config/dance_repositorymanagerbase.mpb:
        * DAnCE/MPC/config/dance_targetmanager.mpb:
        * DAnCE/MPC/config/dance_targetmanager_skel.mpb:
        * DAnCE/MPC/config/dance_targetmanager_stub.mpb:
        * DAnCE/MPC/config/dance_utils.mpb:
        * DAnCE/NodeApplication/ComponentAttributesSetter.h:
        * DAnCE/NodeApplication/ComponentAttributesSetter.cpp:
        * DAnCE/NodeApplication/NodeApplication.mpc:
        * DAnCE/NodeApplication/NodeApplication_Impl.h:
        * DAnCE/NodeApplication/NodeApplication_Impl.cpp:
        * DAnCE/NodeApplicationManager/NodeApplicationManager.mpc:
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.h:
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp:
        * DAnCE/NodeManager/NodeManager.mpc:
        * DAnCE/NodeManager/NodeManager_Impl.h:
        * DAnCE/NodeManager/NodeManager_Impl.cpp:
        * DAnCE/NodeManager/Node_Manager_Module.h:
        * DAnCE/NodeManager/Node_Manager_Module.cpp:
        * DAnCE/Plan_Generator/PCVisitorBase.h:
        * DAnCE/Plan_Generator/Plan_Generator.mpc:
        * DAnCE/Plan_Launcher/Plan_Launcher.h:
        * DAnCE/Plan_Launcher/Plan_Launcher.cpp:
        * DAnCE/Plan_Launcher/Plan_Launcher.mpc:
        * DAnCE/Plan_Launcher/Plan_Launcher_Base_Impl.h:
        * DAnCE/Plan_Launcher/Plan_Launcher_Base_Impl.cpp:
        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.cpp:
        * DAnCE/Plan_Launcher/Plan_Launcher_Module.h:
        * DAnCE/Plan_Launcher/Plan_Launcher_Module.cpp:
        * DAnCE/Plan_Launcher/launcher.cpp:
        * DAnCE/RepositoryManager:
        * DAnCE/RepositoryManager/PC_Updater.h:
        * DAnCE/RepositoryManager/RepositoryManager.mpc:
        * DAnCE/RepositoryManager/RepositoryManager_Impl.cpp:
        * DAnCE/RepositoryManager/Repository_Manager_Admin_Export.h:
        * DAnCE/RepositoryManager/Repository_Manager_Module.cpp:
        * DAnCE/RepositoryManager/repository_manager_admin.h:
        * DAnCE/RepositoryManager/repository_manager_admin.cpp:
        * DAnCE/RepositoryManager/repository_manager_admin_exec.cpp:
        * DAnCE/TargetManager/CmpClient.cpp:
        * DAnCE/TargetManager/DAnCE_TargetManagerDaemon.idl:
        * DAnCE/TargetManager/DomainDataManager.h:
        * DAnCE/TargetManager/DomainDataManager.cpp:
        * DAnCE/TargetManager/ResourceCommitmentManager.h:
        * DAnCE/TargetManager/ResourceCommitmentManager.cpp:
        * DAnCE/TargetManager/TM_Client.mpc:
        * DAnCE/TargetManager/TargetManager.idl:
        * DAnCE/TargetManager/TargetManager.mpc:
        * DAnCE/TargetManager/TargetManager_Impl.h:
        * DAnCE/TargetManager/TargetManager_Impl.cpp:
        * DAnCE/TargetManager/TargetManager_Impl_export.h:
        * DAnCE/TargetManager/TargetManager_exec.h:
        * DAnCE/TargetManager/TargetManager_exec.cpp:
        * DAnCE/TargetManager/Target_Manager_Exec.cpp:
        * DAnCE/TargetManager/Target_Manager_Module.h:
        * DAnCE/TargetManager/Target_Manager_Module.cpp:
        * DAnCE/TargetManager/Target_Manager_Module_export.h:
        * DAnCE/Utils/Plan_Handler.h:
        * DAnCE/tests/CIAO/Components/ProcessColocation.idl:
        * DAnCE/tests/CIAO/Components/ProcessColocation.mpc:
        * DAnCE/tests/CIAO/Components/ProcessColocation_exec.h:
        * DAnCE/tests/CIAO/Components/ProcessColocation_exec.cpp:
        * DAnCE/tests/CIAO/Components/SimpleAttribute.mpc:
        * DAnCE/tests/CIAO/Components/SimpleAttribute_exec.h:
        * DAnCE/tests/CIAO/Components/SimpleAttribute_exec.cpp:
        * DAnCE/tests/CIAO/Components/SimpleCommon.mpc:
        * DAnCE/tests/CIAO/Components/SimpleConsumer.mpc:
        * DAnCE/tests/CIAO/Components/SimpleConsumer_exec.h:
        * DAnCE/tests/CIAO/Components/SimpleConsumer_exec.cpp:
        * DAnCE/tests/CIAO/Components/SimpleEmitter.mpc:
        * DAnCE/tests/CIAO/Components/SimpleEmitter_exec.h:
        * DAnCE/tests/CIAO/Components/SimpleEmitter_exec.cpp:
        * DAnCE/tests/CIAO/Components/SimpleMultipleUser.mpc:
        * DAnCE/tests/CIAO/Components/SimpleMultipleUser_exec.h:
        * DAnCE/tests/CIAO/Components/SimpleMultipleUser_exec.cpp:
        * DAnCE/tests/CIAO/Components/SimpleNull.mpc:
        * DAnCE/tests/CIAO/Components/SimpleNull_exec.h:
        * DAnCE/tests/CIAO/Components/SimpleNull_exec.cpp:
        * DAnCE/tests/CIAO/Components/SimpleProvider.mpc:
        * DAnCE/tests/CIAO/Components/SimpleProvider_exec.h:
        * DAnCE/tests/CIAO/Components/SimpleProvider_exec.cpp:
        * DAnCE/tests/CIAO/Components/SimplePublisher.mpc:
        * DAnCE/tests/CIAO/Components/SimplePublisher_exec.h:
        * DAnCE/tests/CIAO/Components/SimplePublisher_exec.cpp:
        * DAnCE/tests/CIAO/Components/SimpleUser.mpc:
        * DAnCE/tests/CIAO/Components/SimpleUser_exec.h:
        * DAnCE/tests/CIAO/Components/SimpleUser_exec.cpp:
        * DAnCE/tests/CIAO/ExecutionManager-Deployments/em_launcher.mpc:
        * DAnCE/tests/CIAO/ExecutionManager-Deployments/simple_em_launcher.cpp:
        * DAnCE/tests/CIAO/NodeManager-Deployments/SimpleProcessColocation.cdp:
        * DAnCE/tests/CIAO/NodeManager-Deployments/nm_launcher.mpc:
        * DAnCE/tests/DeploymentTest1/DeploymentTest1.mpc:
        * DAnCE/tests/NodeApplicationManager-NodeApplication/NAM_NA.mpc:
        * DAnCE/tests/NodeManager-NodeApplicationManager/NodeManager-NodeApplicationManager.mpc:
        * DAnCE/tests/ObjectLocatorTest/ObjectLocatorTest.mpc:
        * DAnCE/tests/ObjectLocatorTest/srv_main.cpp:
        * DAnCE/tests/RedirectionServiceTest/RedirectionServiceTest.mpc:
        * DAnCE/tests/RedirectionServiceTest/clt_main.cpp:
        * MPC:
        * MPC/config/ciao_connector_base.mpb:
        * MPC/config/ciao_servant.mpb:
        * MPC/config/ciao_server.mpb:
        * MPC/config/ciaoidldefaults.mpb:
        * MPC/config/componentidldefaults.mpb:
        * MPC/config/connectoridldefaults.mpb:
        * MPC/config/dds4ccm_base.mpb:
        * MPC/config/dds4ccm_skel.mpb:
        * MPC/config/example_output.mpb:
        * NEWS:
        * bin:
        * bin/ciao_tests.lst:
        * bin/generate_component_mpc.pl:
        * bin/update_package.py:
        * ccm/CCM.mpc:
        * ccm/CCM_Configurator.idl:
        * ccm/CCM_Cookie.idl:
        * ccm/CCM_Enumeration.idl:
        * ccm/CCM_EventBase.idl:
        * ccm/CCM_EventConsumerBase.idl:
        * ccm/CCM_Events.idl:
        * ccm/CCM_Exceptions.idl:
        * ccm/CCM_Home.idl:
        * ccm/CCM_HomeConfiguration.idl:
        * ccm/CCM_HomeFinder.idl:
        * ccm/CCM_Homes.idl:
        * ccm/CCM_KeylessCCMHome.idl:
        * ccm/CCM_Navigation.idl:
        * ccm/CCM_Object.idl:
        * ccm/CCM_Receptacle.idl:
        * ccm/CCM_StandardConfigurator.idl:
        * ccm/ComponentServer/CCM_ComponentServer.idl:
        * ccm/ComponentServer/CCM_ComponentServer.mpc:
        * ccm/ComponentServer/CCM_ComponentServer_Base.idl:
        * ccm/ComponentServer/CCM_ComponentServer_Client.idl:
        * ciao:
        * ciao/ComponentServer/CIAO_ComponentServer.idl:
        * ciao/ComponentServer/CIAO_ComponentServer.mpc:
        * ciao/ComponentServer/CIAO_ComponentServer_Impl.cpp:
        * ciao/ComponentServer/CIAO_ServerActivator_Impl.cpp:
        * ciao/Containers/Session/Session_Container.cpp:
        * ciao/Servants/Servant_Impl_Utils_T.cpp:
        * docs:
        * docs/OMG-CCM-Tutorial.ppt:
        * docs/TODO.html:
        * docs/generate_component_mpc.html:
        * docs/index.html:
        * docs/schema/06-04-02.xsd:
        * docs/schema/Basic_Deployment_Data.xsd:
        * docs/schema/cdp.xsd:
        * docs/schema/cid.xsd:
        * docs/schema/cpd.xsd:
        * docs/schema/toplevel.xsd:
        * docs/schema/unused_06-04-02.xsd:
        * docs/tutorials/Quoter/Simple/01.html:
        * docs/tutorials/Quoter/Simple/02.html:
        * docs/tutorials/Quoter/Simple/03.html:
        * docs/tutorials/Quoter/Simple/04.html:
        * docs/tutorials/Quoter/Simple/Broker/StockBroker.mpc:
        * docs/tutorials/Quoter/Simple/Broker/StockBrokerDriver.cpp:
        * docs/tutorials/Quoter/Simple/Broker/StockBroker_exec.h:
        * docs/tutorials/Quoter/Simple/Broker/StockBroker_exec.cpp:
        * docs/tutorials/Quoter/Simple/Distributor/StockDistributor.mpc:
        * docs/tutorials/Quoter/Simple/Distributor/StockDistributorDriver.cpp:
        * docs/tutorials/Quoter/Simple/Distributor/StockDistributor_exec.h:
        * docs/tutorials/Quoter/Simple/Distributor/StockDistributor_exec.cpp:
        * docs/tutorials/Quoter/Simple/Model/Quoter.xme:
        * docs/tutorials/Quoter/Simple/Stock_Base/Stock_Base.mpc:
        * docs/tutorials/Quoter/Simple/descriptors/Domain.cdd:
        * docs/tutorials/Quoter/Simple/descriptors/NodeMap.dat:
        * docs/tutorials/Quoter/Simple/descriptors/Plan.cdp:
        * docs/tutorials/Quoter/Simple/images/fig10.jpg:
        * docs/tutorials/Quoter/Simple/images/fig11.jpg:
        * docs/tutorials/Quoter/Simple/images/fig12.jpg:
        * docs/tutorials/Quoter/Simple/images/fig2.jpg:
        * docs/tutorials/Quoter/Simple/images/fig3.jpg:
        * docs/tutorials/Quoter/Simple/images/fig4.jpg:
        * docs/tutorials/Quoter/Simple/images/fig5.jpg:
        * docs/tutorials/Quoter/Simple/images/fig5a.jpg:
        * docs/tutorials/Quoter/Simple/images/fig6.jpg:
        * docs/tutorials/Quoter/Simple/images/fig7.jpg:
        * docs/tutorials/Quoter/Simple/images/fig8.jpg:
        * docs/tutorials/Quoter/Simple/images/fig9.jpg:
        * docs/value_factory_registration.html:
        * etc/ciao.doxygen:
        * etc/ciao_DAnCE.doxygen:
        * etc/ciao_config_handlers.doxygen:
        * examples:
        * examples/BasicSP/BMClosedED/BMClosedED.mpc:
        * examples/BasicSP/BMClosedED/BMClosedED_exec.h:
        * examples/BasicSP/BMDevice/BMDevice.idl:
        * examples/BasicSP/BMDevice/BMDevice.mpc:
        * examples/BasicSP/BMDevice/BMDevice_exec.h:
        * examples/BasicSP/BMDisplay/BMDisplay.idl:
        * examples/BasicSP/BMDisplay/BMDisplay.mpc:
        * examples/BasicSP/BMDisplay/BMDisplay_exec.h:
        * examples/BasicSP/BasicSP.mpc:
        * examples/BasicSP/BasicSP_exec.h:
        * examples/BasicSP/EC/EC.idl:
        * examples/BasicSP/EC/EC.mpc:
        * examples/BasicSP/EC/EC_exec.h:
        * examples/DevGuideExamples:
        * examples/DevGuideExamples/Messenger/Administrator.mpc:
        * examples/DevGuideExamples/Messenger/Administrator_Client_IDL2.mpc:
        * examples/DevGuideExamples/Messenger/Administrator_Client_IDL3.mpc:
        * examples/DevGuideExamples/Messenger/Administrator_exec_i.h:
        * examples/DevGuideExamples/Messenger/Administrator_exec_i.cpp:
        * examples/DevGuideExamples/Messenger/History_exec_i.h:
        * examples/DevGuideExamples/Messenger/History_exec_i.cpp:
        * examples/DevGuideExamples/Messenger/Messenger.mpc:
        * examples/DevGuideExamples/Messenger/Messenger_exec_i.h:
        * examples/DevGuideExamples/Messenger/Messenger_exec_i.cpp:
        * examples/DevGuideExamples/Messenger/Publication_exec_i.h:
        * examples/DevGuideExamples/Messenger/Publication_exec_i.cpp:
        * examples/DevGuideExamples/Messenger/Receiver.mpc:
        * examples/DevGuideExamples/Messenger/Receiver_exec_i.h:
        * examples/DevGuideExamples/Messenger/Receiver_exec_i.cpp:
        * examples/DevGuideExamples/Messenger/Runnable_exec_i.h:
        * examples/DevGuideExamples/Messenger/Runnable_exec_i.cpp:
        * examples/Display/Display_Base/Display_Base.mpc:
        * examples/Display/GPS/GPS.mpc:
        * examples/Display/GPS/GPS_exec.h:
        * examples/Display/NavDisplay/NavDisplay.mpc:
        * examples/Display/NavDisplay/NavDisplay_exec.h:
        * examples/Display/NavDisplayGUI_exec/NavDisplayGUI.mpc:
        * examples/Display/RateGen/RateGen.mpc:
        * examples/Display/RateGen/RateGen_exec.h:
        * examples/Hello/Hello_Base/Hello_Base.mpc:
        * examples/Hello/Receiver/Receiver.mpc:
        * examples/Hello/Receiver/Receiver_exec.h:
        * examples/Hello/Receiver/Receiver_exec.cpp:
        * examples/Hello/Sender/Sender.idl:
        * examples/Hello/Sender/Sender.mpc:
        * examples/Hello/Sender/Sender_exec.h:
        * examples/Hello/Sender/Sender_exec.cpp:
        * examples/Hello/descriptors/Aliased_Map.dat:
        * examples/Hello/descriptors/DeploymentPlan_without_ns.cdp:
        * examples/Hello/descriptors/run_NodeDaemons.pl:
        * examples/Hello/descriptors/run_test.pl:
        * examples/Hello/descriptors/run_test_alias.pl:
        * examples/Hello/descriptors/run_test_without_ns.pl:
        * examples/Hello/step-by-step.html:
        * examples/Null_Component/Null_Component.mpc:
        * examples/Null_Component/Null_Component_exec.h:
        * examples/Null_Component/Null_Component_exec.cpp:
        * examples/Null_Component/Null_Interface.mpc:
        * examples/Null_Component/descriptors/run_test.pl:
        * examples/Swapping/Hello_Base/Hello_Base.mpc:
        * examples/Swapping/Receiver/Receiver.mpc:
        * examples/Swapping/Sender/Sender.mpc:
        * performance-tests:
        * performance-tests/Benchmark/Benchmark.mpc:
        * performance-tests/Benchmark/Multi_Threaded/Multi_Threaded.mpc:
        * performance-tests/Benchmark/RoundTrip/RoundTrip.mpc:
        * performance-tests/Benchmark/RoundTripClient/RoundTripClient.mpc:
        * performance-tests/Benchmark/RoundTripServer/RoundTripServer.mpc:
        * performance-tests/Protocols/Controller/Controller.mpc:
        * performance-tests/Protocols/Receiver/Receiver.mpc:
        * performance-tests/Protocols/Receiver/Receiver_exec.h:
        * performance-tests/Protocols/Receiver/Receiver_exec.cpp:
        * performance-tests/Protocols/Sender/Sender.mpc:
        * performance-tests/Protocols/Sender/Sender_exec.h:
        * performance-tests/Protocols/Sender/Sender_exec.cpp:
        * performance-tests/Protocols/common/Protocols.mpc:
        * rules.ciao.GNU:
        * tests:
        * tests/Bug_2130_Regression/SEC_CheckPoint/TSEC_CheckPoint.mpc:
        * tests/Bug_2130_Regression/SEC_CheckPoint/TSEC_CheckPoint_exec.cpp:
        * tests/Bug_2130_Regression/interfaces/ENW.mpc:
        * tests/CIAO_ComponentServer/SimpleComponent/SimpleComponent.mpc:
        * tests/CIAO_ComponentServer/SimpleComponent/SimpleComponent_exec.h:
        * tests/CIAO_ComponentServer/SimpleComponent/SimpleComponent_exec.cpp:
        * tests/CIDL/CodeGen/Basic.idl:
        * tests/CIDL/CodeGen/Basic.mpc:
        * tests/CIDL/CodeGen/CodeGen.mpc:
        * tests/IDL_Test:
        * tests/IDL_Test/Cornucopia:
        * tests/IDL_Test/Cornucopia/Cornucopia.idl:
        * tests/IDL_Test/Cornucopia/Cornucopia.mpc:
        * tests/IDL_Test/Cornucopia/README:
        * tests/IDL_Test/Included_Component:
        * tests/IDL_Test/Included_Component/IC_Bar.idl:
        * tests/IDL_Test/Included_Component/IC_Bar.mpc:
        * tests/IDL_Test/Included_Component/IC_Foo.idl:
        * tests/IDL_Test/Included_Component/IC_Foo.mpc:
        * tests/IDL_Test/Keywords:
        * tests/IDL_Test/Keywords/Keyword_Clash.idl:
        * tests/IDL_Test/Keywords/Keywords.mpc:
        * tests/IDL_Test/Lem_Specific_Export:
        * tests/IDL_Test/Lem_Specific_Export/Lem_Export.idl:
        * tests/IDL_Test/Lem_Specific_Export/Lem_Export.mpc:
        * tests/IDL_Test/Lem_Specific_Export/Lem_Export_exec.h:
        * tests/IDL_Test/Lem_Specific_Export/Lem_Export_exec.cpp:
        * tests/IDL_Test/Reused_Facet_Interface:
        * tests/IDL_Test/Reused_Facet_Interface/Basic.idl:
        * tests/IDL_Test/Reused_Facet_Interface/Basic.mpc:
        * tests/IDL_Test/Reused_Facet_Interface/CodeGen.idl:
        * tests/IDL_Test/Reused_Facet_Interface/README:
        * tests/IDL_Test/Reused_Facet_Interface/Reused_Facet_Interface.mpc:
        * tests/Minimum/Minimum_Base/Minimum_Base.mpc:
        * tests/Minimum/Receiver/Receiver.mpc:
        * tests/Minimum/Receiver/Receiver_exec.h:
        * tests/Minimum/Receiver/Receiver_exec.cpp:
        * tests/Minimum/Sender/Sender.mpc:
        * tests/Minimum/Sender/Sender_exec.h:
        * tests/Minimum/Sender/Sender_exec.cpp:
        * tools:
        * tools/Config_Handlers/Basic_Deployment_Data.cpp:
        * tools/Config_Handlers/Basic_Deployment_Data.hpp:
        * tools/Config_Handlers/CPD_Handler.cpp:
        * tools/Config_Handlers/Config_Handlers.mpc:
        * tools/Config_Handlers/DP_Handler.cpp:
        * tools/Config_Handlers/DataType_Handler.cpp:
        * tools/Config_Handlers/Deployment.cpp:
        * tools/Config_Handlers/DnC_Dump.h:
        * tools/Config_Handlers/Dump_Obj.h:
        * tools/Config_Handlers/Dump_Obj.cpp:
        * tools/Config_Handlers/DynAny_Handler/DynAny_Handler.cpp:
        * tools/Config_Handlers/DynAny_Handler/DynSequence_Handler.cpp:
        * tools/Config_Handlers/PL_Handler.h:
        * tools/Config_Handlers/PL_Handler.cpp:
        * tools/Config_Handlers/Package_Handlers/CAD_Handler.cpp:
        * tools/Config_Handlers/Package_Handlers/Comp_Intf_Descr_Handler.h:
        * tools/Config_Handlers/Package_Handlers/PCD_Handler.cpp:
        * tools/Config_Handlers/Package_Handlers/Package_Handlers.mpc:
        * tools/Config_Handlers/Req_Handler.cpp:
        * tools/Config_Handlers/XMI.cpp:
        * tools/Config_Handlers/XML_File_Intf.cpp:
        * tools/Config_Handlers/ccd.cpp:
        * tools/Config_Handlers/cdd.cpp:
        * tools/Config_Handlers/cdp.cpp:
        * tools/Config_Handlers/cdp.hpp:
        * tools/Config_Handlers/cid.hpp:
        * tools/Config_Handlers/cid.cpp:
        * tools/Config_Handlers/cpd.hpp:
        * tools/Config_Handlers/cpd.cpp:
        * tools/Config_Handlers/iad.cpp:
        * tools/Config_Handlers/pcd.cpp:
        * tools/Config_Handlers/toplevel.hpp:
        * tools/Config_Handlers/toplevel.cpp:
        * tools/XML/XML_Helper.tpp:
        * CCF:
        * CCF/Bootstrap.rules:
        * CCF/CCF:
        * CCF/CCF/CIDL:
        * CCF/CCF/CIDL/CIDL.mpc:
        * CCF/CCF/CIDL/LexicalAnalyzer.cpp:
        * CCF/CCF/CIDL/LexicalAnalyzer.hpp:
        * CCF/CCF/CIDL/Parser.cpp:
        * CCF/CCF/CIDL/Parser.hpp:
        * CCF/CCF/CIDL/SemanticAction:
        * CCF/CCF/CIDL/SemanticAction.hpp:
        * CCF/CCF/CIDL/SemanticAction/Composition.hpp:
        * CCF/CCF/CIDL/SemanticAction/Composition.cpp:
        * CCF/CCF/CIDL/SemanticAction/Elements.hpp:
        * CCF/CCF/CIDL/SemanticAction/Factory.hpp:
        * CCF/CCF/CIDL/SemanticAction/HomeExecutor.hpp:
        * CCF/CCF/CIDL/SemanticAction/Impl:
        * CCF/CCF/CIDL/SemanticAction/Impl/Composition.hpp:
        * CCF/CCF/CIDL/SemanticAction/Impl/Composition.cpp:
        * CCF/CCF/CIDL/SemanticAction/Impl/Elements.hpp:
        * CCF/CCF/CIDL/SemanticAction/Impl/Factory.cpp:
        * CCF/CCF/CIDL/SemanticAction/Impl/Factory.hpp:
        * CCF/CCF/CIDL/SemanticAction/Impl/HomeExecutor.hpp:
        * CCF/CCF/CIDL/SemanticAction/Impl/HomeExecutor.cpp:
        * CCF/CCF/CIDL/SemanticGraph:
        * CCF/CCF/CIDL/SemanticGraph.hpp:
        * CCF/CCF/CIDL/SemanticGraph/Composition.hpp:
        * CCF/CCF/CIDL/SemanticGraph/Composition.cpp:
        * CCF/CCF/CIDL/SemanticGraph/Elements.hpp:
        * CCF/CCF/CIDL/SemanticGraph/Elements.cpp:
        * CCF/CCF/CIDL/SemanticGraph/Executor.hpp:
        * CCF/CCF/CIDL/SemanticGraph/Executor.cpp:
        * CCF/CCF/CIDL/Token.hpp:
        * CCF/CCF/CIDL/Traversal:
        * CCF/CCF/CIDL/Traversal.hpp:
        * CCF/CCF/CIDL/Traversal/Composition.hpp:
        * CCF/CCF/CIDL/Traversal/Composition.tpp:
        * CCF/CCF/CIDL/Traversal/Elements.hpp:
        * CCF/CCF/CIDL/Traversal/Executor.hpp:
        * CCF/CCF/CIDL/Traversal/Executor.cpp:
        * CCF/CCF/CodeGenerationKit:
        * CCF/CCF/CodeGenerationKit/CodeGenerationKit.mpc:
        * CCF/CCF/CodeGenerationKit/CommandLine.hpp:
        * CCF/CCF/CodeGenerationKit/CommandLine.cpp:
        * CCF/CCF/CodeGenerationKit/CommandLineDescriptor.hpp:
        * CCF/CCF/CodeGenerationKit/CommandLineParser.hpp:
        * CCF/CCF/CodeGenerationKit/CommandLineParser.cpp:
        * CCF/CCF/CodeGenerationKit/IndentationBuffer.hpp:
        * CCF/CCF/CodeGenerationKit/IndentationCxx.hpp:
        * CCF/CCF/CodeGenerationKit/IndentationIDL.hpp:
        * CCF/CCF/CodeGenerationKit/IndentationImplanter.hpp:
        * CCF/CCF/CodeGenerationKit/IndentationJava.hpp:
        * CCF/CCF/CodeGenerationKit/IndentationXML.hpp:
        * CCF/CCF/CodeGenerationKit/Regex.hpp:
        * CCF/CCF/CompilerElements:
        * CCF/CCF/CompilerElements/CompilerElements.mpc:
        * CCF/CCF/CompilerElements/Context.hpp:
        * CCF/CCF/CompilerElements/Diagnostic.hpp:
        * CCF/CCF/CompilerElements/ExH.hpp:
        * CCF/CCF/CompilerElements/FileSystem.hpp:
        * CCF/CCF/CompilerElements/Introspection.hpp:
        * CCF/CCF/CompilerElements/Introspection.cpp:
        * CCF/CCF/CompilerElements/Preprocessor.cpp:
        * CCF/CCF/CompilerElements/Preprocessor.hpp:
        * CCF/CCF/CompilerElements/PreprocessorToken.hpp:
        * CCF/CCF/CompilerElements/PreprocessorToken.cpp:
        * CCF/CCF/CompilerElements/ReferenceCounting.hpp:
        * CCF/CCF/CompilerElements/TokenStream.hpp:
        * CCF/CCF/IDL2:
        * CCF/CCF/IDL2/IDL2.mpc:
        * CCF/CCF/IDL2/LexicalAnalyzer.cpp:
        * CCF/CCF/IDL2/LexicalAnalyzer.hpp:
        * CCF/CCF/IDL2/Parser.cpp:
        * CCF/CCF/IDL2/Parser.hpp:
        * CCF/CCF/IDL2/Parsing:
        * CCF/CCF/IDL2/Parsing/Action.hpp:
        * CCF/CCF/IDL2/Parsing/Elements.hpp:
        * CCF/CCF/IDL2/Parsing/Recovery.hpp:
        * CCF/CCF/IDL2/SemanticAction:
        * CCF/CCF/IDL2/SemanticAction.hpp:
        * CCF/CCF/IDL2/SemanticAction/Attribute.hpp:
        * CCF/CCF/IDL2/SemanticAction/Const.hpp:
        * CCF/CCF/IDL2/SemanticAction/Elements.hpp:
        * CCF/CCF/IDL2/SemanticAction/Enum.hpp:
        * CCF/CCF/IDL2/SemanticAction/Exception.hpp:
        * CCF/CCF/IDL2/SemanticAction/Factory.hpp:
        * CCF/CCF/IDL2/SemanticAction/Impl:
        * CCF/CCF/IDL2/SemanticAction/Impl/Attribute.hpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Attribute.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Const.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Const.hpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Elements.hpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Elements.tpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Elements.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Enum.hpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Enum.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Exception.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Exception.hpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Factory.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Factory.hpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Include.hpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Include.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Interface.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Interface.hpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Member.hpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Member.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Module.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Module.hpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Native.hpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Native.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/NumericExpression.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/NumericExpression.hpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Operation.hpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Operation.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Struct.hpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Struct.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/TypeId.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/TypeId.hpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Typedef.hpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Typedef.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Union.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Union.hpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/ValueType.hpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/ValueType.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/ValueTypeFactory.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/ValueTypeFactory.hpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/ValueTypeMember.hpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/ValueTypeMember.cpp:
        * CCF/CCF/IDL2/SemanticAction/Include.hpp:
        * CCF/CCF/IDL2/SemanticAction/Interface.hpp:
        * CCF/CCF/IDL2/SemanticAction/Member.hpp:
        * CCF/CCF/IDL2/SemanticAction/Module.hpp:
        * CCF/CCF/IDL2/SemanticAction/Native.hpp:
        * CCF/CCF/IDL2/SemanticAction/NumericExpression.hpp:
        * CCF/CCF/IDL2/SemanticAction/Operation.hpp:
        * CCF/CCF/IDL2/SemanticAction/Operation.cpp:
        * CCF/CCF/IDL2/SemanticAction/Struct.hpp:
        * CCF/CCF/IDL2/SemanticAction/TypeId.hpp:
        * CCF/CCF/IDL2/SemanticAction/Typedef.hpp:
        * CCF/CCF/IDL2/SemanticAction/Union.hpp:
        * CCF/CCF/IDL2/SemanticAction/ValueType.hpp:
        * CCF/CCF/IDL2/SemanticAction/ValueTypeFactory.hpp:
        * CCF/CCF/IDL2/SemanticAction/ValueTypeMember.hpp:
        * CCF/CCF/IDL2/SemanticGraph:
        * CCF/CCF/IDL2/SemanticGraph.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Array.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Array.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Attribute.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Attribute.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Elements.tpp:
        * CCF/CCF/IDL2/SemanticGraph/Elements.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Elements.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Enum.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Enum.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Exception.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Exception.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Fundamental.cpp.m4:
        * CCF/CCF/IDL2/SemanticGraph/Fundamental.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Fundamental.hpp.m4:
        * CCF/CCF/IDL2/SemanticGraph/Fundamental.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Fundamental.m4:
        * CCF/CCF/IDL2/SemanticGraph/Graph.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Graph.tpp:
        * CCF/CCF/IDL2/SemanticGraph/IntExpression.hpp:
        * CCF/CCF/IDL2/SemanticGraph/IntExpression.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Interface.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Interface.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Literals.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Literals.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Member.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Member.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Module.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Module.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Name.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Name.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Native.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Native.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Operation.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Operation.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Sequence.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Sequence.hpp:
        * CCF/CCF/IDL2/SemanticGraph/String.cpp:
        * CCF/CCF/IDL2/SemanticGraph/String.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Struct.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Struct.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Translation.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Translation.ipp:
        * CCF/CCF/IDL2/SemanticGraph/Translation.cpp:
        * CCF/CCF/IDL2/SemanticGraph/TypeId.hpp:
        * CCF/CCF/IDL2/SemanticGraph/TypeId.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Union.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Union.cpp:
        * CCF/CCF/IDL2/SemanticGraph/ValueType.hpp:
        * CCF/CCF/IDL2/SemanticGraph/ValueType.cpp:
        * CCF/CCF/IDL2/SemanticGraph/ValueTypeMember.hpp:
        * CCF/CCF/IDL2/SemanticGraph/ValueTypeMember.cpp:
        * CCF/CCF/IDL2/Token.cpp:
        * CCF/CCF/IDL2/Token.hpp:
        * CCF/CCF/IDL2/Traversal:
        * CCF/CCF/IDL2/Traversal.hpp:
        * CCF/CCF/IDL2/Traversal/Array.hpp:
        * CCF/CCF/IDL2/Traversal/Array.cpp:
        * CCF/CCF/IDL2/Traversal/Attribute.hpp:
        * CCF/CCF/IDL2/Traversal/Attribute.cpp:
        * CCF/CCF/IDL2/Traversal/Elements.hpp:
        * CCF/CCF/IDL2/Traversal/Elements.tpp:
        * CCF/CCF/IDL2/Traversal/Elements.cpp:
        * CCF/CCF/IDL2/Traversal/Enum.hpp:
        * CCF/CCF/IDL2/Traversal/Enum.cpp:
        * CCF/CCF/IDL2/Traversal/Exception.cpp:
        * CCF/CCF/IDL2/Traversal/Exception.hpp:
        * CCF/CCF/IDL2/Traversal/Fundamental.hpp:
        * CCF/CCF/IDL2/Traversal/Fundamental.cpp:
        * CCF/CCF/IDL2/Traversal/IntExpression.hpp:
        * CCF/CCF/IDL2/Traversal/Interface.hpp:
        * CCF/CCF/IDL2/Traversal/Interface.tpp:
        * CCF/CCF/IDL2/Traversal/Interface.cpp:
        * CCF/CCF/IDL2/Traversal/Member.cpp:
        * CCF/CCF/IDL2/Traversal/Member.hpp:
        * CCF/CCF/IDL2/Traversal/Module.cpp:
        * CCF/CCF/IDL2/Traversal/Module.hpp:
        * CCF/CCF/IDL2/Traversal/Native.cpp:
        * CCF/CCF/IDL2/Traversal/Native.hpp:
        * CCF/CCF/IDL2/Traversal/Operation.hpp:
        * CCF/CCF/IDL2/Traversal/Operation.tpp:
        * CCF/CCF/IDL2/Traversal/Operation.cpp:
        * CCF/CCF/IDL2/Traversal/Sequence.hpp:
        * CCF/CCF/IDL2/Traversal/Sequence.cpp:
        * CCF/CCF/IDL2/Traversal/String.cpp:
        * CCF/CCF/IDL2/Traversal/String.hpp:
        * CCF/CCF/IDL2/Traversal/Struct.cpp:
        * CCF/CCF/IDL2/Traversal/Struct.hpp:
        * CCF/CCF/IDL2/Traversal/Translation.hpp:
        * CCF/CCF/IDL2/Traversal/Translation.cpp:
        * CCF/CCF/IDL2/Traversal/TypeId.hpp:
        * CCF/CCF/IDL2/Traversal/TypeId.cpp:
        * CCF/CCF/IDL2/Traversal/Union.hpp:
        * CCF/CCF/IDL2/Traversal/Union.cpp:
        * CCF/CCF/IDL2/Traversal/ValueType.hpp:
        * CCF/CCF/IDL2/Traversal/ValueType.cpp:
        * CCF/CCF/IDL2/Traversal/ValueType.tpp:
        * CCF/CCF/IDL2/Traversal/ValueTypeMember.hpp:
        * CCF/CCF/IDL2/Traversal/ValueTypeMember.tpp:
        * CCF/CCF/IDL3:
        * CCF/CCF/IDL3/IDL3.mpc:
        * CCF/CCF/IDL3/LexicalAnalyzer.hpp:
        * CCF/CCF/IDL3/LexicalAnalyzer.cpp:
        * CCF/CCF/IDL3/Parser.cpp:
        * CCF/CCF/IDL3/Parser.hpp:
        * CCF/CCF/IDL3/SemanticAction:
        * CCF/CCF/IDL3/SemanticAction.hpp:
        * CCF/CCF/IDL3/SemanticAction/Component.hpp:
        * CCF/CCF/IDL3/SemanticAction/Consumes.hpp:
        * CCF/CCF/IDL3/SemanticAction/Elements.hpp:
        * CCF/CCF/IDL3/SemanticAction/Emits.hpp:
        * CCF/CCF/IDL3/SemanticAction/EventType.hpp:
        * CCF/CCF/IDL3/SemanticAction/EventTypeFactory.hpp:
        * CCF/CCF/IDL3/SemanticAction/Factory.hpp:
        * CCF/CCF/IDL3/SemanticAction/Home.hpp:
        * CCF/CCF/IDL3/SemanticAction/HomeFactory.hpp:
        * CCF/CCF/IDL3/SemanticAction/HomeFinder.hpp:
        * CCF/CCF/IDL3/SemanticAction/Impl:
        * CCF/CCF/IDL3/SemanticAction/Impl/Component.hpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/Component.cpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/Consumes.cpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/Consumes.hpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/Elements.hpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/Emits.cpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/Emits.hpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/EventType.hpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/EventType.cpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/EventTypeFactory.hpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/EventTypeFactory.cpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/Factory.cpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/Factory.hpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/Home.cpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/Home.hpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/HomeFactory.hpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/HomeFactory.cpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/HomeFinder.hpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/HomeFinder.cpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/Include.cpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/Include.hpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/Provides.cpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/Provides.hpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/Publishes.hpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/Publishes.cpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/Uses.hpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/Uses.cpp:
        * CCF/CCF/IDL3/SemanticAction/Provides.hpp:
        * CCF/CCF/IDL3/SemanticAction/Publishes.hpp:
        * CCF/CCF/IDL3/SemanticAction/Uses.hpp:
        * CCF/CCF/IDL3/SemanticGraph:
        * CCF/CCF/IDL3/SemanticGraph.hpp:
        * CCF/CCF/IDL3/SemanticGraph/Component.hpp:
        * CCF/CCF/IDL3/SemanticGraph/Component.cpp:
        * CCF/CCF/IDL3/SemanticGraph/Elements.hpp:
        * CCF/CCF/IDL3/SemanticGraph/Elements.cpp:
        * CCF/CCF/IDL3/SemanticGraph/EventType.hpp:
        * CCF/CCF/IDL3/SemanticGraph/EventType.cpp:
        * CCF/CCF/IDL3/SemanticGraph/Home.cpp:
        * CCF/CCF/IDL3/SemanticGraph/Home.hpp:
        * CCF/CCF/IDL3/Token.hpp:
        * CCF/CCF/IDL3/Traversal:
        * CCF/CCF/IDL3/Traversal.hpp:
        * CCF/CCF/IDL3/Traversal/Component.hpp:
        * CCF/CCF/IDL3/Traversal/Component.tpp:
        * CCF/CCF/IDL3/Traversal/Component.cpp:
        * CCF/CCF/IDL3/Traversal/Elements.hpp:
        * CCF/CCF/IDL3/Traversal/EventType.hpp:
        * CCF/CCF/IDL3/Traversal/EventType.tpp:
        * CCF/CCF/IDL3/Traversal/Home.hpp:
        * CCF/CCF/IDL3/Traversal/Home.cpp:
        * CCF/Config.rules:
        * CCF/Documentation:
        * CCF/Documentation/Build.html:
        * CCF/Documentation/DesignNotes:
        * CCF/Documentation/TODO:
        * CCF/Example:
        * CCF/Example/CIDL:
        * CCF/Example/CIDL/LocalExecutorMapping:
        * CCF/Example/CIDL/LocalExecutorMapping/ExecutorMappingGenerator.hpp:
        * CCF/Example/CIDL/LocalExecutorMapping/ExecutorMappingGenerator.cpp:
        * CCF/Example/CIDL/LocalExecutorMapping/cidlc.cpp:
        * CCF/Example/CIDL/LocalExecutorMapping/test-0.idl:
        * CCF/Example/CIDL/LocalExecutorMapping/test-0_exec.idl.orig:
        * CCF/Example/CIDL/LocalExecutorMapping/test-1.idl:
        * CCF/Example/CIDL/LocalExecutorMapping/test-1_exec.idl.orig:
        * CCF/Example/CIDL/LocalExecutorMapping/test-2.cidl:
        * CCF/Example/CIDL/LocalExecutorMapping/test-2.idl:
        * CCF/Example/CIDL/LocalExecutorMapping/test-2_exec.idl.orig:
        * CCF/Example/CodeGenerationKit:
        * CCF/Example/CodeGenerationKit/Indentation:
        * CCF/Example/CodeGenerationKit/Indentation/IDL:
        * CCF/Example/CodeGenerationKit/Indentation/IDL/indent_idl.cpp:
        * CCF/Example/CodeGenerationKit/Indentation/XML:
        * CCF/Example/CodeGenerationKit/Indentation/XML/indent_xml.cpp:
        * CCF/Example/ComponentDeploymentDescriptor:
        * CCF/Example/ComponentDeploymentDescriptor/SyntaxTree.hpp:
        * CCF/Example/ComponentDeploymentDescriptor/SyntaxTree.cpp:
        * CCF/Example/ComponentDeploymentDescriptor/Traversal.hpp:
        * CCF/Example/ComponentDeploymentDescriptor/Traversal.cpp:
        * CCF/Example/ComponentDeploymentDescriptor/cdd.cpp:
        * CCF/Example/IDL2:
        * CCF/Example/IDL2/CxxMapping:
        * CCF/Example/IDL2/CxxMapping/Generator.cpp:
        * CCF/Example/IDL2/CxxMapping/Generator.hpp:
        * CCF/Example/IDL2/CxxMapping/GeneratorImpl.hpp:
        * CCF/Example/IDL2/CxxMapping/driver.cpp:
        * CCF/Example/IDL2/CxxMapping/test.idl:
        * CCF/Test:
        * CCF/Test/CIDL:
        * CCF/Test/CIDL/Compiler:
        * CCF/Test/CIDL/Compiler/Generator.cpp:
        * CCF/Test/CIDL/Compiler/Generator.hpp:
        * CCF/Test/CIDL/Compiler/GeneratorImpl.hpp:
        * CCF/Test/CIDL/Compiler/driver.cpp:
        * CCF/Test/CIDL/Compiler/result.cidl.orig:
        * CCF/Test/CIDL/Compiler/test.cidl:
        * CCF/Test/CompilerElements:
        * CCF/Test/CompilerElements/CPP:
        * CCF/Test/CompilerElements/CPP/driver.cpp:
        * CCF/Test/IDL2:
        * CCF/Test/IDL2/Compiler:
        * CCF/Test/IDL2/Compiler/driver.cpp:
        * CCF/Test/IDL2/Compiler/result.idl.orig:
        * CCF/Test/IDL2/Compiler/test.idl:
        * CCF/Test/IDL2/LexicalAnalyzer:
        * CCF/Test/IDL2/LexicalAnalyzer/Coverage.idl:
        * CCF/Test/IDL2/Parser:
        * CCF/Test/IDL2/Parser/Recovery:
        * CCF/Test/IDL2/Parser/Recovery/interface.idl:
        * CCF/Test/IDL2/Parser/Recovery/module.idl:
        * CCF/Test/IDL2/SemanticGraph:
        * CCF/Test/IDL2/SemanticGraph/HandBuilt:
        * CCF/Test/IDL2/SemanticGraph/HandBuilt/Builder.cpp:
        * CCF/Test/IDL2/SemanticGraph/HandBuilt/Builder.hpp:
        * CCF/Test/IDL2/SemanticGraph/HandBuilt/hand_built.cpp:
        * CCF/Test/IDL2/Traversal:
        * CCF/Test/IDL2/Traversal/Recreate:
        * CCF/Test/IDL2/Traversal/Recreate/Generator.cpp:
        * CCF/Test/IDL2/Traversal/Recreate/Generator.hpp:
        * CCF/Test/IDL2/Traversal/Recreate/GeneratorImpl.hpp:
        * CCF/Test/IDL2/Traversal/Recreate/recreate.cpp:
        * CCF/Test/IDL3:
        * CCF/Test/IDL3/Compiler:
        * CCF/Test/IDL3/Compiler/Generator.hpp:
        * CCF/Test/IDL3/Compiler/Generator.cpp:
        * CCF/Test/IDL3/Compiler/GeneratorImpl.hpp:
        * CCF/Test/IDL3/Compiler/driver.cpp:
        * CCF/Test/IDL3/Compiler/result.idl.orig:
        * CCF/Test/IDL3/Compiler/test.idl:
        * CCF/Version:
        * CIDLC:
        * CIDLC/AttributeHeaderEmitters.hpp:
        * CIDLC/AttributeHeaderEmitters.cpp:
        * CIDLC/AttributeSourceEmitters_T.hpp:
        * CIDLC/CIDLC.mpc:
        * CIDLC/CIDLC.mwc:
        * CIDLC/Collectors.hpp:
        * CIDLC/CompositionEmitter.cpp:
        * CIDLC/CompositionEmitter.hpp:
        * CIDLC/CorbaTypeNameEmitters.cpp:
        * CIDLC/CorbaTypeNameEmitters.hpp:
        * CIDLC/CxxNamePrinter.hpp:
        * CIDLC/CxxNamePrinter.cpp:
        * CIDLC/DescriptorGenerator.cpp:
        * CIDLC/DescriptorGenerator.hpp:
        * CIDLC/EmitterBase.cpp:
        * CIDLC/EmitterBase.hpp:
        * CIDLC/EmitterContext.hpp:
        * CIDLC/EmitterContext.cpp:
        * CIDLC/ExecImplGenerator.hpp:
        * CIDLC/ExecImplGenerator.cpp:
        * CIDLC/ExecImplHeaderGenerator.hpp:
        * CIDLC/ExecImplHeaderGenerator.cpp:
        * CIDLC/ExecImplSourceGenerator.cpp:
        * CIDLC/ExecImplSourceGenerator.hpp:
        * CIDLC/ExecutorMappingGenerator.hpp:
        * CIDLC/ExecutorMappingGenerator.cpp:
        * CIDLC/InterfaceEmitter.cpp:
        * CIDLC/InterfaceEmitter.hpp:
        * CIDLC/Literals.hpp:
        * CIDLC/Literals.cpp:
        * CIDLC/ModuleEmitter.hpp:
        * CIDLC/ModuleEmitter.cpp:
        * CIDLC/OperationHeaderEmitters.cpp:
        * CIDLC/OperationHeaderEmitters.hpp:
        * CIDLC/ParameterEmitter_T.hpp:
        * CIDLC/README.html:
        * CIDLC/RepositoryIdGenerator.hpp:
        * CIDLC/RepositoryIdGenerator.cpp:
        * CIDLC/ServantGenerator.cpp:
        * CIDLC/ServantGenerator.hpp:
        * CIDLC/ServantHeaderGenerator.hpp:
        * CIDLC/ServantHeaderGenerator.cpp:
        * CIDLC/ServantSourceGenerator.cpp:
        * CIDLC/ServantSourceGenerator.hpp:
        * CIDLC/SizeTypeCalculator.hpp:
        * CIDLC/SizeTypeCalculator.cpp:
        * CIDLC/UnescapedNamePrinter.hpp:
        * CIDLC/Upcase.hpp:
        * CIDLC/UtilityTypeNameEmitters.cpp:
        * CIDLC/UtilityTypeNameEmitters.hpp:
        * CIDLC/Version:
        * CIDLC/cidlc.cpp:
        * DAnCE/Deployment/Deployment_Core.idl:
        * DAnCE/Interfaces:
        * DAnCE/Interfaces/ExecutionManagerDaemon.idl:
        * DAnCE/Interfaces/ExecutionManager_stub_export.h:
        * DAnCE/Interfaces/Interfaces.mpc:
        * DAnCE/Interfaces/NodeManagerDaemon.idl:
        * DAnCE/Interfaces/NodeManager_stub_export.h:
        * DAnCE/Interfaces/NodeManager_svnt_export.h:
        * DAnCE/Interfaces/README:
        * DAnCE/RepositoryManager/Options.h:
        * DAnCE/RepositoryManager/Options.cpp:
        * DAnCE/RepositoryManager/RMadmin.cpp:
        * DAnCE/TargetManager/TargetManager.cidl:
        * DAnCE/TargetManager/TargetManagerImpl.idl:
        * DAnCE/TargetManager/TargetManager_exec_export.h:
        * DAnCE/TargetManager/TargetManager_stub_export.h:
        * DAnCE/TargetManager/TargetManager_svnt_export.h:
        * DAnCE/TargetManager/descriptors:
        * DAnCE/TargetManager/descriptors/Domain.cdd:
        * DAnCE/TargetManager/descriptors/NodeDetails.dat:
        * DAnCE/TargetManager/descriptors/NodeManagerMap.dat:
        * DAnCE/TargetManager/descriptors/flattened_deploymentplan.cdp:
        * DAnCE/TargetManager/descriptors/run_test_TargetManager.pl:
        * DAnCE/tests/CIAO/Components/SimpleAttribute.cidl:
        * DAnCE/tests/CIAO/Components/SimpleAttribute_exec_export.h:
        * DAnCE/tests/CIAO/Components/SimpleAttribute_stub_export.h:
        * DAnCE/tests/CIAO/Components/SimpleAttribute_svnt_export.h:
        * DAnCE/tests/CIAO/Components/SimpleCommon_stub_export.h:
        * DAnCE/tests/CIAO/Components/SimpleCommon_svnt_export.h:
        * DAnCE/tests/CIAO/Components/SimpleConsumer.cidl:
        * DAnCE/tests/CIAO/Components/SimpleConsumer_exec_export.h:
        * DAnCE/tests/CIAO/Components/SimpleConsumer_stub_export.h:
        * DAnCE/tests/CIAO/Components/SimpleConsumer_svnt_export.h:
        * DAnCE/tests/CIAO/Components/SimpleEmitter.cidl:
        * DAnCE/tests/CIAO/Components/SimpleEmitter_exec_export.h:
        * DAnCE/tests/CIAO/Components/SimpleEmitter_stub_export.h:
        * DAnCE/tests/CIAO/Components/SimpleEmitter_svnt_export.h:
        * DAnCE/tests/CIAO/Components/SimpleMultipleUser.cidl:
        * DAnCE/tests/CIAO/Components/SimpleMultipleUser_exec_export.h:
        * DAnCE/tests/CIAO/Components/SimpleMultipleUser_stub_export.h:
        * DAnCE/tests/CIAO/Components/SimpleMultipleUser_svnt_export.h:
        * DAnCE/tests/CIAO/Components/SimpleNull.cidl:
        * DAnCE/tests/CIAO/Components/SimpleNull_exec_export.h:
        * DAnCE/tests/CIAO/Components/SimpleNull_stub_export.h:
        * DAnCE/tests/CIAO/Components/SimpleNull_svnt_export.h:
        * DAnCE/tests/CIAO/Components/SimpleProvider.cidl:
        * DAnCE/tests/CIAO/Components/SimpleProvider_exec_export.h:
        * DAnCE/tests/CIAO/Components/SimpleProvider_stub_export.h:
        * DAnCE/tests/CIAO/Components/SimpleProvider_svnt_export.h:
        * DAnCE/tests/CIAO/Components/SimplePublisher.cidl:
        * DAnCE/tests/CIAO/Components/SimplePublisher_exec_export.h:
        * DAnCE/tests/CIAO/Components/SimplePublisher_stub_export.h:
        * DAnCE/tests/CIAO/Components/SimplePublisher_svnt_export.h:
        * DAnCE/tests/CIAO/Components/SimpleUser.cidl:
        * DAnCE/tests/CIAO/Components/SimpleUser_exec_export.h:
        * DAnCE/tests/CIAO/Components/SimpleUser_stub_export.h:
        * DAnCE/tests/CIAO/Components/SimpleUser_svnt_export.h:
        * MPC/config/ciao_executionmanager_stub.mpb:
        * MPC/config/ciao_nodeapplication.mpb:
        * MPC/config/ciao_nodeapplicationmanager.mpb:
        * MPC/config/ciao_nodemanager_stub.mpb:
        * MPC/config/ciao_nodemanager_svnt.mpb:
        * MPC/config/ciao_plan_generator.mpb:
        * MPC/config/ciao_targetmanager_stub.mpb:
        * MPC/config/ciao_targetmanager_svnt.mpb:
        * MPC/config/ciaocidldefaults.mpb:
        * MPC/config/cidlc.mpb:
        * MPC/config/dance.mpb:
        * MPC/config/dance_cdmw_idl.mpb:
        * MPC/config/dance_component_server.mpb:
        * MPC/config/dance_component_server_svnt.mpb:
        * MPC/config/dance_deployment_stub.mpb:
        * MPC/config/dance_deployment_svnt.mpb:
        * MPC/config/dance_domain_application.mpb:
        * MPC/config/dance_domain_application_manager.mpb:
        * MPC/config/dance_exe.mpb:
        * MPC/config/dance_executionmanager_stub.mpb:
        * MPC/config/dance_extension_stub.mpb:
        * MPC/config/dance_lib.mpb:
        * MPC/config/dance_logger.mpb:
        * MPC/config/dance_mocks.mpb:
        * MPC/config/dance_node_application.mpb:
        * MPC/config/dance_node_application_manager.mpb:
        * MPC/config/dance_node_manager.mpb:
        * MPC/config/dance_nodemanager_stub.mpb:
        * MPC/config/dance_nodemanager_svnt.mpb:
        * MPC/config/dance_plan_generator.mpc:
        * MPC/config/dance_redirection_service.mpb:
        * MPC/config/dance_repository_manager.mpb:
        * MPC/config/dance_repository_manager_base.mpb:
        * MPC/config/dance_utils.mpb:
        * bin/msvc_cidlc.pl:
        * bin/replace_dummy_with_dummylabel.sh:
        * docs/cidlc.html:
        * docs/tutorials/Quoter/Simple/Broker/StockBroker.cidl:
        * docs/tutorials/Quoter/Simple/Broker/StockBroker_exec_export.h:
        * docs/tutorials/Quoter/Simple/Broker/StockBroker_stub_export.h:
        * docs/tutorials/Quoter/Simple/Broker/StockBroker_svnt_export.h:
        * docs/tutorials/Quoter/Simple/Distributor/StockDistributor.cidl:
        * docs/tutorials/Quoter/Simple/Distributor/StockDistributor_exec_export.h:
        * docs/tutorials/Quoter/Simple/Distributor/StockDistributor_stub_export.h:
        * docs/tutorials/Quoter/Simple/Distributor/StockDistributor_svnt_export.h:
        * docs/tutorials/Quoter/Simple/Stock_Base/Stock_Base_skel_export.h:
        * docs/tutorials/Quoter/Simple/Stock_Base/Stock_Base_stub_export.h:
        * examples/BasicSP/BMClosedED/BMClosedED.cidl:
        * examples/BasicSP/BMClosedED/BMClosedED_exec_export.h:
        * examples/BasicSP/BMClosedED/BMClosedED_stub_export.h:
        * examples/BasicSP/BMClosedED/BMClosedED_svnt_export.h:
        * examples/BasicSP/BMDevice/BMDevice.cidl:
        * examples/BasicSP/BMDevice/BMDevice_exec_export.h:
        * examples/BasicSP/BMDevice/BMDevice_stub_export.h:
        * examples/BasicSP/BMDevice/BMDevice_svnt_export.h:
        * examples/BasicSP/BMDisplay/BMDisplay.cidl:
        * examples/BasicSP/BMDisplay/BMDisplay_exec_export.h:
        * examples/BasicSP/BMDisplay/BMDisplay_stub_export.h:
        * examples/BasicSP/BMDisplay/BMDisplay_svnt_export.h:
        * examples/BasicSP/BasicSP_exec_export.h:
        * examples/BasicSP/BasicSP_stub_export.h:
        * examples/BasicSP/BasicSP_svnt_export.h:
        * examples/BasicSP/EC/EC.cidl:
        * examples/BasicSP/EC/EC_exec_export.h:
        * examples/BasicSP/EC/EC_stub_export.h:
        * examples/BasicSP/EC/EC_svnt_export.h:
        * examples/DevGuideExamples/Messenger/Administrator.cidl:
        * examples/DevGuideExamples/Messenger/Administrator_exec_export.h:
        * examples/DevGuideExamples/Messenger/Administrator_stub_export.h:
        * examples/DevGuideExamples/Messenger/Administrator_svnt_export.h:
        * examples/DevGuideExamples/Messenger/Messenger.cidl:
        * examples/DevGuideExamples/Messenger/Messenger_exec_export.h:
        * examples/DevGuideExamples/Messenger/Messenger_stub_export.h:
        * examples/DevGuideExamples/Messenger/Messenger_svnt_export.h:
        * examples/DevGuideExamples/Messenger/Receiver.cidl:
        * examples/DevGuideExamples/Messenger/Receiver_exec_export.h:
        * examples/DevGuideExamples/Messenger/Receiver_stub_export.h:
        * examples/DevGuideExamples/Messenger/Receiver_svnt_export.h:
        * examples/Display/Display_Base/Display_Base_skel_export.h:
        * examples/Display/Display_Base/Display_Base_stub_export.h:
        * examples/Display/GPS/GPS.cidl:
        * examples/Display/GPS/GPS_exec_export.h:
        * examples/Display/GPS/GPS_stub_export.h:
        * examples/Display/GPS/GPS_svnt_export.h:
        * examples/Display/NavDisplay/NavDisplay.cidl:
        * examples/Display/NavDisplay/NavDisplay_exec_export.h:
        * examples/Display/NavDisplay/NavDisplay_stub_export.h:
        * examples/Display/NavDisplay/NavDisplay_svnt_export.h:
        * examples/Display/RateGen/RateGen.cidl:
        * examples/Display/RateGen/RateGen_exec_export.h:
        * examples/Display/RateGen/RateGen_stub_export.h:
        * examples/Display/RateGen/RateGen_svnt_export.h:
        * examples/Hello/Receiver/Receiver.cidl:
        * examples/Hello/Receiver/Receiver_exec_export.h:
        * examples/Hello/Receiver/Receiver_stub_export.h:
        * examples/Hello/Receiver/Receiver_svnt_export.h:
        * examples/Hello/Sender/Sender.cidl:
        * examples/Hello/Sender/Sender_exec_export.h:
        * examples/Hello/Sender/Sender_stub_export.h:
        * examples/Hello/Sender/Sender_svnt_export.h:
        * examples/Null_Component/Null_Component.cidl:
        * examples/Null_Component/Null_Component_exec_export.h:
        * examples/Null_Component/Null_Component_stub_export.h:
        * examples/Null_Component/Null_Component_svnt_export.h:
        * examples/Null_Component/Null_Interface_skel_export.h:
        * examples/Null_Component/Null_Interface_stub_export.h:
        * examples/Swapping/Receiver/Receiver.cidl:
        * examples/Swapping/Receiver/Receiver_exec_export.h:
        * examples/Swapping/Receiver/Receiver_stub_export.h:
        * examples/Swapping/Receiver/Receiver_svnt_export.h:
        * examples/Swapping/Sender/Sender.cidl:
        * examples/Swapping/Sender/Sender_exec_export.h:
        * examples/Swapping/Sender/Sender_stub_export.h:
        * examples/Swapping/Sender/Sender_svnt_export.h:
        * performance-tests/Benchmark/RoundTrip/RoundTrip.cidl:
        * performance-tests/Benchmark/RoundTrip/RoundTrip_exec_export.h:
        * performance-tests/Benchmark/RoundTrip/RoundTrip_stub_export.h:
        * performance-tests/Benchmark/RoundTrip/RoundTrip_svnt_export.h:
        * performance-tests/Benchmark/RoundTripClient/RoundTripClient.cidl:
        * performance-tests/Benchmark/RoundTripClient/RoundTripClient_exec_export.h:
        * performance-tests/Benchmark/RoundTripClient/RoundTripClient_stub_export.h:
        * performance-tests/Benchmark/RoundTripClient/RoundTripClient_svnt_export.h:
        * performance-tests/Protocols/Receiver/Receiver.cidl:
        * performance-tests/Protocols/Receiver/Receiver_exec_export.h:
        * performance-tests/Protocols/Receiver/Receiver_stub_export.h:
        * performance-tests/Protocols/Receiver/Receiver_svnt_export.h:
        * performance-tests/Protocols/Sender/Sender.cidl:
        * performance-tests/Protocols/Sender/Sender_exec_export.h:
        * performance-tests/Protocols/Sender/Sender_stub_export.h:
        * performance-tests/Protocols/Sender/Sender_svnt_export.h:
        * tests/Bug_2130_Regression/SEC_CheckPoint/TSEC_CheckPoint.cidl:
        * tests/Bug_2130_Regression/SEC_CheckPoint/TSEC_CheckPoint_exec_export.h:
        * tests/Bug_2130_Regression/SEC_CheckPoint/TSEC_CheckPoint_stub_export.h:
        * tests/Bug_2130_Regression/SEC_CheckPoint/TSEC_CheckPoint_svnt_export.h:
        * tests/CIAO_ComponentServer/SimpleComponent/SimpleComponent.cidl:
        * tests/CIAO_ComponentServer/SimpleComponent/SimpleComponent_exec_export.h:
        * tests/CIAO_ComponentServer/SimpleComponent/SimpleComponent_stub_export.h:
        * tests/CIAO_ComponentServer/SimpleComponent/SimpleComponent_svnt_export.h:
        * tests/CIDL/CodeGen/CodeGen.cidl:
        * tests/CIDL/CodeGen/CodeGen_exec_export.h:
        * tests/CIDL/CodeGen/CodeGen_stub_export.h:
        * tests/CIDL/CodeGen/CodeGen_svnt_export.h:
        * tests/Minimum/Receiver/Receiver.cidl:
        * tests/Minimum/Receiver/Receiver_exec_export.h:
        * tests/Minimum/Receiver/Receiver_stub_export.h:
        * tests/Minimum/Receiver/Receiver_svnt_export.h:
        * tests/Minimum/Sender/Sender.cidl:
        * tests/Minimum/Sender/Sender_exec_export.h:
        * tests/Minimum/Sender/Sender_stub_export.h:
        * tests/Minimum/Sender/Sender_svnt_export.h:

          Merged in dds_ports branch, full changelogs pasted below.

    Fri Jul 10 18:02:14 UTC 2009  Marcel Smit  <msmit@remedy.nl>

            * DAnCE/ExecutionManager/ExecutionManager_Module.cpp:
            * DAnCE/Logger/File_Logger_Backend.cpp:
            * DAnCE/NodeManager/Node_Manager_Module.cpp:
            * DAnCE/Plan_Launcher/Plan_Launcher_Base_Impl.cpp:
            * DAnCE/Plan_Launcher/Plan_Launcher_Impl.cpp:
            * DAnCE/Plan_Launcher/launcher.cpp:
            * DAnCE/RepositoryManager/Repository_Manager_Module.cpp:
            * DAnCE/TargetManager/Target_Manager_Module.cpp:
            * DAnCE/tests/RedirectionServiceTest/clt_main.cpp:
              Got rid of ace/OS.h. Made these includes more specific.

            * DAnCE/Logger/Logger_Service.cpp:
              Used the default way of parsing command line arguments.

    Fri Jul 10 17:23:09 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * DAnCE/MPC/config/dance_targetmanager.mpb:
              Updated base

    Fri Jul 10 07:17:09 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * tools/Config_Handlers/DataType_Handler.cpp
            * tools/Config_Handlers/Dump_Obj.cpp
            * tools/Config_Handlers/Package_Handlers/CAD_Handler.cpp
            * tools/Config_Handlers/Package_Handlers/Comp_Intf_Descr_Handler.h
            * tools/Config_Handlers/Req_Handler.cpp
              Fixed includes because of refactoring of the deployment idl

    Thu Jul  9 18:04:09 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * DAnCE/Deployment/DAnCE_Core.mpc
            * DAnCE/ExecutionManager/ExecutionManager.mpc
            * DAnCE/MPC/config/dance_repository_manager.mpb
            * DAnCE/MPC/config/dance_repository_manager_base.mpb
            * DAnCE/MPC/config/dance_repositorymanager.mpb
            * DAnCE/MPC/config/dance_repositorymanager_skel.mpb
            * DAnCE/MPC/config/dance_repositorymanager_stub.mpb
            * DAnCE/MPC/config/dance_repositorymanagerbase.mpb
            * DAnCE/MPC/config/dance_target_manager.mpb
            * DAnCE/MPC/config/dance_targetmanager.mpb
            * DAnCE/MPC/config/dance_targetmanager_skel.mpb
            * DAnCE/MPC/config/dance_targetmanager_stub.mpb
            * DAnCE/NodeApplication/ComponentAttributesSetter.cpp
            * DAnCE/NodeApplication/ComponentAttributesSetter.h
            * DAnCE/RepositoryManager/RepositoryManager.mpc
            * DAnCE/TargetManager/DAnCE_TargetManagerDaemon.idl
            * DAnCE/TargetManager/TargetManager.mpc
            * DAnCE/TargetManager/TargetManagerDaemon.idl
              Splitted target and repository manager in seperate projects

    Thu Jul  9 13:23:09 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * DAnCE/Deployment/CIAO_ExecutionManager_stub_export.h
            * DAnCE/Deployment/CIAO_ExecutionManagerDaemon.idl
            * DAnCE/Deployment/CIAO_Interfaces.mpc
            * DAnCE/Deployment/CIAO_NodeManager_skel_export.h
            * DAnCE/Deployment/CIAO_NodeManager_stub_export.h
            * DAnCE/Deployment/CIAO_NodeManagerDaemon.idl
            * DAnCE/Deployment/DAnCE_Core.mpc
            * DAnCE/Deployment/Deployment_DomainApplication_skel_export.h
            * DAnCE/Deployment/Deployment_DomainApplication_stub_export.h
            * DAnCE/Deployment/Deployment_DomainApplicationManager.idl
            * DAnCE/Deployment/Deployment_ExecutionManager_skel_export.h
            * DAnCE/Deployment/Deployment_ExecutionManager_stub_export.h
            * DAnCE/Deployment/Deployment_NodeApplicationManager_skel_export.h
            * DAnCE/Deployment/Deployment_NodeApplicationManager_stub_export.h
            * DAnCE/Deployment/Deployment_NodeManager_skel_export.h
            * DAnCE/Deployment/Deployment_NodeManager_stub_export.h
            * DAnCE/DomainApplication/DomainApplication.mpc
            * DAnCE/DomainApplicationManager/DomainApplicationManager.mpc
            * DAnCE/ExecutionManager/ExecutionManager.mpc
            * DAnCE/ExecutionManager/ExecutionManager_Impl.h
            * DAnCE/Interfaces/ExecutionManager_stub_export.h
            * DAnCE/Interfaces/ExecutionManagerDaemon.idl
            * DAnCE/Interfaces/Interfaces.mpc
            * DAnCE/Interfaces/NodeManager_stub_export.h
            * DAnCE/Interfaces/NodeManager_svnt_export.h
            * DAnCE/Interfaces/NodeManagerDaemon.idl
            * DAnCE/Interfaces/README
            * DAnCE/Logger/Logger.mpc
            * DAnCE/MPC
            * DAnCE/MPC/config
            * DAnCE/NodeApplication/NodeApplication.mpc
            * DAnCE/NodeApplicationManager/NodeApplicationManager.mpc
            * DAnCE/NodeManager/NodeManager.mpc
            * DAnCE/Plan_Launcher/Plan_Launcher.mpc
            * DAnCE/Plan_Launcher/Plan_Launcher_Base_Impl.h
            * DAnCE/TargetManager/TargetManager.mpc
            * MPC/config/ciao_executionmanager_skel.mpb
            * MPC/config/ciao_executionmanager_stub.mpb
            * MPC/config/ciao_nodemanager_skel.mpb
            * MPC/config/ciao_nodemanager_stub.mpb
            * MPC/config/ciao_nodemanager_svnt.mpb
            * MPC/config/dance_domain_application.mpb
            * MPC/config/dance_domain_application_manager.mpb
            * MPC/config/dance_domainapplication.mpb
            * MPC/config/dance_domainapplicationmanager.mpb
            * MPC/config/dance_domainapplicationmanager_skel.mpb
            * MPC/config/dance_domainapplicationmanager_stub.mpb
            * MPC/config/dance_executionmanager_stub.mpb
            * MPC/config/dance_extension_stub.mpb
            * MPC/config/dance_node_application.mpb
            * MPC/config/dance_node_application_manager.mpb
            * MPC/config/dance_node_manager.mpb
            * MPC/config/dance_nodeapplication.mpb
            * MPC/config/dance_nodeapplication_skel.mpb
            * MPC/config/dance_nodeapplication_stub.mpb
            * MPC/config/dance_nodeapplicationmanager.mpb
            * MPC/config/dance_nodeapplicationmanager_skel.mpb
            * MPC/config/dance_nodeapplicationmanager_stub.mpb
            * MPC/config/dance_nodemanager.mpb
            * MPC/config/dance_nodemanager_skel.mpb
            * MPC/config/dance_nodemanager_stub.mpb
            * MPC/config/dance_nodemanager_svnt.mpb
              Major splitting up in seperate libraries

    Thu Jul  9 13:00:47 UTC 2009  Marcel Smit  <msmit@remedy.nl>

            * docs/tutorials/Quoter/Simple/03.html:
            * docs/tutorials/Quoter/Simple/04.html:
              Changed to meet the latest version of Dance.

            * docs/tutorials/Quoter/Simple/Broker/StockBrokerDriver.cpp:
            * docs/tutorials/Quoter/Simple/Distributor/StockDistributorDriver.cpp:
              Changed help text to meet the actual value of the IOR files.

            * docs/tutorials/Quoter/Simple/descriptors/Domain.cdd:
            * docs/tutorials/Quoter/Simple/descriptors/Plan.cdp:
              Changed to meet the latest version of dance

    Thu Jul  9 11:02:09 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * DAnCE/Deployment/DAnCE_Core.mpc
            * DAnCE/Deployment/Deployment.idl
            * DAnCE/Deployment/Deployment_Application.idl
            * DAnCE/Deployment/Deployment_ApplicationManager.idl
            * DAnCE/Deployment/Deployment_Connection.idl
            * DAnCE/Deployment/Deployment_Core.idl
            * DAnCE/Deployment/Deployment_Data.idl
            * DAnCE/Deployment/Deployment_DomainApplication.idl
            * DAnCE/Deployment/Deployment_DomainApplicationManager.idl
            * DAnCE/Deployment/Deployment_ExecutionManager.idl
            * DAnCE/Deployment/Deployment_NodeApplication.idl
            * DAnCE/Deployment/Deployment_NodeApplicationManager.idl
            * DAnCE/Deployment/Deployment_NodeManager.idl
            * DAnCE/Deployment/Deployment_PlanError.idl
            * DAnCE/Deployment/Deployment_StartError.idl
            * DAnCE/Deployment/Deployment_StopError.idl
            * DAnCE/Deployment/Deployment_TargetManager.idl
            * DAnCE/NodeApplication/NodeApplication_Impl.cpp
            * DAnCE/Plan_Generator/PCVisitorBase.h
            * DAnCE/Utils/Plan_Handler.h
            * tools/Config_Handlers/DnC_Dump.h
              First step in refactoring all DAnCE IDL in seperate files
              and create more seperate dlls

    Wed Jul  8 18:51:09 UTC 2009  Marcel Smit  <msmit@remedy.nl>

            * docs/tutorials/Quoter/Simple/03.html:
              Updated picl_to_idl command line parameters

    Wed Jul  8 15:12:09 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * ccm/CCM.mpc
            * ccm/CCM_Configurator.idl
            * ccm/CCM_Cookie.idl
            * ccm/CCM_Enumeration.idl
            * ccm/CCM_EventBase.idl
            * ccm/CCM_EventConsumerBase.idl
            * ccm/CCM_Events.idl
            * ccm/CCM_Exceptions.idl
            * ccm/CCM_Home.idl
            * ccm/CCM_HomeConfiguration.idl
            * ccm/CCM_HomeFinder.idl
            * ccm/CCM_Homes.idl
            * ccm/CCM_KeylessCCMHome.idl
            * ccm/CCM_Navigation.idl
            * ccm/CCM_Object.idl
            * ccm/CCM_Receptacle.idl
            * ccm/CCM_StandardConfigurator.idl
            * ccm/ComponentServer/CCM_ComponentServer.idl
            * ciao/ComponentServer/CIAO_ComponentServer.idl
              Moved CCM_Homes to their own file and added to each header whether
              they are compliant or not and which section of the OMG spec 06-04-01
              they are defined in

    Wed Jul  8 14:08:09 UTC 2009  Marcel Smit  <msmit@remedy.nl>

            * bin/generate_component_mpc.pl:
              _lem_stub must not be created when -n is used as a command
              line parameter.
              Besides this, there were some dependency error.
              Also added -o option. This option allows the user to specify
              a  library output dir. This dir is set to all projects.

            * docs/tutorials/Quoter/Simple/Broker/StockBroker.mpc:
            * docs/tutorials/Quoter/Simple/Distributor/StockDistributor.mpc:
            * docs/tutorials/Quoter/Simple/Stock_Base/Stock_Base.mpc:
              Updated using the latest version of generate_component_mpc.pl.

    Wed Jul  8 11:48:45 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

            * MPC/config/dds4ccm_skel.mpb:
            * MPC/config/example_output.mpb:

              Missing base projects.

    Tue Jul  7 18:32:03 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

            * ciao/ComponentServer/CIAO_ServerActivator_Impl.cpp:

              Properly init the UUID generator.

    Tue Jul  7 18:05:15 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

            * bin/generate_component_mpc.pl:

              Further updates.

    Tue Jul  7 17:31:48 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

            * bin/generate_component_mpc.pl:

              Updated to create a separate E.idl lib.

            * tests/IDL_Test/Lem_Specific_Export/Lem_Export_exec.h:
            * tests/IDL_Test/Lem_Specific_Export/Lem_Export_exec.cpp:

              Added exec implementation.

    Tue Jul  7 16:31:47 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

            * tests/IDL_Test/Included_Component/IC_Foo.mpc:
            * tests/IDL_Test/Included_Component/IC_Bar.mpc:

              Added 'after' lines for *_svnt projects, and add executor
              projects.

    Tue Jul  7 15:43:57 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

            * tests/IDL_Test/Lem_Specific_Export:
            * tests/IDL_Test/Lem_Specific_Export/Lem_Export.idl:
            * tests/IDL_Test/Lem_Specific_Export/Lem_Export.mpc:

              Test which apparently shows the export file not being
              generated for a LEM project.

    Tue Jul  7 00:10:41 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

            * MPC/config/ciao_connector_base.mpb:
            * MPC/config/connectoridldefaults.mpb:
            * MPC/config/dds4ccm_base.mpb:

              Adding new base projects.

    Mon Jul  6 19:47:03 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>


            * tests/IDL_Test/Included_Component:
            * tests/IDL_Test/Included_Component/IC_Bar.idl:
            * tests/IDL_Test/Included_Component/IC_Bar.mpc:
            * tests/IDL_Test/Included_Component/IC_Foo.idl:
            * tests/IDL_Test/Included_Component/IC_Foo.mpc:

              New test.  Codegen for IC_Bar attempts to generate
              IC_Foo elements.

            * tests/IDL_Test/Forward_Declared_Ports:
            * tests/IDL_Test/Forward_Declared_Ports/FDP_Bar.idl:
            * tests/IDL_Test/Forward_Declared_Ports/FDP_Bar.mpc:
            * tests/IDL_Test/Forward_Declared_Ports/FDP_Bar_exec.h:
            * tests/IDL_Test/Forward_Declared_Ports/FDP_Bar_exec.cpp:
            * tests/IDL_Test/Forward_Declared_Ports/FDP_Foo.idl:
            * tests/IDL_Test/Forward_Declared_Ports/FDP_Foo.mpc:

              Removed these files, was determined this test case was
              invalid.

    Mon Jul  6 13:47:09 UTC 2009  Marcel Smit  <msmit@remedy.nl>

            * DAnCE/Deployment/Module_Main.h:
              No error message when ORB couldn't start. This should
              be clear when reading the previous (error) messages.

            * DAnCE/NodeManager/Node_Manager_Module.cpp:
            * DAnCE/Plan_Launcher/Plan_Launcher_Base_Impl.h:
            * DAnCE/Plan_Launcher/Plan_Launcher_Base_Impl.cpp:
            * DAnCE/Plan_Launcher/Plan_Launcher_Module.cpp:
            * DAnCE/RepositoryManager/Repository_Manager_Module.cpp:
            * DAnCE/RepositoryManager/repository_manager_admin_exec.cpp:
              Displaying help message without any other
              (error) messages.

            * DAnCE/TargetManager/Target_Manager_Module.cpp:
              Displaying help message without any other
              (error) messages. Also checked parsed command line
              options.

    Fri Jul  3 01:13:13 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

            * DAnCE/tests/RedirectionServiceTest/RedirectionServiceTest.mpc:
            * tools/Config_Handlers/Basic_Deployment_Data.cpp:
            * tools/Config_Handlers/XMI.cpp:

              Error/warning fixes.

    Thu Jul  2 01:47:53 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * bin/generate_component_mpc.pl
            * DAnCE/tests/CIAO/Components/ProcessColocation.mpc
            * DAnCE/tests/CIAO/Components/SimpleAttribute.mpc
            * DAnCE/tests/CIAO/Components/SimpleConsumer.mpc
            * DAnCE/tests/CIAO/Components/SimpleEmitter.mpc
            * DAnCE/tests/CIAO/Components/SimpleMultipleUser.mpc
            * DAnCE/tests/CIAO/Components/SimpleNull.mpc
            * DAnCE/tests/CIAO/Components/SimpleProvider.mpc
            * DAnCE/tests/CIAO/Components/SimplePublisher.mpc
            * DAnCE/tests/CIAO/Components/SimpleUser.mpc
            * docs/tutorials/Quoter/Simple/Broker/StockBroker.mpc
            * docs/tutorials/Quoter/Simple/Distributor/StockDistributor.mpc
            * examples/Display/GPS/GPS.mpc
            * examples/Hello/Receiver/Receiver.mpc
            * examples/Hello/Sender/Sender.mpc
            * examples/Null_Component/Null_Component.mpc
            * examples/Swapping/Receiver/Receiver.mpc
            * examples/Swapping/Sender/Sender.mpc
            * performance-tests/Benchmark/RoundTrip/RoundTrip.mpc
            * performance-tests/Benchmark/RoundTripClient/RoundTripClient.mpc
            * performance-tests/Protocols/Sender/Sender.mpc
            * tests/Bug_2130_Regression/SEC_CheckPoint/TSEC_CheckPoint.mpc
            * tests/CIAO_ComponentServer/SimpleComponent/SimpleComponent.mpc
            * tests/CIDL/CodeGen/CodeGen.mpc
            * tests/IDL_Test/Cornucopia/Cornucopia.mpc
            * tests/IDL_Test/Keywords/Keywords.mpc
            * tests/IDL_Test/Reused_Facet_Interface/Reused_Facet_Interface.mpc
            * tests/Minimum/Receiver/Receiver.mpc
            * tests/Minimum/Sender/Sender.mpc
              Changed project names *_idle_gen to *_lem_gen.

    Wed Jul  1 22:18:53 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

            * performance-tests/Protocols/Receiver/Receiver.mpc:
            * tests/Minimum/Minimum_Base/Minimum_Base.mpc:
            * examples/Display/NavDisplayGUI_exec/NavDisplayGUI.mpc:
            * examples/Display/RateGen/RateGen.mpc:
            * examples/Display/NavDisplay/NavDisplay.mpc:

              Changed project names *_idle_gen to *_lem_gen.

    Wed Jul  1 21:36:05 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * examples/Display/GPS/GPS.mpc:
            * examples/Swapping/Sender/Sender.mpc:
            * performance-tests/Benchmark/RoundTrip/RoundTrip.mpc:
            * performance-tests/Benchmark/RoundTripClient/RoundTripClient.mpc:
            * performance-tests/Protocols/Sender/Sender.mpc:
            * tests/Minimum/Receiver/Receiver.mpc:

              Fixed missing afters

    Wed Jul  1 17:08:05 UTC 2009  Marcel Smit  <msmit@remedy.nl>

            * DAnCE/RepositoryManager/RepositoryManager.mpc:
              Resolved compiler issues on Windows

            * docs/generate_component_mpc.html:
              Removed CIDL stuff.

    Wed Jul  1 16:27:07 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

            * TAO_IDL/be/be_visitor_component.cpp:
            * TAO_IDL/be/be_visitor_component/component_svs.cpp:

              Conditionalized generation of value factory registration
              with a check to see if the eventtype in question has a
              concrete factory. Registration macro should be generated
              only if this check returns true.

    Wed Jul  1 16:10:49 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

            * NEWS:
            * docs/value_factory_registration.html:

              Updated to reflect removal of CIDL compiler.

            * MPC/config/ciao_server.mpb:

              Removed repeated occurrence ciao_client base project.

    Wed Jul  1 13:34:09 UTC 2009  Marcel Smit  <msmit@remedy.nl>

            * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp:
              No DLINFO in trace messages.

            * bin/generate_component_mpc.pl:
              No CIDL_Files in mpc files anymore. Prevents mpc from
              generating project files/make files.

            * docs/tutorials/Quoter/Simple/01.html:
            * docs/tutorials/Quoter/Simple/04.html:
              Mentioned the tutorials library path in MPC-file's.

            * docs/tutorials/Quoter/Simple/02.html:
              Changed $CIAO_ROOT into %CIAO_ROOT%. This was intended in this
              tutorial.

    Tue Jun 30 21:32:28 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * docs/tutorials/Quoter/Simple/04.html:
              Fixed typo

    Tue Jun 30 17:19:44 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

            * examples/DevGuideExamples/Messenger/Receiver.mpc:
            * examples/DevGuideExamples/Messenger/Administrator.mpc:
            * examples/DevGuideExamples/Messenger/Messenger.mpc:

              Changed project names for consistency.

    Tue Jun 30 15:56:11 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

            * bin/update_package.py:

              Old script that updates implementations in a package, can be
              used as a basis for a better packaging script.

    Tue Jun 30 15:22:44 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

            * examples/BasicSP/BMClosedED/BMClosedED.mpc:
            * examples/BasicSP/BasicSP.mpc:
            * examples/BasicSP/BMDisplay/BMDisplay.mpc:
            * examples/BasicSP/EC/EC.mpc:
            * examples/BasicSP/BMDevice/BMDevice.mpc:

              Changes to project names for consistency and to
              dependencies for completeness.

    Mon Jun 29 23:11:25 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

            * examples/BasicSP/BMClosedED/BMClosedED.mpc:
            * examples/BasicSP/BMClosedED/BMClosedED_exec.h:
            * examples/BasicSP/BasicSP.mpc:
            * examples/BasicSP/BMDisplay/BMDisplay.idl:
            * examples/BasicSP/EC/EC.idl:
            * examples/BasicSP/BMDevice/BMDevice.idl:
            * examples/BasicSP/BMDevice/BMDevice_exec.h:
            * examples/BasicSP/BMDevice/BMDevice.mpc:

              Modified example to use the newly added TAO IDL
              compiler feature of generating facet servant code
              for each interface, rather than navigating to each
              interface from a component's list of provides ports.
              This option is necessary in this example, since
              two components use the same interface as a facet,
              and now the generated facet servant code can be
              shared.

    Mon Jun 29 19:43:45 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

            * docs/OMG-CCM-Tutorial.ppt:

              OMG tutorial slides.

    Mon Jun 29 18:49:06 UTC 2009  Marcel Smit  <msmit@remedy.nl>

            * docs/tutorials/Quoter/Simple/Model/Quoter.xme:
              Updated to meet the work listed in the HTML files.

    Mon Jun 29 00:31:31 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

            * docs/tutorials/Quoter/Simple/01.html:
            * docs/tutorials/Quoter/Simple/02.html:

              Updates to remove lateral references to export files and CIDLC.

    Fri Jun 26 22:47:14 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * docs/tutorials/Quoter/Simple/01.html:
              Updated link to MPC chapter, it is available in the MPC directory

            * docs/tutorials/Quoter/Simple/03.html:
              Updated CIAO chapter

    Fri Jun 26 14:15:14 UTC 2009  Marcel Smit  <msmit@remedy.nl>

            * DAnCE/TargetManager/TargetManager.mpc:
              Added Dance_logger library to Dance_TargetManager_exec project.

            * docs/tutorials/Quoter/Simple/Broker/StockBroker_exec_export.h:
            * docs/tutorials/Quoter/Simple/Broker/StockBroker_stub_export.h:
            * docs/tutorials/Quoter/Simple/Broker/StockBroker_svnt_export.h:
              Removed these files since they are create by the IDL compiler

            * docs/tutorials/Quoter/Simple/Distributor/StockDistributor_exec_export.h:
            * docs/tutorials/Quoter/Simple/Distributor/StockDistributor_stub_export.h:
            * docs/tutorials/Quoter/Simple/Distributor/StockDistributor_svnt_export.h:
              Removed these files since they are create by the IDL compiler

            * docs/tutorials/Quoter/Simple/Stock_Base/Stock_Base_skel_export.h:
            * docs/tutorials/Quoter/Simple/Stock_Base/Stock_Base_stub_export.h:
              Removed these files since they are create by the IDL compiler

    Fri Jun 26 08:26:00 UTC 2009  Marcel Smit  <msmit@remedy.nl>

            * docs/tutorials/Quoter/Simple/images/fig7.jpg:
            * docs/tutorials/Quoter/Simple/03.html:
              Added modelling of IOR files.

    Fri Jun 26 07:13:00 UTC 2009  Marcel Smit  <msmit@remedy.nl>

            * DAnCE/NodeApplication/NodeApplication_Impl.cpp:
              Resolved a minor copy paste error.

            * DAnCE/TargetManager/TargetManager.mpc:
            * DAnCE/TargetManager/Target_Manager_Module.cpp:
              Resolved some linker errors on windows.

            * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp:
            * ciao/ComponentServer/CIAO_ServerActivator_Impl.cpp:
              In trace message one shouldn't use the CLINFO or DLINFO define.

            * docs/tutorials/Quoter/Simple/03.html:
              Described how to connect a component factory to a component.

            * docs/tutorials/Quoter/Simple/Broker/StockBroker_exec.h:
            * docs/tutorials/Quoter/Simple/Broker/StockBroker_exec.cpp:
            * docs/tutorials/Quoter/Simple/Distributor/StockDistributor_exec.h:
            * docs/tutorials/Quoter/Simple/Distributor/StockDistributor_exec.cpp:
              In the current tutorial we're deploying unhomed components. To do that,
              the appropriate functions should be added.

            * docs/tutorials/Quoter/Simple/Broker/StockBroker_exec_export.h:
            * docs/tutorials/Quoter/Simple/Broker/StockBroker_stub_export.h:
            * docs/tutorials/Quoter/Simple/Broker/StockBroker_svnt_export.h:
            * docs/tutorials/Quoter/Simple/Distributor/StockDistributor_exec_export.h:
            * docs/tutorials/Quoter/Simple/Distributor/StockDistributor_stub_export.h:
            * docs/tutorials/Quoter/Simple/Distributor/StockDistributor_svnt_export.h:
              Used the latest version of the IDL compiler


    Thu Jun 25 15:11:59 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

            * tests/IDL_Test/Reused_Facet_Interface/CodeGen.mpc:
            * tests/IDL_Test/Reused_Facet_Interface/Reused_Facet_Interface.mpc:

              Renamed first file as second file, to avoid problems on some
              platforms when .mpc files have the same name.

            * tests/CIDL/CodeGen/CodeGen.mpc:

              Fixed IDL flags in Reused_Facet_Interface_idl_gen project.

    Wed Jun 24 15:51:23 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

            * DAnCE/TargetManager/descriptors:

              Removed this file.

    Wed Jun 24 15:50:36 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

            * DAnCE/TargetManager/DomainDataManager.h:
            * DAnCE/TargetManager/TargetManager.mpc:
            * DAnCE/TargetManager/TargetManager_Impl.h:
            * DAnCE/TargetManager/TargetManager_Impl_export.h:

              Stab at fixing linking problems.

    Wed Jun 24 13:56:48 UTC 2009  Marcel Smit  <msmit@remedy.nl>

            * docs/tutorials/Quoter/Simple/03.html:
            * docs/tutorials/Quoter/Simple/images/fig4.jpg:
            * docs/tutorials/Quoter/Simple/images/fig5a.jpg:
              Updated to meet the latest version of the DAnCE spec.

    Wed Jun 24 07:31:43 UTC 2009  Marcel Smit  <msmit@remedy.nl>

            * DAnCE/TargetManager/TargetManager.mpc:
              Resolved typo (RepositoryManager_IDL=>TargetManager_IDL).

            * docs/tutorials/Quoter/Simple/Broker/StockBroker.mpc:
            * docs/tutorials/Quoter/Simple/Distributor/StockDistributor.mpc:
            * docs/tutorials/Quoter/Simple/Stock_Base/Stock_Base.mpc:
              Added lib path (like Hello example).

            * docs/tutorials/Quoter/Simple/descriptors/Plan.cdp:
              Should match the current DAnCE spec.

    Tue Jun 23 18:11:56 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

            * DAnCE/Deployment/Deployment_TargetManager.idl:

              bring in line with spec.

            * DAnCE/TargetManager/DomainDataManager.h:
            * DAnCE/TargetManager/DomainDataManager.cpp:
            * DAnCE/TargetManager/ResourceCommitmentManager.h:
            * DAnCE/TargetManager/ResourceCommitmentManager.cpp:
            * DAnCE/TargetManager/TM_Client.mpc:
            * DAnCE/TargetManager/TargetManager.mpc:
            * DAnCE/TargetManager/TargetManagerDaemon.idl:
            * DAnCE/TargetManager/TargetManager_Impl.h:
            * DAnCE/TargetManager/TargetManager_Impl.cpp:
            * DAnCE/TargetManager/Target_Manager_Exec.cpp:
            * DAnCE/TargetManager/Target_Manager_Module.h:
            * DAnCE/TargetManager/Target_Manager_Module.cpp:
            * DAnCE/TargetManager/Target_Manager_Module_export.h:
            * MPC/config/dance_target_manager.mpb:

              Initial pass at porting the TargetManager.  Work is by no means
              complete or workable.  TargetManager will no longer be deployed as a component.

            * DAnCE/TargetManager/descriptors/Domain.cdd:
            * DAnCE/TargetManager/descriptors/NodeDetails.dat:
            * DAnCE/TargetManager/descriptors/NodeManagerMap.dat:
            * DAnCE/TargetManager/descriptors/flattened_deploymentplan.cdp:
            * DAnCE/TargetManager/descriptors/run_test_TargetManager.pl:

              Removed these files.

    Mon Jun 22 09:22:17 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * bin/generate_component_mpc.pl:
              Update for the fact that avoids_ace_for_tao and anytypecode moved to the
              base projects

            * bin/msvc_cidlc.pl:
            * bin/replace_dummy_with_dummylabel.sh
            * docs/cidlc.html
              Deleted, not needed

            * CIAO-INSTALL.html:
            * docs/index.html
            * docs/TODO.html
              Partly updated for CIDLC removal

            * ciao/ComponentServer/CIAO_ComponentServer.mpc
            * DAnCE/TargetManager/TargetManager.mpc
            * DAnCE/TargetManager/TM_Client.mpc
            * DAnCE/tests/CIAO/Components/ProcessColocation.mpc
            * DAnCE/tests/CIAO/Components/SimpleAttribute.mpc
            * DAnCE/tests/CIAO/Components/SimpleCommon.mpc
            * DAnCE/tests/CIAO/Components/SimpleConsumer.mpc
            * DAnCE/tests/CIAO/Components/SimpleEmitter.mpc
            * DAnCE/tests/CIAO/Components/SimpleMultipleUser.mpc
            * DAnCE/tests/CIAO/Components/SimpleNull.mpc
            * DAnCE/tests/CIAO/Components/SimpleProvider.mpc
            * DAnCE/tests/CIAO/Components/SimplePublisher.mpc
            * DAnCE/tests/CIAO/Components/SimpleUser.mpc
            * docs/tutorials/Quoter/Simple/Broker/StockBroker.mpc
            * docs/tutorials/Quoter/Simple/Distributor/StockDistributor.mpc
            * docs/tutorials/Quoter/Simple/Stock_Base/Stock_Base.mpc
            * examples/BasicSP/BasicSP.mpc
            * examples/BasicSP/BMClosedED/BMClosedED.mpc
            * examples/BasicSP/BMDevice/BMDevice.mpc
            * examples/BasicSP/BMDisplay/BMDisplay.mpc
            * examples/BasicSP/EC/EC.mpc
            * examples/DevGuideExamples/Messenger/Administrator.mpc
            * examples/DevGuideExamples/Messenger/Administrator_Client_IDL2.mpc
            * examples/DevGuideExamples/Messenger/Administrator_Client_IDL3.mpc
            * examples/DevGuideExamples/Messenger/Messenger.mpc
            * examples/DevGuideExamples/Messenger/Receiver.mpc
            * examples/Display/Display_Base/Display_Base.mpc
            * examples/Display/GPS/GPS.mpc
            * examples/Display/NavDisplay/NavDisplay.mpc
            * examples/Display/NavDisplayGUI_exec/NavDisplayGUI.mpc
            * examples/Display/RateGen/RateGen.mpc
            * examples/Hello/Hello_Base/Hello_Base.mpc
            * examples/Hello/Receiver/Receiver.mpc
            * examples/Hello/Sender/Sender.mpc
            * examples/Null_Component/Null_Component.mpc
            * examples/Null_Component/Null_Interface.mpc
            * examples/Swapping/Hello_Base/Hello_Base.mpc
            * examples/Swapping/Receiver/Receiver.mpc
            * examples/Swapping/Sender/Sender.mpc
            * MPC/config/componentidldefaults.mpb
            * performance-tests/Benchmark/Benchmark.mpc
            * performance-tests/Benchmark/Multi_Threaded/Multi_Threaded.mpc
            * performance-tests/Benchmark/RoundTrip/RoundTrip.mpc
            * performance-tests/Benchmark/RoundTripClient/RoundTripClient.mpc
            * performance-tests/Benchmark/RoundTripServer/RoundTripServer.mpc
            * performance-tests/Protocols/common/Protocols.mpc
            * performance-tests/Protocols/Controller/Controller.mpc
            * performance-tests/Protocols/Receiver/Receiver.mpc
            * performance-tests/Protocols/Sender/Sender.mpc
            * tests/Bug_2130_Regression/SEC_CheckPoint/TSEC_CheckPoint.mpc
            * tests/CIAO_ComponentServer/SimpleComponent/SimpleComponent.mpc
            * tests/CIDL/CodeGen/Basic.mpc
            * tests/CIDL/CodeGen/CodeGen.mpc
            * tests/IDL_Test/Cornucopia/Cornucopia.mpc
            * tests/IDL_Test/Keywords/Keywords.mpc
            * tests/IDL_Test/Reused_Facet_Interface/Basic.mpc
            * tests/IDL_Test/Reused_Facet_Interface/CodeGen.mpc
            * tests/Minimum/Minimum_Base/Minimum_Base.mpc
            * tests/Minimum/Receiver/Receiver.mpc
            * tests/Minimum/Sender/Sender.mpc
            * tools/Config_Handlers/Package_Handlers/Package_Handlers.mpc
              Updated base projects

            * examples/Hello/Receiver/Receiver_exec_export.h
            * examples/Hello/Receiver/Receiver_stub_export.h
            * examples/Hello/Receiver/Receiver_svnt_export.h
            * examples/Hello/Sender/Sender_exec_export.h
            * examples/Hello/Sender/Sender_stub_export.h
            * examples/Hello/Sender/Sender_svnt_export.h
              Removed

    Fri Jun 19 19:40:21 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

            * tests/IDL_Test/Cornucopia/Cornucopia.mpc:
            * tests/IDL_Test/Keywords/Keywords.mpc:
            * tests/IDL_Test/Reused_Facet_Interface/Basic.mpc:
            * tests/IDL_Test/Reused_Facet_Interface/CodeGen.mpc:

              Added IDL compiler options to generate all export
              header files.

            * tests/IDL_Test/Reused_Facet_Interface/Basic_stub_export.h:
            * tests/IDL_Test/Reused_Facet_Interface/CodeGen_svnt_export.h:
            * tests/IDL_Test/Reused_Facet_Interface/Basic_skel_export.h:
            * tests/IDL_Test/Reused_Facet_Interface/CodeGen_stub_export.h:
            * tests/IDL_Test/Reused_Facet_Interface/CodeGen_exec_export.h:
            * tests/IDL_Test/Cornucopia/Cornucopia_svnt_export.h:
            * tests/IDL_Test/Cornucopia/Cornucopia_stub_export.h:
            * tests/IDL_Test/Cornucopia/Cornucopia_skel_export.h:
            * tests/IDL_Test/Cornucopia/Cornucopia_exec_export.h:
            * tests/IDL_Test/Keywords/Keyword_Clash_stub_export.h:
            * tests/IDL_Test/Keywords/Keyword_Clash_exec_export.h:
            * tests/IDL_Test/Keywords/Keyword_Clash_svnt_export.h:

              Removed export header files, they're now generated.

    Fri Jun 19 18:03:10 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * performance-tests/Protocols/Receiver/Receiver_exec.cpp
            * performance-tests/Protocols/Receiver/Receiver_exec.h
            * performance-tests/Protocols/Sender/Sender_exec.cpp
            * performance-tests/Protocols/Sender/Sender_exec.h
              Fixed compile errors

    Fri Jun 19 17:58:03 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

            * DAnCE/RepositoryManager/RepositoryManager_Impl.cpp:
            * DAnCE/RepositoryManager/repository_manager_admin_exec.cpp:

              Basic RM functionality appears to be restored.  HTTP not yet tested.

            * tools/XML/XML_Helper.tpp:

              Removed Xerces init logging.

    Fri Jun 19 12:19:38 UTC 2009  William R. Otte  <wotte@dre.vanderbilt.edu>

            * docs/schema/Basic_Deployment_Data.xsd:
            * docs/schema/cdp.xsd:
            * docs/schema/cid.xsd:
            * tools/Config_Handlers/Basic_Deployment_Data.cpp:
            * tools/Config_Handlers/Basic_Deployment_Data.hpp:
            * tools/Config_Handlers/Deployment.cpp:
            * tools/Config_Handlers/DynAny_Handler/DynAny_Handler.cpp:
            * tools/Config_Handlers/DynAny_Handler/DynSequence_Handler.cpp:
            * tools/Config_Handlers/Package_Handlers/PCD_Handler.cpp:
            * tools/Config_Handlers/XMI.cpp:
            * tools/Config_Handlers/ccd.cpp:
            * tools/Config_Handlers/cdd.cpp:
            * tools/Config_Handlers/cdp.cpp:
            * tools/Config_Handlers/cdp.hpp:
            * tools/Config_Handlers/cid.hpp:
            * tools/Config_Handlers/cid.cpp:
            * tools/Config_Handlers/cpd.cpp:
            * tools/Config_Handlers/iad.cpp:
            * tools/Config_Handlers/pcd.cpp:
            * tools/Config_Handlers/toplevel.hpp:
            * tools/Config_Handlers/toplevel.cpp:

              Fixed the wchar issue in bugzilla 3691.

    Fri Jun 19 07:47:10 UTC 2009  Johnny Willemsen  <jwillemsen@remedy.nl>

            * MPC/config/componentidldefaults.mpb:
              Added -Glem

    Thu Jun 18 18:52:10 UTC 2009  Jeff Parsons <j.parsons@vanderbilt.edu>

            * tests/IDL_Test/Reused_Facet_Interface/CodeGen.mpc:

              Fixed dependency mistakes.

            * tests/IDL_Test/Keywords/*.*:

              New test, covering all CIAO-related code generation when
              the IDL file contains C++ keywords and escaped IDL
              keywords.

